*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |                     (DATASET 0001:  INTAKE 1 DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\03404-0001-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE caseid    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE adc1ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE adc3ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aa4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aa4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUERTO RICAN' 2='(2) MEXICAN' 3='(3) CUBAN' 4='(4) CARIBBEAN'
                  5='(5) CENTRAL AMERICAN' 6='(6) SOUTH AMERICAN' 7='(7) OTHER'
                  15='(15) MIXED' ;
  VALUE aa4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALASKAN NATIVE' 2='(2) AMERICAN INDIAN'
                  3='(3) ASIAN OR PACIFIC ISLANDER' 4='(4) BLACK OR AFRICAN AMERICAN'
                  5='(5) WHITE OR CAUCASIAN' 6='(6) OTHER' 7='(7) HISPANIC' ;
  VALUE aa8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ONLY ENGLISH' 2='(2) ENGLISH AND OTHER LANGUAGE(S)'
                  3='(3) ONLY OTHER LANGUAGE(S)' ;
  VALUE aa9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aa9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SPANISH'
                  2='(2) FRENCH' 3='(3) GERMAN' 4='(4) OTHER' ;
  VALUE aa9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ONLY (OTHER LANGUAGE FORM A9A)'
                  2='(2) MOSTLY (OTHER LANGUAGE FROM A9A)' 3='(3) ONLY ENGLISH'
                  4='(4) MOSTLY ENGLISH'
                  5='(5) (OTHER LANGUAGE FROM A9A) AND ENGLISH' ;
  VALUE aa10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) LEGALLY SEPARATED' 3='(3) DIVORCED' 4='(4) WIDOWED'
                  5='(5) LIVING WITH SOMEONE AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE aa10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aa11_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aa12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A ONE-FAMILY HOUSE/DUPLEX/CONDO'
                  2='(2) A MOBILE HOME OR TRAILER'
                  3='(3) AN APARTMENT BUILDING/MULTIPLE DWELLING'
                  4='(4) A HOTEL, ROOMING HOUSE/OR BOARDING HOUSE'
                  5='(5) A HOSPITAL OR MEDICAL INSTITUTION'
                  6='(6) IN JAIL, PRISON, OR JUVENILE DETENTION'
                  7='(7) A RESIDENTIAL DRUG TREATMENT CENTER'
                  8='(8) OTHER GROUP RESIDENCE/HALFWAY HOUSE'
                  9='(9) IN A HOMELESS SHELTER'
                  10='(10) ON THE STREET (NO REGULAR PLACE)' 11='(11) (IF VOL.:) OTHER' ;
  VALUE aa13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITH SPOUSE OR SEXUAL PARTNER/CHILDREN'
                  2='(2) WITH SPOUSE OR SEXUAL PARTNER ONLY'
                  3='(3) WITH CHILDREN ONLY' 4='(4) WITH BOTH PARENTS'
                  5='(5) WITH MOTHER ONLY' 6='(6) WITH FATHER ONLY'
                  7='(7) WITH PARENT(S) AND OWN CHILDREN'
                  8='(8) W/OTHER FAMILY ONLY/COMBINATION 01-07'
                  9='(9) WITH FOSTER PARENTS'
                  10='(10) WITH FAMILY/FRIENDS/BOARDERS/ROOMMATE'
                  11='(11) WITH FRIENDS OR ROOMMATE ONLY' 12='(12) ALONE'
                  13='(13) INSTITUTION OR CLOSED FACILITY'
                  14='(14) NO STABLE ARRANGEMENT' 15='(15) OTHER' ;
  VALUE aa14_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE aa14_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE aa14_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE aa14_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE aa14_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE aa14_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE aa15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aa15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ONLY (OTHER LANGUAGE FROM A9A)'
                  2='(2) MOSTLY (OTHER LANGUAGE FROM A9A)' 3='(3) ONLY ENGLISH'
                  4='(4) MOSTLY ENGLISH'
                  5='(5) (OTHER LANGUAGE FROM A9A) AND ENGLISH' ;
  VALUE aa16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE aa17_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ab1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ab1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MIDDLE SCHOOL (JUNIOR HIGH)' 2='(2) HIGH SCHOOL'
                  3='(3) JUNIOR (2-YEAR) COLLEGE'
                  4='(4) 4-YEAR COLLEGE OR UNIVERSITY'
                  5='(5) TECHNICAL/TRADE/VOCATIONAL' 6='(6) JOB CORPS PROGRAM'
                  7='(7) SPECIAL EDUCATION PROGRAM' 8='(8) OTHER' ;
  VALUE ab2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DIPLOMA'
                  2='(2) GED' ;
  VALUE ab3_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ab3_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ab3_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ab3_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ab3_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ab3_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ab3_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ab4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BETTER THAN AVERAGE' 2='(2) AVERAGE' 3='(3) NOT SO GOOD' ;
  VALUE ab4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID AS WELL AS COULD' 2='(2) COULD HAVE DONE BETTER' ;
  VALUE ab4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ab5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE ab6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ab7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ab7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 20='(20) 20 OR MORE' ;
  VALUE ab7c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ab7d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE ab7e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ab8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LAST YEAR ONLY' 2='(2) BEFORE LAST YEAR' ;
  VALUE ab8b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab8c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ab9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab10ffff  1='(1) YES' 2='(2) NO' ;
  VALUE ab10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ab10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXPIRED'
                  2='(2) SUSPENDED' 3='(3) REVOKED' ;
  VALUE ab11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) ALL OF THE TIME' ;
  VALUE ac1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac1a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ac1a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ac1b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ac1b3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ac2_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF DRUGS AVAILABLE' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH/NOT SUPPORT HABIT'
                  12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN ON THE SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFESTYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFESTYLE'
                  31='(31) HAVE DRUG RELATED CONTAGIOUS DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK'
                  33='(33) AFRAID OF GETTING AIDS, OTHER DISEASE'
                  34='(34) HAD HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON'
                  41='(41) WANT TO SAVE MY MARRIAGE/ RELATIONSHIP'
                  42='(42) WANT TO IMPROVE MY RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CUSTODY OF CHILDREN'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) WANT TO AVOID BEING INVOLVED CRIMINAL ACTS'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) TO BECOME ELIGIBLE FOR PUBLIC ASSISTANCE'
                  62='(62) TO BECOME ELIGIBLE FOR MEDICAL SERVICES'
                  63='(63) TO BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP A JOB OR FIND A BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY SUPERVISOR'
                  73='(73) TO PREVENT PROBLEMS WITH MY CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL/TEACHERS'
                  77='(77) PREVENT PROBLEMS WITH OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY' 83='(83) FRIENDS' 84='(84) SCHOOL' 85='(85) JOB OR EMPLOYER'
                  86='(86) LEGAL (BESIDES COURT MANDATE)' 87='(87) TREATMENT STAFF'
                  88='(88) TREATMENT CLIENTS' 89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE ac2_1ct   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CHANGE IN ATTITUDE/LIFESTYLE'
                  2='(2) DRUG AVAILABILITY/QUALITY'
                  3='(3) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  4='(4) LEGAL REASONS' 5='(5) PERSONAL FINANCES OR COST OF DRUGS'
                  6='(6) PHYSICAL/MENTAL HEALTH RELATED'
                  7='(7) WORK/JOB/SCHOOL RELATED' 8='(8) TREATMENT STAFF/CLIENTS'
                  9='(9) OTHER' ;
  VALUE ac2a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF DRUGS AVAILABLE' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH/NOT SUPPORT HABIT'
                  12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN ON THE SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFESTYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFESTYLE'
                  31='(31) HAVE DRUG RELATED CONTAGIOUS DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK'
                  33='(33) AFRAID OF GETTING AIDS, OTHER DISEASE'
                  34='(34) HAD HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON'
                  41='(41) WANT TO SAVE MY MARRIAGE/ RELATIONSHIP'
                  42='(42) WANT TO IMPROVE MY RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CUSTODY OF CHILDREN'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) WANT TO AVOID BEING INVOLVED CRIMINAL ACTS'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) TO BECOME ELIGIBLE FOR PUBLIC ASSISTANCE'
                  62='(62) TO BECOME ELIGIBLE FOR MEDICAL SERVICES'
                  63='(63) TO BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP A JOB OR FIND A BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY SUPERVISOR'
                  73='(73) TO PREVENT PROBLEMS WITH MY CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL/TEACHERS'
                  77='(77) PREVENT PROBLEMS WITH OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY' 83='(83) FRIENDS' 84='(84) SCHOOL' 85='(85) JOB OR EMPLOYER'
                  86='(86) LEGAL (BESIDES COURT MANDATE)' 87='(87) TREATMENT STAFF'
                  88='(88) TREATMENT CLIENTS' 89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE ac2a1ct   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CHANGE IN ATTITUDE/LIFESTYLE'
                  2='(2) DRUG AVAILABILITY/QUALITY'
                  3='(3) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  4='(4) LEGAL REASONS' 5='(5) PERSONAL FINANCES OR COST OF DRUGS'
                  6='(6) PHYSICAL/MENTAL HEALTH RELATED'
                  7='(7) WORK/JOB/SCHOOL RELATED' 8='(8) TREATMENT STAFF/CLIENTS'
                  9='(9) OTHER' ;
  VALUE ac2a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF DRUGS AVAILABLE' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH/NOT SUPPORT HABIT'
                  12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN ON THE SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFESTYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFESTYLE'
                  31='(31) HAVE DRUG RELATED CONTAGIOUS DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK'
                  33='(33) AFRAID OF GETTING AIDS, OTHER DISEASE'
                  34='(34) HAD HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON'
                  41='(41) WANT TO SAVE MY MARRIAGE/ RELATIONSHIP'
                  42='(42) WANT TO IMPROVE MY RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CUSTODY OF CHILDREN'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) WANT TO AVOID BEING INVOLVED CRIMINAL ACTS'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) TO BECOME ELIGIBLE FOR PUBLIC ASSISTANCE'
                  62='(62) TO BECOME ELIGIBLE FOR MEDICAL SERVICES'
                  63='(63) TO BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP A JOB OR FIND A BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY SUPERVISOR'
                  73='(73) TO PREVENT PROBLEMS WITH MY CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL/TEACHERS'
                  77='(77) PREVENT PROBLEMS WITH OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY' 83='(83) FRIENDS' 84='(84) SCHOOL' 85='(85) JOB OR EMPLOYER'
                  86='(86) LEGAL (BESIDES COURT MANDATE)' 87='(87) TREATMENT STAFF'
                  88='(88) TREATMENT CLIENTS' 89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE ac2a2ct   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CHANGE IN ATTITUDE/LIFESTYLE'
                  2='(2) DRUG AVAILABILITY/QUALITY'
                  3='(3) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  4='(4) LEGAL REASONS' 5='(5) PERSONAL FINANCES OR COST OF DRUGS'
                  6='(6) PHYSICAL/MENTAL HEALTH RELATED'
                  7='(7) WORK/JOB/SCHOOL RELATED' 8='(8) TREATMENT STAFF/CLIENTS'
                  9='(9) OTHER' ;
  VALUE ac2a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF DRUGS AVAILABLE' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH/NOT SUPPORT HABIT'
                  12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN ON THE SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFESTYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFESTYLE'
                  31='(31) HAVE DRUG RELATED CONTAGIOUS DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK'
                  33='(33) AFRAID OF GETTING AIDS, OTHER DISEASE'
                  34='(34) HAD HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON'
                  41='(41) WANT TO SAVE MY MARRIAGE/ RELATIONSHIP'
                  42='(42) WANT TO IMPROVE MY RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CUSTODY OF CHILDREN'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) WANT TO AVOID BEING INVOLVED CRIMINAL ACTS'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) TO BECOME ELIGIBLE FOR PUBLIC ASSISTANCE'
                  62='(62) TO BECOME ELIGIBLE FOR MEDICAL SERVICES'
                  63='(63) TO BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP A JOB OR FIND A BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY SUPERVISOR'
                  73='(73) TO PREVENT PROBLEMS WITH MY CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL/TEACHERS'
                  77='(77) PREVENT PROBLEMS WITH OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY' 83='(83) FRIENDS' 84='(84) SCHOOL' 85='(85) JOB OR EMPLOYER'
                  86='(86) LEGAL (BESIDES COURT MANDATE)' 87='(87) TREATMENT STAFF'
                  88='(88) TREATMENT CLIENTS' 89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE ac2a3ct   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CHANGE IN ATTITUDE/LIFESTYLE'
                  2='(2) DRUG AVAILABILITY/QUALITY'
                  3='(3) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  4='(4) LEGAL REASONS' 5='(5) PERSONAL FINANCES OR COST OF DRUGS'
                  6='(6) PHYSICAL/MENTAL HEALTH RELATED'
                  7='(7) WORK/JOB/SCHOOL RELATED' 8='(8) TREATMENT STAFF/CLIENTS'
                  9='(9) OTHER' ;
  VALUE ac3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOUR OWN IDEA' 2='(2) SOMEONE ELSE''S IDEA' ;
  VALUE ac3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF-REFERRAL' 1='(1) MEDICAL SERVICE' 10='(10) COMMUNITY AGENCY'
                  20='(20) LEGAL SYSTEM (NOT PROBATION OR PAROLE)'
                  30='(30) PROBATION AND PAROLE' 40='(40) PRISON SYSTEM'
                  50='(50) FAMILY OR FRIENDS' 60='(60) SCHOOL' 70='(70) EMPLOYER'
                  80='(80) VETERAN' 90='(90) OTHER' ;
  VALUE ac4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF-REFERRAL' 1='(1) MEDICAL SERVICE' 10='(10) COMMUNITY AGENCY'
                  20='(20) LEGAL SYSTEM (NOT PROBATION OR PAROLE)'
                  30='(30) PROBATION AND PAROLE' 40='(40) PRISON SYSTEM'
                  50='(50) FAMILY OR FRIENDS' 60='(60) SCHOOL' 70='(70) EMPLOYER'
                  80='(80) VETERAN' 90='(90) OTHER' ;
  VALUE ac4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF-REFERRAL' 1='(1) MEDICAL SERVICE' 10='(10) COMMUNITY AGENCY'
                  20='(20) LEGAL SYSTEM (NOT PROBATION OR PAROLE)'
                  30='(30) PROBATION AND PAROLE' 40='(40) PRISON SYSTEM'
                  50='(50) FAMILY OR FRIENDS' 60='(60) SCHOOL' 70='(70) EMPLOYER'
                  80='(80) VETERAN' 90='(90) OTHER' ;
  VALUE ac5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) SOMEONE ELSE' ;
  VALUE ac6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WANTED THIS TYPE' 2='(2) DID NOT CARE WHICH TYPE'
                  3='(3) WANTED ANOTHER TYPE' ;
  VALUE ac6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) METHADONE MAINTENANCE'
                  2='(2) THERAPEUTIC COMMUNITY OR RESIDENTIAL'
                  3='(3) SHORT-TERM INPATIENT' 4='(4) A NON-METHADONE OUTPATIENT'
                  5='(5) OTHER' ;
  VALUE ac7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac7a_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ac7a_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ac7a_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ac7a_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ac7a_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ac7a_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ac7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) OWN NAME'
                  2='(2) OTHER FAMILY MEMBER' ;
  VALUE ac7c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) PROGRAM CHARGES NO FEE' ;
  VALUE ac7d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) LESS THAN HALF' 2='(2) HALF OR MORE' 3='(3) ALL'
                  4='(4) (IF VOL:) PROGRAM CHARGES NO FEES' ;
  VALUE ac7e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SELF PAY (YOUR MONEY)' 2='(2) FAMILY, RELATIVES'
                  3='(3) WORKER''S COMPENSATION' 4='(4) OTHER (SPECIFY)' ;
  VALUE ac8_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ac8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ac8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ac8_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ac8_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ac8_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ac8_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ac8_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ac8_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE ac8_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE ac9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) UNCERTAIN' ;
  VALUE ac9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) REQUIRED, STIPULATED' 2='(2) SUGGESTED, ENCOURAGES' ;
  VALUE ac9c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac9d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ac9e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NOTHING/I WILL BE GIVEN ANOTHER CHANGE'
                  2='(2) GIVEN A TECHNICAL VIOLATION'
                  3='(3) INCREASED SUPERVISION OR MONITORING'
                  4='(4) RETURNED TO (JAIL/PRISON)' 5='(5) OTHER (SPECIFY)' ;
  VALUE ac10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LIVING AT THE TREATMENT FACILITY' 1='(1) WALK' 2='(2) DRIVE'
                  3='(3) PUBLIC TRANSPORTATION' 4='(4) RIDE FROM FAMILY/FRIEND'
                  5='(5) TAXI CAB' 6='(6) PROGRAM WILL PROVIDE TRANSPORTATION'
                  7='(7) OTHER (SPECIFY)' ;
  VALUE ac11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) VERY GOOD' ;
  VALUE ad1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ad1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ad2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITH THE PAST YEAR' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) DID NOT DRINK BEER/WINE OR LIQUOR'
                  1='(1) LESS THAN 1 DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ad8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ad9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) LESS THAN 1 DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ad9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad9c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) LESS THAN 1 DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ad9d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad9e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) LESS THAN 1 DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ad9f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ad10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad10c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ad10d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ad12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ad13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad13a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ad14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE ad14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE ad14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) 1 OR 2 TIMES' ;
  VALUE ad14d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE ad14e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE ad15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORT-TERM INPATIENT' 2='(2) LON-TERM RESIDENTIAL'
                  3='(3) HALFWAY HOUSE' 4='(4) OUTPATIENT' 5='(5) OTHER' ;
  VALUE ad17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad17a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad17b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ad19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ad19a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1/2 PACK A DAY' 2='(2) ABOUT 1/2 PACK A DAY'
                  3='(3) ABOUT A PACK A DAY' 4='(4) ABOUT 1-1/2 PACKS A DAY'
                  5='(5) ABOUT 2 PACKS OR MORE A DAY' ;
  VALUE ad20_0ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ad20_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ad20_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ad20_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ae1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae1g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER USED'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2f3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT (CRACK)'
                  3='(3) BY INHALING, SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE' 6='(6) FREEBASE'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae2h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  9999='(9999) 9999 OR MORE' ;
  VALUE ae2i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2j3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) IN A TREATMENT PROGRAM'
                  2='(2) IN JAIL/PRISON/JUVENILE DETENTION' 3='(3) STOPPED ON OWN'
                  4='(4) OTHER' ;
  VALUE ae2l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae2n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae2o      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae2p      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT (CRACK)'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' 8='(8) USED ONCE'
                  9='(9) LACED WITH MARIJUANA' 10='(10) RUSHES' 11='(11) PRIMOS'
                  12='(12) DRINKING' 13='(13) ON SKIN'
                  14='(14) SMOKE AND INJECT IN VEIN AT SAME TIME' 15='(15) WHOLERS' ;
  VALUE ae2q      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae2r      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae2s      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER USED'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae3c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae3d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3f3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT (CRACK)'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae3h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3j3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) IN A TREATMENT PROGRAM' 2='(2) IN JAIL'
                  3='(3) STOPPED ON YOUR OWN' 4='(4) OTHER' ;
  VALUE ae3l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae3n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae3o      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae3p      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT (CRACK)'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' 8='(8) USED ONCE'
                  9='(9) LACED WITH MARIJUANA' 10='(10) RUSHES' 11='(11) PRIMOS'
                  12='(12) DRINKING' 13='(13) ON SKIN'
                  14='(14) SMOKE AND INJECT IN VEIN AT SAME TIME' 15='(15) WHOLERS' ;
  VALUE ae3q      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae3r      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae3s      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae3t      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DAVRON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL W/CODEINE' 10='(10) PHENAPHEN W/CODEINE' 11='(11) TALWIN'
                  12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE' 15='(15) CODEINE'
                  16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE' 19='(19) STADOL'
                  20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PAREGORIC' ;
  VALUE ae4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DAVRON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL W/CODEINE' 10='(10) PHENAPHEN W/CODEINE' 11='(11) TALWIN'
                  12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE' 15='(15) CODEINE'
                  16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE' 19='(19) STADOL'
                  20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PAREGORIC' ;
  VALUE ae4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DAVRON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL W/CODEINE' 10='(10) PHENAPHEN W/CODEINE' 11='(11) TALWIN'
                  12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE' 15='(15) CODEINE'
                  16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE' 19='(19) STADOL'
                  20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PAREGORIC' ;
  VALUE ae4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER USED NONMEDICALLY' 1='(1) 1 OR 2 TIMES'
                  2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES' 4='(4) 11 TO 49 TIMES'
                  5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae5c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae5d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5f3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae5h3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) IN A TREATMENT PROGRAM' 2='(2) IN JAIL'
                  3='(3) STOPPED ON YOUR OWN' 4='(4) OTHER' ;
  VALUE ae5j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae5l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae5m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae5n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' 8='(8) USED ONCE'
                  9='(9) LACED WITH MARIJUANA' 10='(10) RUSHES' 11='(11) PRIMOS'
                  12='(12) DRINKING' 13='(13) ON SKIN'
                  14='(14) SMOKE AND INJECT IN VEIN AT SAME TIME' 15='(15) WHOLERS' ;
  VALUE ae5o      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae5p      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae5q      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae6bs1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE ae6bs2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE ae6bs3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE ae6bt1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE ae6bt2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE ae6bt3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE ae6c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER USED'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae7c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae7d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7f3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae7h3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) IN A TREATMENT PROGRAM' 2='(2) IN JAIL'
                  3='(3) STOPPED ON YOUR OWN' 4='(4) OTHER' ;
  VALUE ae7j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae7l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae7m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae7n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' 8='(8) USED ONCE'
                  9='(9) LACED WITH MARIJUANA' 10='(10) RUSHES' 11='(11) PRIMOS'
                  12='(12) DRINKING' 13='(13) ON SKIN'
                  14='(14) SMOKE AND INJECT IN VEIN AT SAME TIME' 15='(15) WHOLERS' ;
  VALUE ae7o71ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE ae7o72ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 72='(72) CIRCLED' ;
  VALUE ae7o73ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 73='(73) CIRCLED' ;
  VALUE ae7o74ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 74='(74) CIRCLED' ;
  VALUE ae7p      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  71='(71) SEDATIVES AND SLEEPING PILLS' 72='(72) BARBITURATES'
                  73='(73) BENZODIAZAPENES' 74='(74) OTHER TRANQUILIZERS' ;
  VALUE ae8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae8b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLEGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT'
                  20='(20) DEXTROAMPHETAMINE' 21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ae8b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLEGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT'
                  20='(20) DEXTROAMPHETAMINE' 21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ae8b3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLEGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT'
                  20='(20) DEXTROAMPHETAMINE' 21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE ae8c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER USED NONMEDICALLY' 1='(1) 1 OR 2 TIMES'
                  2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES' 4='(4) 11 TO 49 TIMES'
                  5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae9c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae9d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9f3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae9h3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) IN A TREATMENT PROGRAM' 2='(2) IN JAIL'
                  3='(3) STOPPED ON YOUR OWN' 4='(4) OTHER' ;
  VALUE ae9j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae9l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae9m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae9n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae9o      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae9p      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae9q      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae9r      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE ae10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE ae11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER USED'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae11d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11f3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae11h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae11i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae11j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae11k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae11l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae11m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae11n     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae11o     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae12f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae12g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae14d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT (CRACK)'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae14e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae14f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae14g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae14h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 - 2 TIMES' 2='(2) 3 - 5 TIMES' 3='(3) 6 - 10 TIMES'
                  4='(4) 11 - 49 TIMES' 5='(5) 50 - 99 TIMES' 6='(6) 100 - 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae15c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae15d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae15e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae15f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae15g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae15h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae16b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ae16c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae16d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER' ;
  VALUE ae16e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae16f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae16g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING, SNORTING OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY (SPECIFY)' ;
  VALUE ae16h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL OVER THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES PER MONTH'
                  3='(3) 1 - 2 TIMES PER WEEK' 4='(4) 3 - 4 TIMES PER WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ae17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY YOURSELF'
                  2='(2) WITH 1 OR 2 OTHER PEOPLE' 3='(3) IN A GROUP' ;
  VALUE ae18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AT HOME'
                  2='(2) AT FRIEND''S OR RELATIVE''S HOME'
                  3='(3) AT A ''SHOOTING GALLERY''' 4='(4) ON THE STREET'
                  5='(5) IN A MOTOR VEHICLE' 6='(6) SOME OTHER PLACE' ;
  VALUE ae19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae19a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae19b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae19c1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae19c2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae19c3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE ae20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae21a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae22a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae22b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE ae22b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae22b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae22b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae22b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae22b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae24a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae24b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae24c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae24d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae24e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae24f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE ae25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae25a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26aa    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ab    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ac    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ad1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26ad2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ae    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae26b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26ba    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26bb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26bc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26bd1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26bd2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26be    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae26c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26ca    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26cb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26cc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26cd1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26cd2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ce    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae26d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26da    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26db    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26dc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26dd1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26dd2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26de    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae26e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26ea    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26eb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ec    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ed1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26ed2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26ee    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae26f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae26fa    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26fb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26fc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26fd1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ae26fd2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae26fe    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER' ;
  VALUE ae27_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORT-TERM INPATIENT'
                  2='(2) LONG-TERM RESIDENTIAL COMMUNITY' 3='(3) METHADONE'
                  4='(4) OUTPATIENT' 5='(5) OTHER (SPECIFY)' 6='(6) DETOXIFICATION'
                  7='(7) STILL IN LONG-TERM MAINTENANCE' ;
  VALUE ae29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT' 2='(2) DISCHARGED BY STAFF'
                  3='(3) TRANSFERRED TO COMPONENT OF SAME PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DISCHARGED' 6='(6) VOLUNTARILY DROPPED OUT'
                  7='(7) QUIT BECAUSE OF DISSATISFACTION' 8='(8) OTHER (SPECIFY)' ;
  VALUE ae30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae31a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae32a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae32b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ae33ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae33aa    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE ae33ba    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALCOHOL'
                  2='(2) DRUG' 3='(3) BOTH' ;
  VALUE ae33ca    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae33ab    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE ae33bb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALCOHOL'
                  2='(2) DRUG' 3='(3) BOTH' ;
  VALUE ae33cb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae33ac    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE ae33bc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALCOHOL'
                  2='(2) DRUG' 3='(3) BOTH' ;
  VALUE ae33cc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae33ad    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE ae33bd    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALCOHOL'
                  2='(2) DRUG' 3='(3) BOTH' ;
  VALUE ae33cd    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ae33ae    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE ae33be    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALCOHOL'
                  2='(2) DRUG' 3='(3) BOTH' ;
  VALUE ae33ce    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALL'
                  2='(2) SOME' 3='(3) NONE' ;
  VALUE af1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALL'
                  2='(2) SOME' 3='(3) NONE' ;
  VALUE af2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af2h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af4c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALL'
                  2='(2) SOME' 3='(3) NONE' ;
  VALUE af5b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af6c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) ALL'
                  2='(2) SOME' 3='(3) NONE' ;
  VALUE af7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af13f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE af14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH CENTER'
                  2='(2) A PRIVATE PSYCHIATRIC HOSPITAL'
                  3='(3) A PUBLIC/STATE PSYCHIATRIC HOSPITAL'
                  4='(4) ANY OTHER HOSPITAL'
                  5='(5) AN EMERGENCY ROOM OR CRISIS CENTER'
                  6='(6) ANY OTHER PLACE FOR EMOTIONAL PROBLEMS' ;
  VALUE af16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af17a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af17b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af17c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af17d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE af17e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af17f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af17g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE af18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE af20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH CENTER'
                  2='(2) A PRIVATE THERAPIST'
                  3='(3) A FAMILY PHYSICIAN OR OTHER DOCTOR'
                  4='(4) A PRIVATE PSYCHIATRIC HOSPITAL'
                  5='(5) A PUBLIC/STATE PSYCHIATRIC HOSPITAL'
                  6='(6) ANY OTHER HOSPITAL' 7='(7) ANYWHERE ELSE' ;
  VALUE af21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE af22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af22a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE af23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE af24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af24aa    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE af24ba    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af24ab    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE af24bb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af24ac    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE af24bc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af24ad    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE af24bd    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE af24ae    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' ;
  VALUE af24be    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 3 TICKETS' 2='(2) 4 TO 5 TICKETS' 3='(3) 6 TO 10 TICKETS'
                  4='(4) 11 TO 49 TICKETS' 5='(5) 50 TO 99 TICKETS'
                  6='(6) 100 TO 199 TICKETS' 7='(7) 200 OR MORE' ;
  VALUE ag1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ag1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ag1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ag3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  94='(94) 1 OR DON''T KNOW, BUT LESS THAN 15'
                  95='(95) DON''T KNOW, BUT 15 OR OLDER' ;
  VALUE ag4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ag6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 TO 99 TIMES' 6='(6) 100 TO 199 TIMES'
                  7='(7) 200 OR MORE TIMES' ;
  VALUE ag6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ag7_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE ag9_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag7_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag8_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag9_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag13a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag13b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YR AGO' ;
  VALUE ag14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag14a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag14b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag14c3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) USE/POSSESSION OF DRUGS, LIQUOR LAW VIOL., DRUNK & DISORD.'
                  2='(2) SALE OR MANUFACTURE OF DRUGS'
                  3='(3) FORGERY, FRAUD, BUYING/RECEIVING/POSSESSION OF STOLEN PROP.'
                  4='(4) BURGLARY--BREAK & ENTER, UNLAWFUL ENTRY, OR SAFECRACKING'
                  5='(5) LARCENY: THEFT, PICKPOCKET, PURSE SNATCHING W/O FORCE, ETC.'
                  6='(6) PIMPING, PROSTITUTION, COMMERCIALIZED VICE'
                  7='(7) ROBBERY, BANK, MUGGING, ARMED, PURSE SNATCHING W/FORCE'
                  8='(8) HOMICIDES, MANSLAUGHTER, AGGR. ASSAULT, RAPE, KIDNAPPING'
                  9='(9) OTHER OFFENSES WHERE PEOPLE MAY BE INJURED, SIMPLE ASSAULT'
                  10='(10) STATUS OFFENSES: RUNNING AWAY, BROKE CURFEW, TRUANCY, ETC.'
                  11='(11) ANY OTHER OFFENSES: GAMBLING , BOOKMAKING, WEAPONS, ETC.' ;
  VALUE ag15a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ag15c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag15d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE ag17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE ag18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE ag19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag19a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ag20a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag20b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ag20b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ag20b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ag20b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ag20b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ag20b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ag20b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ag20c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ag21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 - 3 TIMES A MONTH'
                  3='(3) 1 - 2 TIMES A WEEK' 4='(4) 3 - 4 TIMES A WEEK'
                  5='(5) 5 - 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 - 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE ah1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING AT A LEGITIMATE JOB'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) KEEPING HOUSE FOR YOURSELF'
                  5='(5) GOING TO SCHOOL OR TRAINING PROGRAM'
                  6='(6) UNABLE TO WORK, DISABLED' 7='(7) RETIRED'
                  8='(8) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  9='(9) INVOLVED IN DRUG-RELATED ACTIVITIES'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITIES'
                  11='(11) NOT WORKING AND NOT INTERESTED IN WORK'
                  12='(12) OTHER (SPECIFY)' ;
  VALUE ah2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID NOT EARN MONEY LEGALLY' 2='(2) DID EARN MONEY LEGALLY' ;
  VALUE ah2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED DURING WEEK'
                  4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FIND PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY W/OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORK WEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHER (SPECIFY)' ;
  VALUE ah2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED DURING WEEK'
                  4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FIND PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY W/OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORK WEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHER (SPECIFY)' ;
  VALUE ah3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah3_01ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ah3_02ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ah3_03ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ah3_04ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ah3_05ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ah3_06ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ah3_07ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ah3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah3c1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ah3c2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ah3c3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ah3c4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ah3c5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ah3c6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ah3c7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ah3c8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE ah3c9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE ah3c10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE ah3c11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE ah3d1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ah3d2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ah3d3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ah3d4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ah3d5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ah3d6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ah3d7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ah3d8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ah3d9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE ah3d10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE ah3d11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE ah3d12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE ah3d13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE ah3d14ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE ah3d15ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE ah3d16ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 15='(15) CIRCLED' ;
  VALUE ah3d17ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 16='(16) CIRCLED' ;
  VALUE ah4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE ah4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE ah4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE ah4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SLIGHTLY'
                  2='(2) MODERATELY' 3='(3) SEVERELY' 4='(4) VERY SEVERELY' ;
  VALUE ah4c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) IT WILL GET BETTER' 1='(1) IT WILL STAY ABOUT THE SAME'
                  2='(2) IT WILL STAY THE SAME IF CAREFUL'
                  3='(3) IT WILL SLOWLY GET WORSE IN TIME'
                  4='(4) IT MAY GET MUCH WORSE IN FUTURE' ;
  VALUE ah4d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALMOST IMPOSSIBLE' 2='(2) VERY DIFFICULT'
                  3='(3) A LITTLE DIFFICULT' 4='(4) NOT DIFFICULT' ;
  VALUE ah5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE ah9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE ah9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah9b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE ah9c1fff  -9.0000='LEGITIMATE NONRESPONSE' -8.0000='MISSING'
                  -7.0000='REFUSAL' -6.0000='MULTIPLE RESPONSE'
                  -5.0000='BAD DATA' -4.0000='DON''T KNOW'
                  -3.0000='NOT APPLICABLE' -2.0000='RESPONSE ILLEGIBLE' ;
  VALUE ah9c2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE ah9d3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah9e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD A FULL TIME JOB'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ah10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE ah10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE ah10c1ff  -9.0000='LEGITIMATE NONRESPONSE' -8.0000='MISSING'
                  -7.0000='REFUSAL' -6.0000='MULTIPLE RESPONSE'
                  -5.0000='BAD DATA' -4.0000='DON''T KNOW'
                  -3.0000='NOT APPLICABLE' -2.0000='RESPONSE ILLEGIBLE' ;
  VALUE ah10c2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE ah10d3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah10e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah11_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah11_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah11_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ah11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE ah11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE ah11d1ff  -9.0000='LEGITIMATE NONRESPONSE' -8.0000='MISSING'
                  -7.0000='REFUSAL' -6.0000='MULTIPLE RESPONSE'
                  -5.0000='BAD DATA' -4.0000='DON''T KNOW'
                  -3.0000='NOT APPLICABLE' -2.0000='RESPONSE ILLEGIBLE' ;
  VALUE ah11d2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE ah12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POORLY'
                  2='(2) SOMEWHAT POORLY' 3='(3) A LITTLE LESS THAN AVERAGE'
                  4='(4) WELL OR VERY WELL' ;
  VALUE ah13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POORLY'
                  2='(2) SOMEWHAT POORLY' 3='(3) A LITTLE LESS THAN AVERAGE'
                  4='(4) WELL OR VERY WELL' ;
  VALUE ah14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) NEVER HAD A JOB' ;
  VALUE ah14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ah16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah16b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ah17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah17a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah17b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PHYSICAL ILLNESS/INJURY' 2='(2) MEDICATION/DRUG/ALCOHOL'
                  3='(3) NERVES, ANXIETY, STRESS, DEPRESSION'
                  4='(4) NO DEFINITE DIAGNOSIS' ;
  VALUE ah17c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah17d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah17e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah18b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NO, LESS THAN 6 MONTHS' 2='(2) YES, 6 MONTHS OR MORE' ;
  VALUE ah19a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ah20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ah21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE ah22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ah22a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE aj1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  99999='(99999) $99,999 OR MORE' ;
  VALUE aj1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  99999='(99999) $99,999 OR MORE' ;
  VALUE aj1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj2_tot   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999999='(999999) $999,999 OR MORE' ;
  VALUE aj3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) $1-1,999' 2='(2) 2,000-2,999' 3='(3) 3,000-3,999'
                  4='(4) 4,000-4,999' 5='(5) 5,000-5,999' 6='(6) 6,000-6,999'
                  7='(7) 7,000-7,999' 8='(8) 8,000-8,999' 9='(9) 9,000-9,999'
                  10='(10) 10,000-11,999' 12='(12) 12,000-13,999' 14='(14) 14,000-15,999'
                  16='(16) 16,000-17,999' 18='(18) 18,000-19,999' 20='(20) 20,000-23,999'
                  24='(24) 24,000-29,999' 30='(30) 30,000-39,999' 40='(40) 40,000-49,999'
                  50='(50) 50,000-99,999' 100='(100) 100,000 OR MORE' ;
  VALUE aj4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) $1-1,999' 2='(2) 2,000-2,999' 3='(3) 3,000-3,999'
                  4='(4) 4,000-4,999' 5='(5) 5,000-5,999' 6='(6) 6,000-6,999'
                  7='(7) 7,000-7,999' 8='(8) 8,000-8,999' 9='(9) 9,000-9,999'
                  10='(10) 10,000-11,999' 12='(12) 12,000-13,999' 14='(14) 14,000-15,999'
                  16='(16) 16,000-17,999' 18='(18) 18,000-19,999' 20='(20) 20,000-23,999'
                  24='(24) 24,000-29,999' 30='(30) 30,000-39,999' 40='(40) 40,000-49,999'
                  50='(50) 50,000-99,999' 100='(100) 100,000 OR MORE' ;
  VALUE aj7a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj7a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MONTH'
                  2='(2) YEAR' ;
  VALUE aj7b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj7b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MONTH'
                  2='(2) YEAR' ;
  VALUE aj7c1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj7c2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MONTH'
                  2='(2) YEAR' ;
  VALUE aj7d1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj7d2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MONTH'
                  2='(2) YEAR' ;
  VALUE aj8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE aj10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE aj11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE aj12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITHIN THE MONTH BEFORE ADMISSION'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE aj12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) FELT BAD ABOUT SOME, NOT OTHERS' ;
  VALUE aj13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE aj14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak12a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak3a8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak3b8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak4a8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak4b8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak56a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak56b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak78a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak78b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak9a8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak9b8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak10c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITH THE PAST YEAR' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_1d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak13_3a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_3b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_3c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_3d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak13_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_4d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak13_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_5d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak13_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_6d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak13_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak13_7d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_2a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_2b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_2c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak14_8a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_8b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak14_8c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_1d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_2a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_2b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_2c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_2d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_4d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_5d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_6d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_7d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak15_8a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_8b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_8c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak15_8d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak16a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak16b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak17a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak17b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN ONE YEAR AGO' ;
  VALUE ak18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak18b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak18c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_1d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak19_3a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_3b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_3c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_3d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak19_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_4d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak19_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_5d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak19_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_6d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak19_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak19_7d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR' ;
  VALUE ak20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_2a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_2b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_2c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak20_8a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_8b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak20_8c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_1bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_2a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak212b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_2c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_4bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_5bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_6bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_7bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak21_8a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak21_8bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_8c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_1a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_1b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_1c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_2a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_2b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_2c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_4a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_4b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_4c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_5a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_5b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_5c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_6a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_6b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_6c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_7a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_7b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_7c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak22_8a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_8b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ak22_8c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) WITHIN THE PAST 12 MONTHS' 3='(3) MORE THAN 1 YEAR AGO' ;
  VALUE ak23_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak23_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE akdm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE akth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aktm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE akampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE al1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE al2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE al2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE al3_1_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE al3_1_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE al3_2_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE al3_2_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE al3_3_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE al3_3_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE al3_4_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE al3_4_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE al4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE al4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE al4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE al4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE al4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE al4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE al4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE al5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EAGER'
                  2='(2) RECEPTIVE' 3='(3) NO REACTION' 4='(4) RELUCTANT' 5='(5) REFUSED'
                  6='(6) NOT DISCUSSED' ;
  VALUE al6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE al6a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE al6a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE am1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE am2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE am12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE am12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE am12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE am12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE am13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ERROR'
                  1='(1) 1 ERROR' 2='(2) 2 ERRORS' 3='(3) 3 ERRORS' 4='(4) 4 ERRORS'
                  5='(5) 5 ERRORS' ;
  VALUE am14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE am15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP'
                  7='(7) CAN''T READ ENGLISH' ;
  VALUE am18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am18b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am18c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE am19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' 7='(7) CAN''T WRITE (ENGLISH)' ;
  VALUE am20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' ;
  VALUE am21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE idate_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE idate_y   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ai1_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai1_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai1_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai1_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai2_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai2_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai2_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai2_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai3_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai3_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai3_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai3_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai4_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai4_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai4_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai5_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai5_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai5_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai5_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai6_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai6_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai6_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai6_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai7_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai7_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai7_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai7_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai8_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai8_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai9_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai9_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai9_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai9_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai10_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  1='(1) YES' 2='(2) NO' ;
  VALUE ai10_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION' ;
  VALUE ai10_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE ai10_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 ILLEGAL ACTIVITIES SECTION'
                  999='(999) 999 OR MORE' ;
  VALUE an1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an2n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  0='(0) NOT AT ALL' 1='(1) A LITTLE BIT' 2='(2) MODERATELY'
                  3='(3) QUITE A BIT' 4='(4) EXTREMELY' ;
  VALUE an3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS LIKES WAY LEADING LIFE'
                  2='(2) TEENS DON''T LIKE WAY LEADING LIFE' ;
  VALUE an4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS ENJOYABLE TO BE WITH'
                  2='(2) TEENS NOT SURE ENJOYABLE TO BE WITH' ;
  VALUE an4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS HAPPY TO BE WAY THEY ARE'
                  2='(2) OTHER TEENS WOULD BE DIFFERENT' ;
  VALUE an4c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) UNCOMFORTABLE MEETING NEW PEOPLE'
                  2='(2) LIKE TO MEET NEW PEOPLE' ;
  VALUE an4d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS QUESTION WHETHER WORTHWHILE'
                  2='(2) TEENS FEEL THEY ARE WORTHWHILE' ;
  VALUE an4e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS DISAPPOINTED WITH SELF'
                  2='(2) TEENS PLEASED WITH SELF' ;
  VALUE an4f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS FEEL AT EASE WITH OTHER'
                  2='(2) OTHER TEENS ARE QUITE SHY' ;
  VALUE an4g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) TEENS DISSATISFIED WITH SELF'
                  2='(2) TEENS SATISFIED WITH SELF' ;
  VALUE an4h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SOME TEENS ARE NOT SOCIABLE'
                  2='(2) OTHER TEENS ARE SOCIABLE' ;
  VALUE an4i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an3j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SOME TEENS LIKE THEMSELVES'
                  2='(2) OTHER TEENS WOULD BE SOMEONE ELSE' ;
  VALUE an4j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE an5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE an17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  -1='DID NOT COMPLETE INTAKE 1 SUPPLEMENTAL QUESTIONNAIRE'
                  1='(1) YES' 2='(2) NO' ;
  VALUE qu        0='(0) NO' 1='(1) YES' ;
  VALUE ia        0='(0) NO' 1='(1) YES' ;
  VALUE su        0='(0) NO' 1='(1) YES' ;
  VALUE modality  1='(1) RESIDENTIAL' 2='(2) SHORT-TERM INPATIENT'
                  3='(3) METHADONE MAINTENANCE' 4='(4) OUTPATIENT DRUG FREE' ;
  VALUE sex       1='(1) MALE' 2='(2) FEMALE' ;
  VALUE age       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  12='(12) 12 OR YOUNGER' 18='(18) 18 OR OLDER' ;
  VALUE ab7c_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ab7e_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad2b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad3b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad4b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad9_m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad10d_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad16_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad17a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ad18a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae1e_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae1f_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2m_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2n_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae2r_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3m_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3n_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae3r_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5k_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5l_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae5p_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7k_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae7l_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9k_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9l_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae9p_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11h_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11i_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae11m_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae12e_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae12f_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae14e_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae15e_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae16e_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae30_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae31a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ae32b_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af1e_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af2h_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af3a_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af4b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af5b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af6c_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af7b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af15_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE af19_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag1b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag6b_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag13b_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag15b_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ag20c_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah10_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah11a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah15b_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah16b_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ah19a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE aj12a_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b2_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b4_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b5_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b6_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b7_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak12b8_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b1_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b2_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b4_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b5_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b6_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b7_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak3b8_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b1_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b2_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b4_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b5_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b6_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b7_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak4b8_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b2_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b4_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b5_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b6_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b7_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak56b8_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b2_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b4_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b5_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b6_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b7_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak78b8_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b1_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b2_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b4_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b5_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b6_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b7_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak9b8_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak10c_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_1dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_3dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_4dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_5dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_6dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak13_7dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_1cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_2cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_4cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_5cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_6cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_7cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak14_8cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_1dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_2dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_4dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_5dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_6dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_7dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak15_8dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b2_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b4_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b5_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b6_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b7_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak16b8_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b2_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b4_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b5_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b6_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b7_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak17b8_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_1dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_3dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_4dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_5dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_6dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak19_7dr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_1cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_2cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_4cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_5cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_6cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_7cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak20_8cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_1cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_2cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_4cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_5cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_6cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_7cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak21_8cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_1cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_2cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_4cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_5cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_6cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_7cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ak22_8cr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE hlthins   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) PRIVATE /OTHER' 2='(2) PUBLIC' 3='(3) UNKNOWN TYPE' ;
  VALUE ftwork    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-13 WKS' 2='(2) 14-39 WKS' 3='(3) 40-52 WKS' ;
  VALUE mstat     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) SEPARATED' 3='(3) DIVORCED OR WIDOWED' 5='(5) LIVING AS MARRIED'
                  6='(6) NEVER MARRIED' ;
  VALUE inschool  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE race      1='(1) CAUCASIAN/WHITE' 2='(2) AFRO-AMERICAN/BLACK' 3='(3) HISPANIC'
                  4='(4) OTHER' ;
  VALUE edlev     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) GRADE SCHOOL' 2='(2) MIDDLE SCHOOL' 3='(3) GRADE 9' 4='(4) GRADE 10'
                  5='(5) GRADE 11' 6='(6) GRADE 12' 7='(7) HS GRADUATE/GED' ;
  VALUE racesex   1='(1) CAUCASIAN/WHITE MALE' 2='(2) AFRO-AMERICAN/BLACK MALE'
                  3='(3) HISPANIC MALE' 4='(4) OTHER MALE' 5='(5) CAUCASIAN/WHITE FEMALE'
                  6='(6) AFRO-AMERICAN/BLACK FEMALE' 7='(7) HISPANIC FEMALE'
                  8='(8) OTHER FEMALE' ;
  VALUE hvy_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT A HEAVY USER' 1='(1) HEAVY ALCOHOL USER' ;
  VALUE alcr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mrjr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE cocr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE herr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE narr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE sedr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE ampr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE halr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE inhr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE alcwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrjwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE cocwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE herwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE narwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE sedwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE ampwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE halwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE inhwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrj_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE coc_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE her_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE nar_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE sed_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE amp_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE hal_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE inh_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE cj_stat   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO LEGAL STATUS' 1='(1) IN JAIL/DETENTION' 2='(2) PROBATION'
                  3='(3) PAROLE' 4='(4) CASE PENDING' ;
  VALUE iay_sia   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2 ACTS' 2='(2) 3-10 ACTS' 3='(3) 10 OR MORE ACTS' ;
  VALUE majsrc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) LEGAL WORK' 2='(2) PUB ASSISTANCE' 3='(3) SOCIAL SECURITY'
                  4='(4) FAMILY, FRIENDS' 5='(5) ILLEGAL SOURCES' 6='(6) OTHER SOURCES' ;
  VALUE refer     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF (ONLY IF NO OTHER PRIMARY OR SECONDARY MENTIONED)'
                  1='(1) MEDICAL SERVICE' 2='(2) COMMUNITY AGENCY' 3='(3) LEGAL SYSTEM'
                  4='(4) FAMILY OR FRIENDS' 5='(5) SCHOOL OR EMPLOYER' 6='(6) OTHER' ;
  VALUE restrict  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO WEEKS RESTRICTED' 1='(1) 1 TO 4 WEEKS RESTRICTED'
                  2='(2) 5 TO 13 WEEKS RESTRICTED' 3='(3) 14 TO 26 WEEKS RESTRICTED'
                  4='(4) 27 TO 39 WEEKS RESTRICTED' 5='(5) 40 TO 50 WEEKS RESTRICTED'
                  6='(6) 51 TO 52 WEEKS RESTRICTED' ;
  VALUE drugtx    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE school    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT IN SCHOOL' 1='(1) SPECIAL EDUCATION' 2='(2) MIDDLE SCHOOL'
                  3='(3) HIGH SCHOOL' 4='(4) POST-SECONDARY' 5='(5) OTHER' ;
  VALUE dep_yr    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO SIGNS OF DEPRESSION' 1='(1) FELT DEPRESSED'
                  2='(2) SUICIDAL THOUGHTS' 3='(3) SUICIDAL ATTEMPT (S)' ;
  VALUE empstat   1='(1) WORKING' 2='(2) LOOKING FOR WORK/GOING TO SCHOOL'
                  3='(3) KEEPING HOUSE' 4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TX, OTHER INST'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE iapy      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE pdt       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2' 2='(2) 3 OR MORE' ;
  VALUE crkr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE crkwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=2964;
INPUT
        CASEID 1-4              ADC1 5-6                ADC3 7-8
        AA4 9-10                AA4A 11-12              AA4B 13-14
        AA8 15-16               AA9 17-18               AA9A 19-20
        AA9B 21-22              AA10 23-24              AA10B 25-26
        AA11_3 27-29            AA12 30-31              AA13 32-33
        AA14_1 34-35            AA14_2 36-37            AA14_3 38-39
        AA14_4 40-41            AA14_5 42-43            AA14_6 44-45
        AA15 46-47              AA15B 48-49             AA16 50-51
        AA17_3 52-53            AB1 54-55               AB1A 56-57
        AB1B 58-59              AB1C 60-61              AB2 62-63
        AB2A 64-65              AB3_1 66-67             AB3_2 68-69
        AB3_3 70-71             AB3_4 72-73             AB3_5 74-75
        AB3_6 76-77             AB3_7 78-79             AB4 80-81
        AB4A 82-83              AB4B 84-85              AB5 86-87
        AB5A 88-89              AB6 90-91               AB6A 92-93
        AB7 94-95               AB7A 96-97              AB7B 98-99
        AB7C 100-101            AB7D 102-103            AB7E 104-105
        AB8 106-107             AB8A 108-109            AB8B 110-111
        AB8C 112-113            AB9 114-115             AB10 116
        AB10A 117-118           AB10B 119-120           AB11 121-122
        AC1 123-124             AC1A1 125-126           AC1A3 127-128
        AC1B1 129-130           AC1B3 131-132           AC2_1 133-134
        AC2_1CT 135-136         AC2A1 137-138           AC2A1CT 139-140
        AC2A2 141-142           AC2A2CT 143-144         AC2A3 145-146
        AC2A3CT 147-148         AC3 149-150             AC3A 151-152
        AC4 153-154             AC4A1 155-156           AC4A2 157-158
        AC5 159-160             AC6 161-162             AC6A 163-164
        AC7 165-166             AC7A_2 167-168          AC7A_3 169-170
        AC7A_4 171-172          AC7A_5 173-174          AC7A_6 175-176
        AC7A_7 177-178          AC7B 179-180            AC7C 181-182
        AC7D 183-184            AC7E 185-186            AC8_0 187-188
        AC8_1 189-190           AC8_2 191-192           AC8_3 193-194
        AC8_4 195-196           AC8_5 197-198           AC8_6 199-200
        AC8_7 201-202           AC8_8 203-204           AC8_9 205-206
        AC9 207-208             AC9A 209-210            AC9B 211-212
        AC9C 213-214            AC9D 215-216            AC9E 217-218
        AC10 219-220            AC11 221-222            AD1 223-224
        AD1A 225-226            AD2 227-229             AD2A 230-231
        AD2B 232-233            AD3 234-235             AD3A 236-237
        AD3B 238-239            AD4 240-241             AD4A 242-243
        AD4B 244-245            AD5 246-247             AD5A 248-249
        AD6 250-251             AD7 252-254             AD8 255-256
        AD8A 257-258            AD9 259-260             AD9A 261-262
        AD9B 263-264            AD9C 265-266            AD9D 267-268
        AD9E 269-270            AD9F 271-272            AD10 273-274
        AD10A 275-276           AD10B 277-278           AD10C 279-280
        AD10D 281-282           AD11 283-284            AD12 285-286
        AD13 287-288            AD13A 289-290           AD14A 291-292
        AD14B 293-294           AD14C 295-296           AD14D 297-298
        AD14E 299-300           AD15 301-303            AD15A 304-305
        AD16 306-307            AD16A 308-309           AD17 310-311
        AD17A 312-313           AD17B3 314-316          AD18 317-318
        AD18A 319-320           AD19 321-322            AD19A 323-324
        AD20_0 325-326          AD20_1 327-328          AD20_2 329-330
        AD20_3 331-332          AE1 333-334             AE1A 335-336
        AE1B 337-338            AE1C 339-340            AE1D 341-342
        AE1E 343-344            AE1F 345-346            AE1G 347-348
        AE2 349-350             AE2A 351-352            AE2B 353-354
        AE2C 355-356            AE2D 357-358            AE2E 359-360
        AE2F3 361-363           AE2G 364-365            AE2H 366-369
        AE2I 370-371            AE2J3 372-374           AE2K 375-376
        AE2L 377-378            AE2M 379-380            AE2N 381-382
        AE2O 383-384            AE2P 385-386            AE2Q 387-388
        AE2R 389-390            AE2S 391-392            AE3 393-394
        AE3A 395-396            AE3B 397-398            AE3C 399-400
        AE3D 401-402            AE3E 403-404            AE3F3 405-407
        AE3G 408-409            AE3H 410-413            AE3I 414-415
        AE3J3 416-418           AE3K 419-420            AE3L 421-422
        AE3M 423-424            AE3N 425-426            AE3O 427-428
        AE3P 429-430            AE3Q 431-432            AE3R 433-434
        AE3S 435-436            AE3T 437-438            AE4 439-440
        AE4A1 441-442           AE4A2 443-444           AE4A3 445-446
        AE4B 447-448            AE5 449-450             AE5A 451-452
        AE5B 453-454            AE5C 455-456            AE5D 457-458
        AE5E 459-460            AE5F3 461-463           AE5G 464-465
        AE5H3 466-468           AE5I 469-470            AE5J 471-472
        AE5K 473-474            AE5L 475-476            AE5M 477-478
        AE5N 479-480            AE5O 481-482            AE5P 483-484
        AE5Q 485-486            AE6 487-488             AE6A 489-490
        AE6BS1 491-492          AE6BS2 493-494          AE6BS3 495-496
        AE6BT1 497-498          AE6BT2 499-500          AE6BT3 501-502
        AE6C 503-504            AE7 505-506             AE7A 507-508
        AE7B 509-510            AE7C 511-512            AE7D 513-514
        AE7E 515-516            AE7F3 517-519           AE7G 520-521
        AE7H3 522-524           AE7I 525-526            AE7J 527-528
        AE7K 529-530            AE7L 531-532            AE7M 533-534
        AE7N 535-536            AE7O71 537-538          AE7O72 539-540
        AE7O73 541-542          AE7O74 543-544          AE7P 545-546
        AE8 547-548             AE8A 549-550            AE8B1 551-552
        AE8B2 553-554           AE8B3 555-556           AE8C 557-558
        AE9 559-560             AE9A 561-562            AE9B 563-564
        AE9C 565-566            AE9D 567-568            AE9E 569-570
        AE9F3 571-573           AE9G 574-575            AE9H3 576-578
        AE9I 579-580            AE9J 581-582            AE9K 583-584
        AE9L 585-586            AE9M 587-588            AE9N 589-590
        AE9O 591-592            AE9P 593-594            AE9Q 595-596
        AE9R 597-598            AE10 599-600            AE10A 601-602
        AE11 603-604            AE11A 605-606           AE11B 607-608
        AE11C 609-610           AE11D 611-612           AE11E 613-614
        AE11F3 615-617          AE11G 618-619           AE11H 620-621
        AE11I 622-623           AE11J 624-625           AE11K 626-627
        AE11L 628-629           AE11M 630-631           AE11N 632-633
        AE11O 634-635           AE12 636-637            AE12A 638-639
        AE12B 640-641           AE12C 642-643           AE12D 644-645
        AE12E 646-647           AE12F 648-649           AE12G 650-651
        AE13 652-653            AE14 654-655            AE14A 656-657
        AE14B 658-659           AE14C 660-661           AE14D 662-663
        AE14E 664-665           AE14F 666-667           AE14G 668-669
        AE14H 670-671           AE15 672-673            AE15A 674-675
        AE15B 676-677           AE15C 678-679           AE15D 680-681
        AE15E 682-683           AE15F 684-685           AE15G 686-687
        AE15H 688-689           AE16 690-691            AE16A 692-693
        AE16B 694-695           AE16C 696-697           AE16D 698-699
        AE16E 700-701           AE16F 702-703           AE16G 704-705
        AE16H 706-707           AE17 708-709            AE18 710-711
        AE19 712-713            AE19A 714-715           AE19B 716-717
        AE19C1 718-719          AE19C2 720-721          AE19C3 722-723
        AE20 724-729            AE21 730-731            AE21A 732-737
        AE22 738-739            AE22A 740-741           AE22B1 742-743
        AE22B2 744-745          AE22B3 746-747          AE22B4 748-749
        AE22B5 750-751          AE22B6 752-753          AE23 754-755
        AE24A 756-757           AE24B 758-759           AE24C 760-761
        AE24D 762-763           AE24E 764-765           AE24F 766-767
        AE25 768-769            AE25A 770-771           AE26A 772-773
        AE26AA 774-775          AE26AB 776-777          AE26AC 778-779
        AE26AD1 780-781         AE26AD2 782-783         AE26AE 784-785
        AE26B 786-787           AE26BA 788-789          AE26BB 790-791
        AE26BC 792-794          AE26BD1 795-796         AE26BD2 797-798
        AE26BE 799-800          AE26C 801-802           AE26CA 803-804
        AE26CB 805-806          AE26CC 807-808          AE26CD1 809-810
        AE26CD2 811-812         AE26CE 813-814          AE26D 815-816
        AE26DA 817-818          AE26DB 819-820          AE26DC 821-823
        AE26DD1 824-825         AE26DD2 826-827         AE26DE 828-829
        AE26E 830-831           AE26EA 832-833          AE26EB 834-835
        AE26EC 836-837          AE26ED1 838-839         AE26ED2 840-841
        AE26EE 842-843          AE26F 844-845           AE26FA 846-847
        AE26FB 848-849          AE26FC 850-851          AE26FD1 852-853
        AE26FD2 854-855         AE26FE 856-857          AE27_3 858-860
        AE28 861-862            AE29 863-864            AE30 865-866
        AE31 867-868            AE31A 869-870           AE32 871-872
        AE32A3 873-875          AE32B 876-877           AE33 878-879
        AE33AA 880-881          AE33BA 882-883          AE33CA 884-885
        AE33AB 886-887          AE33BB 888-889          AE33CB 890-891
        AE33AC 892-893          AE33BC 894-895          AE33CC 896-897
        AE33AD 898-899          AE33BD 900-901          AE33CD 902-903
        AE33AE 904-905          AE33BE 906-907          AE33CE 908-909
        AF1 910-911             AF1A 912-913            AF1B 914-915
        AF1C 916-917            AF1D 918-919            AF1E 920-921
        AF2 922-923             AF2A 924-925            AF2B 926-927
        AF2C 928-929            AF2D 930-931            AF2E 932-933
        AF2F 934-935            AF2G 936-937            AF2H 938-939
        AF3 940-941             AF3A 942-943            AF3B 944-945
        AF4 946-947             AF4A 948-949            AF4B 950-951
        AF4C 952-953            AF5 954-955             AF5A 956-957
        AF5B 958-959            AF6 960-961             AF6A 962-963
        AF6B 964-965            AF6C 966-967            AF7 968-969
        AF7A 970-971            AF7B 972-973            AF8 974-975
        AF8A 976-977            AF9 978-979             AF10 980-981
        AF11 982-983            AF12 984-985            AF12A 986-987
        AF13A 988-989           AF13B 990-991           AF13C 992-993
        AF13D 994-995           AF13E 996-997           AF13F 998-999
        AF14 1000-1002          AF14A 1003-1005         AF15 1006-1007
        AF15A 1008-1009         AF16 1010-1011          AF17A 1012-1013
        AF17B 1014-1015         AF17C 1016-1017         AF17D 1018-1019
        AF17E 1020-1021         AF17F 1022-1023         AF17G 1024-1025
        AF18 1026-1028          AF18A 1029-1031         AF19 1032-1033
        AF20 1034-1035          AF21 1036-1037          AF22 1038-1039
        AF22A 1040-1041         AF23 1042-1043          AF24 1044-1045
        AF24AA 1046-1047        AF24BA 1048-1049        AF24AB 1050-1051
        AF24BB 1052-1053        AF24AC 1054-1055        AF24BC 1056-1057
        AF24AD 1058-1059        AF24BD 1060-1061        AF24AE 1062-1063
        AF24BE 1064-1065        AG1 1066-1067           AG1A 1068-1069
        AG1B 1070-1071          AG1C 1072-1073          AG1D 1074-1075
        AG2 1076-1077           AG3 1078-1079           AG4 1080-1081
        AG4A 1082-1083          AG5 1084-1085           AG6 1086-1087
        AG6A 1088-1089          AG6B 1090-1091          AG7_1 1092-1093
        AG8_1 1094-1095         AG9_1 1096-1097         AG7_2 1098-1099
        AG8_2 1100-1101         AG9_2 1102-1103         AG7_3 1104-1105
        AG8_3 1106-1107         AG9_3 1108-1109         AG7_4 1110-1111
        AG8_4 1112-1114         AG9_4 1115-1116         AG7_5 1117-1118
        AG8_5 1119-1121         AG9_5 1122-1123         AG7_7 1124-1125
        AG8_7 1126-1127         AG9_7 1128-1129         AG7_8 1130-1131
        AG8_8 1132-1133         AG9_8 1134-1135         AG7_9 1136-1137
        AG8_9 1138-1139         AG9_9 1140-1141         AG7_10 1142-1143
        AG8_10 1144-1146        AG9_10 1147-1148        AG7_11 1149-1150
        AG8_11 1151-1152        AG9_11 1153-1154        AG10 1155-1156
        AG11 1157-1158          AG12 1159-1161          AG13 1162-1163
        AG13A 1164-1165         AG13B 1166-1167         AG14 1168-1169
        AG14A3 1170-1172        AG14B3 1173-1174        AG14C3 1175-1176
        AG15 1177-1178          AG15A3 1179-1181        AG15B 1182-1183
        AG15C 1184-1185         AG15D 1186-1187         AG16 1188-1189
        AG17 1190-1191          AG18 1192-1193          AG18A 1194-1195
        AG19 1196-1197          AG19A 1198-1199         AG20 1200-1201
        AG20A3 1202-1204        AG20B1 1205-1206        AG20B2 1207-1208
        AG20B3 1209-1210        AG20B4 1211-1212        AG20B5 1213-1214
        AG20B6 1215-1216        AG20B7 1217-1218        AG20C 1219-1220
        AG21 1221-1222          AH1 1223-1224           AH2 1225-1226
        AH2A 1227-1228          AH2B 1229-1230          AH2C 1231-1232
        AH2D 1233-1234          AH2E 1235-1236          AH2F 1237-1238
        AH2G 1239-1240          AH3 1241-1242           AH3_01 1243-1244
        AH3_02 1245-1246        AH3_03 1247-1248        AH3_04 1249-1250
        AH3_05 1251-1252        AH3_06 1253-1254        AH3_07 1255-1256
        AH3B 1257-1258          AH3C1 1259-1260         AH3C2 1261-1262
        AH3C3 1263-1264         AH3C4 1265-1266         AH3C5 1267-1268
        AH3C6 1269-1270         AH3C7 1271-1272         AH3C8 1273-1274
        AH3C9 1275-1276         AH3C10 1277-1278        AH3C11 1279-1280
        AH3D1 1281-1282         AH3D2 1283-1284         AH3D3 1285-1286
        AH3D4 1287-1288         AH3D5 1289-1290         AH3D6 1291-1292
        AH3D7 1293-1294         AH3D8 1295-1296         AH3D9 1297-1298
        AH3D10 1299-1300        AH3D11 1301-1302        AH3D12 1303-1304
        AH3D13 1305-1306        AH3D14 1307-1308        AH3D15 1309-1310
        AH3D16 1311-1312        AH3D17 1313-1314        AH4 1315-1316
        AH4A1 1317-1318         AH4A2 1319-1320         AH4A3 1321-1322
        AH4B 1323-1324          AH4C 1325-1326          AH4D 1327-1328
        AH5 1329-1330           AH6 1331-1332           AH7 1333-1334
        AH8 1335-1336           AH9 1337-1338           AH9A 1339-1340
        AH9B 1341-1342          AH9B1 1343-1344         AH9C1 1345-1353 .4
        AH9C2 1354-1355         AH9D3 1356-1358         AH9E 1359-1360
        AH10 1361-1362          AH10A 1363-1364         AH10B 1365-1366
        AH10C1 1367-1374 .4     AH10C2 1375-1376        AH10D3 1377-1379
        AH10E 1380-1381         AH11_1 1382-1383        AH11_2 1384-1385
        AH11_3 1386-1387        AH11A 1388-1389         AH11B 1390-1391
        AH11C 1392-1393         AH11D1 1394-1402 .4     AH11D2 1403-1404
        AH12 1405-1406          AH13 1407-1408          AH14 1409-1410
        AH14A 1411-1412         AH15 1413-1414          AH15A 1415-1416
        AH15B 1417-1418         AH16 1419-1420          AH16A 1421-1422
        AH16B 1423-1424         AH17 1425-1426          AH17A 1427-1428
        AH17B 1429-1430         AH17C 1431-1432         AH17D 1433-1434
        AH17E 1435-1436         AH18 1437-1438          AH18A 1439-1440
        AH18B3 1441-1443        AH19 1444-1445          AH19A 1446-1447
        AH20 1448-1449          AH21 1450-1451          AH22 1452-1453
        AH22A 1454-1455         AJ1A 1456-1457          AJ2A 1458-1462
        AJ1B 1463-1464          AJ2B 1465-1469          AJ1C 1470-1471
        AJ2C 1472-1476          AJ1D 1477-1478          AJ2D 1479-1483
        AJ1E 1484-1485          AJ2E 1486-1490          AJ1F 1491-1492
        AJ2F 1493-1497          AJ2_TOT 1498-1503       AJ3 1504-1506
        AJ4 1507-1508           AJ5 1509-1510           AJ5A 1511-1512
        AJ6 1513-1515           AJ7A1 1516-1520         AJ7A2 1521-1522
        AJ7B1 1523-1526         AJ7B2 1527-1528         AJ7C1 1529-1533
        AJ7C2 1534-1535         AJ7D1 1536-1540         AJ7D2 1541-1542
        AJ8 1543-1544           AJ9 1545-1546           AJ10 1547-1548
        AJ10A 1549-1550         AJ11 1551-1552          AJ12 1553-1554
        AJ12A 1555-1556         AJ12B 1557-1558         AJ13 1559-1560
        AJ14 1561-1562          AJ14A 1563-1564         AJ14B 1565-1566
        AK1 1567-1568           AK2 1569-1570           AK12A1 1571-1572
        AK12B1 1573-1574        AK12A2 1575-1576        AK12B2 1577-1578
        AK12A4 1579-1580        AK12B4 1581-1582        AK12A5 1583-1584
        AK12B5 1585-1586        AK12A6 1587-1588        AK12B6 1589-1590
        AK12A7 1591-1592        AK12B7 1593-1594        AK12A8 1595-1596
        AK12B8 1597-1598        AK3 1599-1600           AK3A1 1601-1602
        AK3B1 1603-1604         AK3A2 1605-1606         AK3B2 1607-1608
        AK3A4 1609-1610         AK3B4 1611-1612         AK3A5 1613-1614
        AK3B5 1615-1616         AK3A6 1617-1618         AK3B6 1619-1620
        AK3A7 1621-1622         AK3B7 1623-1624         AK3A8 1625-1626
        AK3B8 1627-1628         AK4 1629-1630           AK4A1 1631-1632
        AK4B1 1633-1634         AK4A2 1635-1636         AK4B2 1637-1638
        AK4A4 1639-1640         AK4B4 1641-1642         AK4A5 1643-1644
        AK4B5 1645-1646         AK4A6 1647-1648         AK4B6 1649-1650
        AK4A7 1651-1652         AK4B7 1653-1654         AK4A8 1655-1656
        AK4B8 1657-1658         AK5 1659-1660           AK6 1661-1662
        AK56A1 1663-1664        AK56B1 1665-1666        AK56A2 1667-1668
        AK56B2 1669-1670        AK56A4 1671-1672        AK56B4 1673-1674
        AK56A5 1675-1676        AK56B5 1677-1678        AK56A6 1679-1680
        AK56B6 1681-1682        AK56A7 1683-1684        AK56B7 1685-1686
        AK56A8 1687-1688        AK56B8 1689-1690        AK7 1691-1692
        AK8 1693-1694           AK78A1 1695-1696        AK78B1 1697-1698
        AK78A2 1699-1700        AK78B2 1701-1702        AK78A4 1703-1704
        AK78B4 1705-1706        AK78A5 1707-1708        AK78B5 1709-1710
        AK78A6 1711-1712        AK78B6 1713-1714        AK78A7 1715-1716
        AK78B7 1717-1718        AK78A8 1719-1720        AK78B8 1721-1722
        AK9 1723-1724           AK9A1 1725-1726         AK9B1 1727-1728
        AK9A2 1729-1730         AK9B2 1731-1732         AK9A4 1733-1734
        AK9B4 1735-1736         AK9A5 1737-1738         AK9B5 1739-1740
        AK9A6 1741-1742         AK9B6 1743-1744         AK9A7 1745-1746
        AK9B7 1747-1748         AK9A8 1749-1750         AK9B8 1751-1752
        AK10 1753-1754          AK10A 1755-1756         AK10B 1757-1758
        AK10C 1759-1760         AK11 1761-1762          AK12 1763-1764
        AK13 1765-1766          AK13_1A 1767-1768       AK13_1B 1769-1770
        AK13_1C 1771-1772       AK13_1D 1773-1774       AK13_3A 1775-1776
        AK13_3B 1777-1778       AK13_3C 1779-1780       AK13_3D 1781-1782
        AK13_4A 1783-1784       AK13_4B 1785-1786       AK13_4C 1787-1788
        AK13_4D 1789-1790       AK13_5A 1791-1792       AK13_5B 1793-1794
        AK13_5C 1795-1796       AK13_5D 1797-1798       AK13_6A 1799-1800
        AK13_6B 1801-1802       AK13_6C 1803-1804       AK13_6D 1805-1806
        AK13_7A 1807-1808       AK13_7B 1809-1810       AK13_7C 1811-1812
        AK13_7D 1813-1814       AK14 1815-1816          AK14_1A 1817-1818
        AK14_1B 1819-1820       AK14_1C 1821-1822       AK14_2A 1823-1824
        AK14_2B 1825-1826       AK14_2C 1827-1828       AK14_4A 1829-1830
        AK14_4B 1831-1832       AK14_4C 1833-1834       AK14_5A 1835-1836
        AK14_5B 1837-1838       AK14_5C 1839-1840       AK14_6A 1841-1842
        AK14_6B 1843-1844       AK14_6C 1845-1846       AK14_7A 1847-1848
        AK14_7B 1849-1850       AK14_7C 1851-1852       AK14_8A 1853-1854
        AK14_8B 1855-1856       AK14_8C 1857-1858       AK15 1859-1860
        AK15_1A 1861-1862       AK15_1B 1863-1864       AK15_1C 1865-1866
        AK15_1D 1867-1868       AK15_2A 1869-1870       AK15_2B 1871-1872
        AK15_2C 1873-1874       AK15_2D 1875-1876       AK15_4A 1877-1878
        AK15_4B 1879-1880       AK15_4C 1881-1882       AK15_4D 1883-1884
        AK15_5A 1885-1886       AK15_5B 1887-1888       AK15_5C 1889-1890
        AK15_5D 1891-1892       AK15_6A 1893-1894       AK15_6B 1895-1896
        AK15_6C 1897-1898       AK15_6D 1899-1900       AK15_7A 1901-1902
        AK15_7B 1903-1904       AK15_7C 1905-1906       AK15_7D 1907-1908
        AK15_8A 1909-1910       AK15_8B 1911-1912       AK15_8C 1913-1914
        AK15_8D 1915-1916       AK16 1917-1918          AK16A1 1919-1920
        AK16B1 1921-1922        AK16A2 1923-1924        AK16B2 1925-1926
        AK16A4 1927-1928        AK16B4 1929-1930        AK16A5 1931-1932
        AK16B5 1933-1934        AK16A6 1935-1936        AK16B6 1937-1938
        AK16A7 1939-1940        AK16B7 1941-1942        AK16A8 1943-1944
        AK16B8 1945-1946        AK17 1947-1948          AK17A1 1949-1950
        AK17B1 1951-1952        AK17A2 1953-1954        AK17B2 1955-1956
        AK17A4 1957-1958        AK17B4 1959-1960        AK17A5 1961-1962
        AK17B5 1963-1964        AK17A6 1965-1966        AK17B6 1967-1968
        AK17A7 1969-1970        AK17B7 1971-1972        AK17A8 1973-1974
        AK17B8 1975-1976        AK18 1977-1978          AK18A 1979-1980
        AK18B 1981-1982         AK18C 1983-1984         AK19 1985-1986
        AK19_1A 1987-1988       AK19_1B 1989-1990       AK19_1C 1991-1992
        AK19_1D 1993-1994       AK19_3A 1995-1996       AK19_3B 1997-1998
        AK19_3C 1999-2000       AK19_3D 2001-2002       AK19_4A 2003-2004
        AK19_4B 2005-2006       AK19_4C 2007-2008       AK19_4D 2009-2010
        AK19_5A 2011-2012       AK19_5B 2013-2014       AK19_5C 2015-2016
        AK19_5D 2017-2018       AK19_6A 2019-2020       AK19_6B 2021-2022
        AK19_6C 2023-2024       AK19_6D 2025-2026       AK19_7A 2027-2028
        AK19_7B 2029-2030       AK19_7C 2031-2032       AK19_7D 2033-2034
        AK20 2035-2036          AK20_1A 2037-2038       AK20_1B 2039-2040
        AK20_1C 2041-2042       AK20_2A 2043-2044       AK20_2B 2045-2046
        AK20_2C 2047-2048       AK20_4A 2049-2050       AK20_4B 2051-2052
        AK20_4C 2053-2054       AK20_5A 2055-2056       AK20_5B 2057-2058
        AK20_5C 2059-2060       AK20_6A 2061-2062       AK20_6B 2063-2064
        AK20_6C 2065-2066       AK20_7A 2067-2068       AK20_7B 2069-2070
        AK20_7C 2071-2072       AK20_8A 2073-2074       AK20_8B 2075-2076
        AK20_8C 2077-2078       AK21 2079-2080          AK21_1A 2081-2082
        AK21_1B3 2083-2085      AK21_1C 2086-2087       AK21_2A 2088-2089
        AK212B3 2090-2092       AK21_2C 2093-2094       AK21_4A 2095-2096
        AK21_4B3 2097-2099      AK21_4C 2100-2101       AK21_5A 2102-2103
        AK21_5B3 2104-2106      AK21_5C 2107-2108       AK21_6A 2109-2110
        AK21_6B3 2111-2113      AK21_6C 2114-2115       AK21_7A 2116-2117
        AK21_7B3 2118-2120      AK21_7C 2121-2122       AK21_8A 2123-2124
        AK21_8B3 2125-2127      AK21_8C 2128-2129       AK22 2130-2131
        AK22_1A 2132-2133       AK22_1B 2134-2135       AK22_1C 2136-2137
        AK22_2A 2138-2139       AK22_2B 2140-2141       AK22_2C 2142-2143
        AK22_4A 2144-2145       AK22_4B 2146-2147       AK22_4C 2148-2149
        AK22_5A 2150-2151       AK22_5B 2152-2153       AK22_5C 2154-2155
        AK22_6A 2156-2157       AK22_6B 2158-2159       AK22_6C 2160-2161
        AK22_7A 2162-2163       AK22_7B 2164-2165       AK22_7C 2166-2167
        AK22_8A 2168-2169       AK22_8B 2170-2171       AK22_8C 2172-2173
        AK23_A 2174-2175        AK23_B 2176-2177        AK23_C 2178-2179
        AK23_D 2180-2181        AK23_E 2182-2183        AK23_F 2184-2185
        AK23_G 2186-2187        AKDM 2188-2189          AKTH 2190-2191
        AKTM 2192-2193          AKAMPM 2194-2195        AL1 2196-2197
        AL2 2198-2199           AL2A 2200-2201          AL3_1_1 2202-2203
        AL3_1_2 2204-2205       AL3_2_1 2206-2207       AL3_2_2 2208-2209
        AL3_3_1 2210-2211       AL3_3_2 2212-2213       AL3_4_1 2214-2215
        AL3_4_2 2216-2217       AL4 2218-2219           AL4A1 2220-2221
        AL4A2 2222-2223         AL4A3 2224-2225         AL4A4 2226-2227
        AL4A5 2228-2229         AL4A6 2230-2231         AL5 2232-2233
        AL6 2234-2235           AL6A1 2236-2237         AL6A2 2238-2239
        AM1 2240-2241           AM2 2242-2243           AM3 2244-2245
        AM4 2246-2247           AM5 2248-2249           AM6 2250-2251
        AM7 2252-2253           AM8 2254-2255           AM9 2256-2257
        AM10A 2258-2259         AM10B 2260-2261         AM11A 2262-2263
        AM11B 2264-2265         AM11C 2266-2267         AM12A 2268-2269
        AM12B 2270-2271         AM12C 2272-2273         AM12D 2274-2275
        AM12E 2276-2277         AM13 2278-2279          AM14A 2280-2281
        AM14B 2282-2283         AM14C 2284-2285         AM15A 2286-2287
        AM15B 2288-2289         AM16 2290-2291          AM17 2292-2293
        AM18A 2294-2295         AM18B 2296-2297         AM18C 2298-2299
        AM19 2300-2301          AM20 2302-2303          AM21 2304-2305
        IDATE_M 2306-2307       IDATE_Y 2308-2309       AI1_1 2310-2311
        AI1_2 2312-2313         AI1_3 2314-2316         AI1_4 2317-2319
        AI2_1 2320-2321         AI2_2 2322-2323         AI2_3 2324-2326
        AI2_4 2327-2329         AI3_1 2330-2331         AI3_2 2332-2333
        AI3_3 2334-2336         AI3_4 2337-2339         AI4_1 2340-2341
        AI4_2 2342-2343         AI4_3 2344-2346         AI4_4 2347-2349
        AI5_1 2350-2351         AI5_2 2352-2353         AI5_3 2354-2356
        AI5_4 2357-2359         AI6_1 2360-2361         AI6_2 2362-2363
        AI6_3 2364-2366         AI6_4 2367-2369         AI7_1 2370-2371
        AI7_2 2372-2373         AI7_3 2374-2376         AI7_4 2377-2379
        AI8_1 2380-2381         AI8_2 2382-2383         AI8_3 2384-2386
        AI8_4 2387-2389         AI9_1 2390-2391         AI9_2 2392-2393
        AI9_3 2394-2396         AI9_4 2397-2399         AI10_1 2400-2401
        AI10_2 2402-2403        AI10_3 2404-2406        AI10_4 2407-2409
        AN1A 2410-2411          AN1B 2412-2413          AN1C 2414-2415
        AN1D 2416-2417          AN1E 2418-2419          AN1F 2420-2421
        AN2A 2422-2423          AN2B 2424-2425          AN2C 2426-2427
        AN2D 2428-2429          AN2E 2430-2431          AN2F 2432-2433
        AN2G 2434-2435          AN2H 2436-2437          AN2I 2438-2439
        AN2J 2440-2441          AN2K 2442-2443          AN2L 2444-2445
        AN2M 2446-2447          AN2N 2448-2449          AN3A 2450-2451
        AN4A 2452-2453          AN3B 2454-2455          AN4B 2456-2457
        AN3C 2458-2459          AN4C 2460-2461          AN3D 2462-2463
        AN4D 2464-2465          AN3E 2466-2467          AN4E 2468-2469
        AN3F 2470-2471          AN4F 2472-2473          AN3G 2474-2475
        AN4G 2476-2477          AN3H 2478-2479          AN4H 2480-2481
        AN3I 2482-2483          AN4I 2484-2485          AN3J 2486-2487
        AN4J 2488-2489          AN5 2490-2491           AN6 2492-2493
        AN7 2494-2495           AN8 2496-2497           AN9 2498-2499
        AN10 2500-2501          AN11 2502-2503          AN12 2504-2505
        AN13 2506-2507          AN14 2508-2509          AN15 2510-2511
        AN16 2512-2513          AN17 2514-2515          QU 2516
        IA 2517                 SU 2518                 MODALITY 2519
        SEX 2520                AGE 2521-2522           AB7C_M 2523-2525
        AB7E_M 2526-2528        AD2B_M 2529-2530        AD3B_M 2531-2533
        AD4B_M 2534-2535        AD9_M 2536-2537         AD10D_M 2538-2539
        AD16_M 2540-2541        AD17A_M 2542-2544       AD18A_M 2545-2546
        AE1E_M 2547-2548        AE1F_M 2549-2550        AE2M_M 2551-2552
        AE2N_M 2553-2554        AE2R_M 2555-2556        AE3M_M 2557-2558
        AE3N_M 2559-2560        AE3R_M 2561-2562        AE5K_M 2563-2564
        AE5L_M 2565-2566        AE5P_M 2567-2568        AE7K_M 2569-2570
        AE7L_M 2571-2572        AE9K_M 2573-2574        AE9L_M 2575-2576
        AE9P_M 2577-2578        AE11H_M 2579-2580       AE11I_M 2581-2582
        AE11M_M 2583-2584       AE12E_M 2585-2586       AE12F_M 2587-2588
        AE14E_M 2589-2590       AE15E_M 2591-2592       AE16E_M 2593-2594
        AE30_M 2595-2596        AE31A_M 2597-2599       AE32B_M 2600-2601
        AF1E_M 2602-2604        AF2H_M 2605-2607        AF3A_M 2608-2610
        AF4B_M 2611-2613        AF5B_M 2614-2616        AF6C_M 2617-2618
        AF7B_M 2619-2621        AF15_M 2622-2624        AF19_M 2625-2627
        AG1B_M 2628-2629        AG6B_M 2630-2632        AG13B_M 2633-2634
        AG15B_M 2635-2636       AG20C_M 2637-2638       AH10_M 2639-2640
        AH11A_M 2641-2642       AH15B_M 2643-2644       AH16B_M 2645-2646
        AH19A_M 2647-2648       AJ12A_M 2649-2650       AK12B1_M 2651-2653
        AK12B2_M 2654-2656      AK12B4_M 2657-2658      AK12B5_M 2659-2660
        AK12B6_M 2661-2662      AK12B7_M 2663-2664      AK12B8_M 2665-2666
        AK3B1_M 2667-2669       AK3B2_M 2670-2671       AK3B4_M 2672-2673
        AK3B5_M 2674-2675       AK3B6_M 2676-2677       AK3B7_M 2678-2679
        AK3B8_M 2680-2681       AK4B1_M 2682-2684       AK4B2_M 2685-2686
        AK4B4_M 2687-2688       AK4B5_M 2689-2690       AK4B6_M 2691-2692
        AK4B7_M 2693-2694       AK4B8_M 2695-2696       AK56B1_M 2697-2698
        AK56B2_M 2699-2700      AK56B4_M 2701-2702      AK56B5_M 2703-2704
        AK56B6_M 2705-2707      AK56B7_M 2708-2709      AK56B8_M 2710-2712
        AK78B1_M 2713-2714      AK78B2_M 2715-2717      AK78B4_M 2718-2719
        AK78B5_M 2720-2721      AK78B6_M 2722-2723      AK78B7_M 2724-2725
        AK78B8_M 2726-2727      AK9B1_M 2728-2730       AK9B2_M 2731-2732
        AK9B4_M 2733-2734       AK9B5_M 2735-2736       AK9B6_M 2737-2739
        AK9B7_M 2740-2741       AK9B8_M 2742-2743       AK10C_M 2744-2745
        AK13_1DR 2746-2747      AK13_3DR 2748-2749      AK13_4DR 2750-2751
        AK13_5DR 2752-2753      AK13_6DR 2754-2755      AK13_7DR 2756-2757
        AK14_1CR 2758-2759      AK14_2CR 2760-2761      AK14_4CR 2762-2763
        AK14_5CR 2764-2765      AK14_6CR 2766-2767      AK14_7CR 2768-2769
        AK14_8CR 2770-2772      AK15_1DR 2773-2774      AK15_2DR 2775-2776
        AK15_4DR 2777-2778      AK15_5DR 2779-2780      AK15_6DR 2781-2782
        AK15_7DR 2783-2784      AK15_8DR 2785-2786      AK16B1_M 2787-2788
        AK16B2_M 2789-2790      AK16B4_M 2791-2792      AK16B5_M 2793-2794
        AK16B6_M 2795-2797      AK16B7_M 2798-2799      AK16B8_M 2800-2801
        AK17B1_M 2802-2803      AK17B2_M 2804-2805      AK17B4_M 2806-2807
        AK17B5_M 2808-2809      AK17B6_M 2810-2811      AK17B7_M 2812-2813
        AK17B8_M 2814-2815      AK19_1DR 2816-2817      AK19_3DR 2818-2819
        AK19_4DR 2820-2821      AK19_5DR 2822-2823      AK19_6DR 2824-2825
        AK19_7DR 2826-2827      AK20_1CR 2828-2829      AK20_2CR 2830-2832
        AK20_4CR 2833-2834      AK20_5CR 2835-2836      AK20_6CR 2837-2839
        AK20_7CR 2840-2841      AK20_8CR 2842-2843      AK21_1CR 2844-2845
        AK21_2CR 2846-2847      AK21_4CR 2848-2849      AK21_5CR 2850-2851
        AK21_6CR 2852-2854      AK21_7CR 2855-2856      AK21_8CR 2857-2858
        AK22_1CR 2859-2860      AK22_2CR 2861-2862      AK22_4CR 2863-2865
        AK22_5CR 2866-2867      AK22_6CR 2868-2869      AK22_7CR 2870-2871
        AK22_8CR 2872-2873      HLTHINS 2874-2875       FTWORK 2876-2877
        MSTAT 2878-2879         INSCHOOL 2880-2881      RACE 2882
        EDLEV 2883-2884         RACESEX 2885            HVY_ALC 2886-2887
        ALCR 2888-2889          MRJR 2890-2891          COCR 2892-2893
        HERR 2894-2895          NARR 2896-2897          SEDR 2898-2899
        AMPR 2900-2901          HALR 2902-2903          INHR 2904-2905
        ALCWK 2906-2907         MRJWK 2908-2909         COCWK 2910-2911
        HERWK 2912-2913         NARWK 2914-2915         SEDWK 2916-2917
        AMPWK 2918-2919         HALWK 2920-2921         INHWK 2922-2923
        MRJ_EV 2924-2925        COC_EV 2926-2927        HER_EV 2928-2929
        NAR_EV 2930-2931        SED_EV 2932-2933        AMP_EV 2934-2935
        HAL_EV 2936-2937        INH_EV 2938-2939        CJ_STAT 2940-2941
        IAY_SIA 2942-2943       MAJSRC 2944-2945        REFER 2946-2947
        RESTRICT 2948-2949      DRUGTX 2950-2951        SCHOOL 2952-2953
        DEP_YR 2954-2955        EMPSTAT 2956            IAPY 2957-2958
        PDT 2959-2960           CRKR 2961-2962          CRKWK 2963-2964
        ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   ADC1    = 'DATE COMPLETED: MONTH'
   ADC3    = 'DATE COMPLETED: YEAR'
   AA4     = 'HISPANIC OR SPANISH ORIGIN OR DESCENT'
   AA4A    = 'DESCRIPTION OF ETHNIC/CULTURAL BACKGROUND'
   AA4B    = 'BEST DESCRIPTION OF GROUP NAME'
   AA8     = 'LANGUAGE OTHER THAN ENGLISH SPOKEN IN HOME'
   AA9     = 'SPEAK ANY LANGUAGE OTHER THAN ENGLISH'
   AA9A    = 'WHAT OTHER LANGUAGES DO YOU SPEAK?'
   AA9B    = 'PREFERRED LANGUAGE TO SPEAK'
   AA10    = 'MARITAL STATUS AT TIME ADMITTED TO PROGRAM'
   AA10B   = 'SPOUSE/PARTNER HISPANIC/SPANISH ORIGIN'
   AA11_3  = 'LENGTH OF MARITAL STATUS IN WEEKS'
   AA12    = 'TYPE OF RESIDENCE WHEN ENTERED PROGRAM'
   AA13    = 'WHO LIVED WITH WHEN ENTERED PROGRAM-CIRCLE1'
   AA14_1  = 'RESPONDENT MAKES HOUSEHOLD DECISIONS'
   AA14_2  = 'SPOUSE/PARTNER MAKES HOUSEHOLD DECISIONS'
   AA14_3  = 'PARENT MAKES HOUSEHOLD DECISIONS'
   AA14_4  = 'OTHER FAMILY MAKES HOUSEHOLD DECISIONS'
   AA14_5  = 'FRIEND MAKES HOUSEHOLD DECISIONS'
   AA14_6  = 'OTHERS MAKE HOUSEHOLD DECISIONS'
   AA15    = 'SPOKE LANGUAGE OTHER THAN ENGLISH'
   AA15B   = 'WHEN LIVED WITH THESE PEOPLE SPOKE'
   AA16    = 'LIVING BY HISPANIC/INDIAN/ALASKAN/ASIAN CULTURE'
   AA17_3  = 'WEEKS OF RESTRICTED MOVEMENT PAST 12 MONTHS'
   AB1     = 'HIGHEST GRADE ATTENDED WHEN ADMITTED'
   AB1A    = 'DID YOU COMPLETE THAT (GRADE/YEAR)?'
   AB1B    = 'CURRENTLY IN SCHOOL'
   AB1C    = 'TYPE SCHOOL/TRAINING PROGRAM ATTENDED'
   AB2     = 'HIGH SCHOOL DIPLOMA/GED PRIOR TO PROGRAM'
   AB2A    = 'WHICH ONE DID YOU GET?'
   AB3_1   = 'NO OTHER DIPLOMAS RECEIVED'
   AB3_2   = 'JUNIOR COLLEGE/ASSOCIATE DEGREE RECEIVED'
   AB3_3   = 'BACHELOR DEGREE RECEIVED'
   AB3_4   = 'ADVANCE COLLEGE DEGREE RECEIVED'
   AB3_5   = 'VOCATIONAL/TRADE SCHOOL CERTIFICATE RECEIVED'
   AB3_6   = 'LICENSE TO PRACTICE TRADE RECEIVED'
   AB3_7   = 'OTHER DEGREE/LICENSE RECEIVED'
   AB4     = 'HOW WERE YOUR GRADES IN SCHOOL'
   AB4A    = 'TEACHERS THOUGHTS ON INITIATIVE'
   AB4B    = 'AGE WHEN TEACHERS 1ST FELT THAT WAY'
   AB5     = 'DID YOU EVER REPEAT A GRADE?'
   AB5A    = 'HOW MANY TIMES DID YOU GET HELD BACK?'
   AB6     = 'FREQUENTLY GET INTO TROUBLE IN SCHOOL'
   AB6A    = 'AGE WHEN GOT INTO FIRST TROUBLE IN SCHOOL'
   AB7     = 'WERE YOU EXPELLED/SUSPENDED FROM SCHOOL?'
   AB7A    = 'AGE WHEN EXPELLED/SUSPENDED FROM SCHOOL'
   AB7B    = 'NUMBER OF TIMES SUSPENDED FROM SCHOOL'
   AB7C    = 'LAST TIME SUSPENDED FROM SCHOOL'
   AB7D    = '# OF TIMES EXPELLED FROM SCHOOL'
   AB7E    = 'LAST TIME EXPELLED FROM SCHOOL'
   AB8     = 'SKIP SCHOOL AT LEAST TWICE IN 1 YEAR'
   AB8A    = 'SKIPPED SCHOOL LAST YEAR OR BEFORE THAT'
   AB8B    = 'SKIPPED 5 DAYS A YR IN 2 SCHOOL YRS'
   AB8C    = 'AGE WHEN YOU FIRST SKIPPED SCHOOL'
   AB9     = '12 MONTHS BEFORE PROGRAM ENROLLED TEC/VOC SCHOOL'
   AB10    = 'HAVE YOU EVER HAD A DRIVER''S LICENSE'
   AB10A   = 'AT ADMISSION WAS DRIVER''S LICENSE VALID'
   AB10B   = 'AT ADMISSION WAS DRIVER'''' LICENSE'
   AB11    = 'AT ADMISSION WAS VEHICLE AVAILABLE TO YOU'
   AC1     = 'FIRST TIME ADMITTED TO THIS PROGRAM'
   AC1A1   = 'MONTH APPLIED FOR CURRENT ADMISSION'
   AC1A3   = 'YEAR APPLIED FOR CURRENT ADMISSION'
   AC1B1   = 'MONTH BEGAN RECEIVING CURRENT TREATMENT'
   AC1B3   = 'YEAR BEGAN RECEIVING CURRENT TREATMENT'
   AC2_1   = 'MOST IMPORTANT REASON ENROLLED-CODE'
   AC2_1CT = 'MOST IMPORTANT REASON ENROLLED-CATEGORIZED'
   AC2A1   = '1ST OTHER REASON ENROLLED IN TREATMENT-CODE'
   AC2A1CT = '1ST OTHER REASON ENROLLED IN TREATMENT-CATEGORIZED'
   AC2A2   = '2ND OTHER REASON ENROLLED IN TREATMENT-CODE'
   AC2A2CT = '2ND OTHER REASON ENROLLED IN TREATMENT-CATEGORIZED'
   AC2A3   = '3RD OTHER REASON ENROLLED IN TREATMENT-CODE'
   AC2A3CT = '3RD OTHER REASON ENROLLED IN TREATMENT-CATEGORIZED'
   AC3     = 'TREATMENT YOUR IDEA OR SOMEONE ELSE''S'
   AC3A    = 'WHO MOST IMPORTANT GET YOU IN TREATMENT-CODE'
   AC4     = 'SOMEONE ELSE SUGGEST TREATMENT'
   AC4A1   = 'WHO ELSE SUGGESTED IT-2ND SOURCE CODE'
   AC4A2   = 'WHO ELSE SUGGESTED IT-3RD SOURCE CODE'
   AC5     = 'YOU/SOMEONE ELSE ARRANGE THIS ADMISSION'
   AC6     = 'WANTED THIS TREATMENT OR SOME OTHER TYPE'
   AC6A    = 'TYPE OF DRUG TREATMENT PROGRAM WANTED'
   AC7     = 'HAVE HEALTH PLAN OR HEALTH INSURANCE'
   AC7A_2  = 'HAVE PRIVATE INSURANCE'
   AC7A_3  = 'HAVE HEALTH PLAN (HMO, PPO)'
   AC7A_4  = 'HAVE MEDICAID OR MEDICAL ASSISTANCE'
   AC7A_5  = 'HAVE MEDICARE'
   AC7A_6  = 'HAVE CHAMPUS/CHAMPVA, VA/MILITARY CARE'
   AC7A_7  = 'HAVE OTHER HEALTH PLAN'
   AC7B    = 'PLAN IN YOUR NAME OR OTHER FAMILY MEMBER'
   AC7C    = 'ARE COSTS COVERED BY INSURANCE/PLAN'
   AC7D    = 'COST OF TREATMENT INSURANCE WILL COVER'
   AC7E    = 'EXCLUDING INSURANCE PRIMARY TREATMENT FUNDS'
   AC8_0   = 'WHEN ADMITTED NO CRIMINAL STATUS'
   AC8_1   = 'WHEN ADMITTED ON PROBATION'
   AC8_2   = 'WHEN ADMITTED ON PAROLE'
   AC8_3   = 'WHEN ADMITTED AWAITING TRIAL'
   AC8_4   = 'WHEN ADMITTED AWAITING SENTENCING'
   AC8_5   = 'WHEN ADMITTED SERVING A SENTENCE'
   AC8_6   = 'WHEN ADMITTED ON BAIL AWAITING TRIAL'
   AC8_7   = 'WHEN ADMITTED ON BAIL AWAITING SENTENCING'
   AC8_8   = 'WHEN ADMITTED RELEASED/CASE PENDING'
   AC8_9   = 'WHEN ADMITTED ON OTHER STATUS'
   AC9     = 'AUTHORITIES AWARE OF YOUR DRUG PROBLEM'
   AC9A    = 'ADMISSION REQUIRED/SUGGESTED BY JUSTICE SYSTEM'
   AC9B    = 'WAS IT REQUIRED OR SUGGESTED?'
   AC9C    = 'ENTERED DRUG TREATMENT W/OUT PRESSURE'
   AC9D    = 'DRUG TESTING BY CRIMINAL JUSTICE SYSTEM'
   AC9E    = 'RESULT IF TESTS SHOW DRUG USE'
   AC10    = 'METHOD OF GETTING TO TREATMENT PROGRAM'
   AC11    = 'CHANCES TO REDUCE/QUIT DRUG USE'
   AD1     = 'AGE WHEN HAD MORE THAN SIP OF ALCOHOL'
   AD1A    = 'AGE HAD ALCOHOL ONCE A MONTH FOR 6 MONTHS/MORE'
   AD2     = 'MOST NUMBER OF DRINKS HAD IN ONE DAY'
   AD2A    = 'AGE WHEN HAD MOST # OF DRINKS IN ONE DAY'
   AD2B    = 'LAST TIME HAD THAT MUCH TO DRINK'
   AD3     = '>=5 DRINKS 1 DAY A WEEK FOR 2 MONTHS/MORE'
   AD3A    = 'AGE WHEN FIRST DRANK THAT MUCH'
   AD3B    = 'WHEN DRANK 5/MORE DRINKS ONCE A WEEK'
   AD4     = '2 WEEK PERIOD EVERY DAY HAD >=5 DRINKS'
   AD4A    = 'AGE 1ST HAD 2 WK PERIOD DRANK THAT MUCH'
   AD4B    = 'LAST PERIOD WHEN DRINK AT LEAST THAT MUCH'
   AD5     = 'HAVE YOU EVER BEEN DRUNK?'
   AD5A    = 'AGE WHEN FIRST GOT DRUNK'
   AD6     = 'EVER DRUNK FOR SEVERAL DAYS IN A ROW'
   AD7     = 'DURING 12 MONTHS BEFORE ADMISSION # DAYS DRUNK'
   AD8     = 'FREQUENCY DRANK ALCOHOL 12 MONTHS BEFORE ADMISSION'
   AD8A    = 'AVERAGE # OF DRINKS IN 24 HRS PAST YEAR'
   AD9     = 'TIME LAST DRANK ALCOHOL BEFORE ADMISSION'
   AD9A    = 'HOW OFTEN DID YOU DRINK BEER?'
   AD9B    = '# OF DRINKS OF BEER ON AN AVERAGE DAY'
   AD9C    = 'HOW OFTEN DID YOU DRINK WINE?'
   AD9D    = '# OF DRINKS OF WINE ON AN AVERAGE DAY'
   AD9E    = 'HOW OFTEN DID YOU DRINK LIQUOR?'
   AD9F    = '# OF DRINKS OF LIQUOR ON AN AVERAGE DAY'
   AD10    = 'PERIOD DRINK MORE THAN 12MONTHS BEFORE ADMISSION'
   AD10A   = 'FREQUENCY OF DRINKING WHEN DRINKING MOST'
   AD10B   = 'PERIOD OF MOST DRINKING # DRINKS A DAY'
   AD10C   = 'AGE WHEN 1ST DRANK THAT # DRINKS IN 1 DAY'
   AD10D   = 'LAST TIME DRANK THAT MANY DRINKS IN 1 DAY'
   AD11    = '12MNNTS BEFORE ADMISSION BOTHERED BY ALCOHOL PROBLEM'
   AD12    = 'IMPORTANCE OF TREATMENT FOR ALCOHOL PROBLEM'
   AD13    = 'OTHER TREATMENT FOR ALCOHOL PROBLEM'
   AD13A   = 'AGE WHEN ENTERED ALCOHOL PROBLEM TREATMENT'
   AD14A   = '#TIMES AT SHORT-TERM INPATIENT TREATMENT UNIT'
   AD14B   = '#TIMES AT LONG-TERM INPATIENT TREATMENT UNIT'
   AD14C   = '# TIMES AT A HALF-WAY HOUSE'
   AD14D   = '# TIMES AT OUTPATIENT TREATMENT UNIT'
   AD14E   = '#TIMES AT OTHER TYPE OF ALCOHOL TREATMENT'
   AD15    = '#WEEKS SPENT IN ALCOHOL TREATMENT IN LIFE'
   AD15A   = '#WKS TREATED IN 12 MONTHS BEFORE ADMISSION'
   AD16    = 'LAST TIME TREATED FOR ALCOHOL PROBLEMS'
   AD16A   = 'WHAT TYPE OF PROGRAM WAS THAT?'
   AD17    = 'HAVE YOU EVER ATTENDED AA MEETINGS?'
   AD17A   = 'WHEN WAS THE LAST TIME YOU ATTENDED?'
   AD17B3  = 'TIME PERIOD ATTENDED AA MEETINGS-WEEKS'
   AD18    = 'ANTABUSE PRESCRIBED FOR ALCOHOL PROBLEM'
   AD18A   = 'LAST TIME ANTABUSE PRESCRIBED FOR YOU'
   AD19    = 'DO YOU CURRENTLY SMOKE CIGARETTES?'
   AD19A   = 'HOW MANY CIGARETTES DO YOU SMOKE PER DAY'
   AD20_0  = 'NOT USE CIGAR/PIPE SMOKELESS TOBACCO'
   AD20_1  = 'DO YOU SMOKE CIGARS?'
   AD20_2  = 'DO YOU SMOKE A PIPE?'
   AD20_3  = 'DO YOU USE SMOKELESS TOBACCO?'
   AE1     = '# TIMES IN LIFE USED MARIJUANA/HASH/THC'
   AE1A    = 'AGE FIRST TIME USED IT'
   AE1B    = '12 MONTH AVERAGE USE OF MARIJUANA/HASH/THC'
   AE1C    = 'FREQUENCY OF HEAVIEST MARIJUANA/HASH USE'
   AE1D    = 'AGE WHEN FIRST USED IT REGULARLY'
   AE1E    = 'LAST TIME YOU USED IT REGULARLY'
   AE1F    = 'MOST RECENT TIME USED MARIJUANA'
   AE1G    = 'FREQUENCY OF USE AROUND THAT TIME'
   AE2     = '# TIMES IN LIFE USED COCAINE IN ANY FORM'
   AE2A    = 'AGE FIRST TIME USED COCAINE'
   AE2B    = 'AVERAGE USE COCAINE 12 MONTHS PRIOR ADMISSION'
   AE2C    = 'FREQUENCY OF HEAVIEST COCAINE USE'
   AE2D    = 'AGE WHEN FIRST USED COCAINE DAILY'
   AE2E    = 'AGE WHEN FIRST USED COCAINE REGULARLY'
   AE2F3   = 'LONGEST PERIOD TIME USE COKE 1DY/WK IN WKS'
   AE2G    = 'HOW COCAINE USED DURING THIS TIME'
   AE2H    = 'DAILY COST OF COCAINE'
   AE2I    = '# TIMES STOPPED USING COKE >=30 DAYS'
   AE2J3   = 'LONGEST TIME WENT W/OUT COCAINE IN WKS'
   AE2K    = 'REASON STOPPED USING COCAINE'
   AE2L    = 'HOW OLD WERE YOU AT THIS TIME?'
   AE2M    = 'LAST TIME YOU USED IT COCAINE REGULARLY'
   AE2N    = 'MOST RECENT TIME USED COCAINE IN ANY FORM'
   AE2O    = 'FREQUENCY OF COCAINE USE AROUND THAT TIME'
   AE2P    = 'HOW DID YOU USUALLY TAKE COCAINE?'
   AE2Q    = 'AGE WHEN FIRST USED CRACK COCAINE'
   AE2R    = 'MOST RECENT TIME USED CRACK COCAINE'
   AE2S    = 'FREQUENCY OF CRACK USE AROUND THAT TIME'
   AE3     = '#TIMES IN LIFE USED HEROIN ALONE/COMBINED'
   AE3A    = 'AGE FIRST TIME USED HEROIN'
   AE3B    = 'AVERAGE USE HEROIN 12 MONTHS PRIOR ADMISSION'
   AE3C    = 'FREQUENCY OF HEAVIEST HEROIN USE'
   AE3D    = 'AGE WHEN FIRST USED HEROIN DAILY'
   AE3E    = 'AGE WHEN FIRST USED HEROIN REGULARLY'
   AE3F3   = 'LONGEST PERIOD USE HEROIN ONCE A WEEK-WKS'
   AE3G    = 'HOW HEROIN USED DURING THIS TIME'
   AE3H    = 'DAILY COST OF HEROIN'
   AE3I    = '# TIMES STOPPED USING HEROIN >=30 DAYS'
   AE3J3   = 'LONGEST TIME WENT W/OUT HEROIN IN WKS'
   AE3K    = 'REASON STOPPED USING HEROIN'
   AE3L    = 'HOW OLD WERE YOU AT THIS TIME?'
   AE3M    = 'LAST TIME YOU USED IT HEROIN REGULARLY'
   AE3N    = 'MOST RECENT TIME USED HEROIN IN ANY FORM'
   AE3O    = 'FREQUENCY OF HEROIN USE AROUND THAT TIME'
   AE3P    = 'HOW DID YOU USUALLY TAKE HEROIN?'
   AE3Q    = 'AGE WHEN 1ST USED HEROIN/COCAINE TOGETHER'
   AE3R    = 'MOST RECENT TIME USED HEROIN/COKE TOGETHER'
   AE3S    = 'FREQUENCY HEROIN/COKE USE AROUND THAT TIME'
   AE3T    = 'HOW DID YOU USUALLY TAKE HEROIN/COCAINE?'
   AE4     = 'NARCOTIC/OPIATE ANALGESICS PRESCRIBED'
   AE4A1   = '1ST NARCOTIC/OPIATE PRESCRIBED/12 MONTHS'
   AE4A2   = '2ND NARCOTIC/OPIATE PRESCRIBED/12 MONTHS'
   AE4A3   = '3RD NARCOTIC/OPIATE PRESCRIBED/12 MONTHS'
   AE4B    = 'IN 12 MONTHS # WKS USED NARCOTICS/OPIATES'
   AE5     = '#TIMES USED NARCOTICS/OPIATES W/OUT PRESCRIPTION'
   AE5A    = 'AGE FIRST TIME USED OPIATES/NARCOTICS'
   AE5B    = 'AVERAGE USE OPIATES/NARCOTICS 12MONTHS PRIOR ADMISSION'
   AE5C    = 'FREQUENCY OF HEAVIEST OPIATES/NARCOTICS USE'
   AE5D    = 'AGE WHEN 1ST USED NARCOTICS/OPIATES DAILY'
   AE5E    = 'AGE WHEN 1ST USED NARCOTICS/OPIATES REGULARLY'
   AE5F3   = 'LONGEST PERIOD USE NARCOTICS/OPIATES ONCE/WKS'
   AE5G    = 'HOW NARCOTICS/OPIATES USED DURING THIS TIME'
   AE5H3   = 'LONGEST TIME W/OUT NARCOTICS/OPIATES IN WKS'
   AE5I    = 'REASON STOPPED USING NARCOTICS/OPIATES'
   AE5J    = 'HOW OLD WERE YOU AT THIS TIME?'
   AE5K    = 'LAST TIME USED NARCOTICS/OPIATES REGULARLY'
   AE5L    = 'MOST RECENT TIME USED NARCOTICS/OPIATES'
   AE5M    = 'FREQUENCY NARCOTICS/OPIATES USE AT THAT TIME'
   AE5N    = 'HOW NARCOTICS/OPIATES USUALLY USED'
   AE5O    = 'AGE WHEN 1ST USED ILLEGAL METHADONE'
   AE5P    = 'MOST RECENT TIME USED ILLEGAL METHADONE'
   AE5Q    = 'FREQUENCY USE ILLEGAL METHADONE AT THAT TIME'
   AE6     = 'SEDATIVES/TRANQUILIZERS PRESCRIBED'
   AE6A    = '#PRESCRIPTIONS FOR SEDATIVES/TRANQUILIZERS'
   AE6BS1  = 'FIRST SEDATIVE PRESCRIBED'
   AE6BS2  = 'SECOND SEDATIVE PRESCRIBED'
   AE6BS3  = 'THIRD SEDATIVE PRESCRIBED'
   AE6BT1  = 'FIRST TRANQUILIZER PRESCRIBED'
   AE6BT2  = 'SECOND TRANQUILIZER PRESCRIBED'
   AE6BT3  = 'THIRD TRANQUILIZER PRESCRIBED'
   AE6C    = '#WKS USED SEDATIVES/TRANQUILIZERS IN 12 MONTHS'
   AE7     = '#TIMES USED SEDATIVES/TRANQUILIZERS W/OUT PRESCRIPTION'
   AE7A    = 'AGE 1ST USED SEDATIVES/TRANQUILIZERS'
   AE7B    = 'AVERAGE USE SEDATIVES/TRANQUILIZERS 12MONTHS PRIOR ADMISSION'
   AE7C    = 'FREQUENCY OF HEAVIEST SEDATIVES/TRANQUILIZERS USE'
   AE7D    = 'AGE WHEN 1ST USED SEDATIVES/TRANQUILIZERS DAILY'
   AE7E    = 'AGE WHEN 1ST USED SEDATIVES/TRANQUILIZERS REGULARLY'
   AE7F3   = 'LONGEST PERIOD USE SEDATIVES/TRANQUILIZERS ONCE/WK'
   AE7G    = 'HOW SEDATIVES/TRANQUILIZERS USED DURING THIS TIME'
   AE7H3   = 'LONGEST TIME W/OUT SEDATIVES/TRANQUILIZERS IN WKS'
   AE7I    = 'REASON STOPPED USING SEDATIVES/TRANQUILIZERS'
   AE7J    = 'HOW OLD WERE YOU AT THIS TIME?'
   AE7K    = 'LAST TIME USED SEDATIVES/TRANQUILIZERS REGULARLY'
   AE7L    = 'MOST RECENT TIME USED SEDATIVES/TRANQUILIZERS'
   AE7M    = 'FREQUENCY SEDATIVES/TRANQUILIZERS USE AT THAT TIME'
   AE7N    = 'HOW SEDATIVES/TRANQUILIZERS USUALLY USED'
   AE7O71  = 'TAKING SEDATIVES AND SLEEPING PILLS'
   AE7O72  = 'TAKING BARBITURATES'
   AE7O73  = 'TAKING BENZODIAZEPINES'
   AE7O74  = 'TAKING OTHER TRANQUILIZERS'
   AE7P    = 'WHICH TYPE SEDATIVE MOST OFTEN USED'
   AE8     = 'ANY STIMULANTS PRESCRIBED'
   AE8A    = '# OF PRESCRIPTIONS FOR STIMULANTS'
   AE8B1   = 'FIRST STIMULANT PRESCRIBED IN 12 MONTHS'
   AE8B2   = 'SECOND STIMULANT PRESCRIBED IN 12 MONTHS'
   AE8B3   = 'THIRD STIMULANT PRESCRIBED IN 12 MONTHS'
   AE8C    = '# WEEKS USED STIMULANTS IN 12 MONTHS'
   AE9     = '#TIMES USED AMPHETAMINES/STIMULANTS NONMED REASON'
   AE9A    = 'AGE 1ST USED AMPHETAMINES/STIMULANTS'
   AE9B    = 'AVERAGE USE AMPHETAMINES/STIMULANTS 12MONTHS PRIOR ADMISSION'
   AE9C    = 'FREQUENCY OF HEAVIEST AMPHETAMINES/STIMULANTS USE'
   AE9D    = 'AGE WHEN 1ST USED AMPHETAMINES/STIMULANTS DAILY'
   AE9E    = 'AGE WHEN 1ST USED AMPHETAMINES/STIMULANTS REGULARLY'
   AE9F3   = 'LONGEST PERIOD USE AMPHETAMINES/STIMULANTS ONCE/WK'
   AE9G    = 'HOW AMPHETAMINES/STIMULANTS USED DURING THIS TIME'
   AE9H3   = 'LONGEST TIME W/OUT AMPHETAMINES/STIMULANTS IN WKS'
   AE9I    = 'REASON STOPPED USING AMPHETAMINES/STIMULANTS'
   AE9J    = 'HOW OLD WERE YOU AT THIS TIME?'
   AE9K    = 'LAST TIME USED AMPHETAMINES/STIMULANTS REGULARLY'
   AE9L    = 'MOST RECENT TIME USED AMPHETAMINES/STIMULANTS'
   AE9M    = 'FREQUENCY AMPHETAMINES/STIMULANTS USE AT THAT TIME'
   AE9N    = 'HOW AMPHETAMINES/STIMULANTS USUALLY USED'
   AE9O    = 'AGE WHEN FIRST USED METHAMPHETAMINE'
   AE9P    = 'MOST RECENT TIME USED METHAMPHETAMINE'
   AE9Q    = 'FREQUENCY METHAMPHETAMINE USE AT THAT TIME'
   AE9R    = 'HOW METHAMPHETAMINE USUALLY USED'
   AE10    = 'TRANQUILIZERS PRESCRIBED BY DOCTOR'
   AE10A   = 'USE TRANQUILIZERS/ANTIDEPRESSANTS IN 12 MONTHS'
   AE11    = '#TIMES USED HALLUCINOGENS OR PSYCHEDELIC'
   AE11A   = 'AGE 1ST USED HALLUCINOGENS/PSYCHEDELICS'
   AE11B   = 'AVERAGE USE HALLUCINOGENS 12 MONTHS PRIOR ADMISSION'
   AE11C   = 'FREQUENCY OF HEAVIEST HALLUCINOGENS USE'
   AE11D   = 'AGE WHEN FIRST USED HALLUCINOGENS DAILY'
   AE11E   = 'AGE WHEN 1ST USED HALLUCINOGENS REGULARLY'
   AE11F3  = 'LONGEST PERIOD USE HALLUCINOGENS ONCE/WK'
   AE11G   = 'HOW HALLUCINOGENS USED DURING THIS TIME'
   AE11H   = 'LAST TIME USED HALLUCINOGENS REGULARLY'
   AE11I   = 'MOST RECENT TIME USED HALLUCINOGENS'
   AE11J   = 'FREQUENCY HALLUCINOGENS USE AT THAT TIME'
   AE11K   = 'HOW HALLUCINOGENS USUALLY USED'
   AE11L   = 'AGE WHEN FIRST USED PCP'
   AE11M   = 'MOST RECENT TIME USED PCP'
   AE11N   = 'FREQUENCY OF PCP USE AT THAT TIME'
   AE11O   = 'HOW PCP USUALLY USED'
   AE12    = '# OF TIMES USED INHALANTS'
   AE12A   = 'AGE FIRST TIME USED INHALANTS'
   AE12B   = 'AVERAGE USE INHALANTS 12 MONTHS PRIOR ADMISSION'
   AE12C   = 'FREQUENCY OF HEAVIEST INHALANTS USE'
   AE12D   = 'AGE WHEN FIRST USED INHALANTS REGULARLY'
   AE12E   = 'LAST TIME USED INHALANTS REGULARLY'
   AE12F   = 'MOST RECENT TIME USED INHALANTS'
   AE12G   = 'FREQUENCY OF INHALANTS USE AT THAT TIME'
   AE13    = 'DRUG OF CHOICE 12 MONTHS BEFORE ADMISSION'
   AE14    = 'PRIMARY PROBLEM DRUG 12 MONTHS BEFORE ADMISSION'
   AE14A   = '# TIMES USED PRIMARY PROBLEM DRUG'
   AE14B   = 'AGE FIRST TIME USED PRIMARY PROBLEM DRUG'
   AE14C   = 'AGE BEGAN USING PRIMARY DRUG REGULARLY'
   AE14D   = 'HOW DID YOU USUALLY TAKE PRIMARY DRUG?'
   AE14E   = 'LAST TIME USED PRIMARY DRUG'
   AE14F   = 'FREQUENCY PRIMARY DRUG USE AT THAT TIME'
   AE14G   = 'HOW PRIMARY DRUG USUALLY TAKEN'
   AE14H   = 'AVERAGE USE PRIMARY DRUG 12 MONTHS PRIOR ADMISSION'
   AE15    = 'DID OTHER DRUG CAUSE PROBLEM PAST 12 MONTHS?'
   AE15A   = 'WHICH DRUG CAUSED YOU THESE PROBLEMS?'
   AE15B   = '# TIMES USED SECOND PROBLEM DRUG'
   AE15C   = 'AGE FIRST TIME USED SECOND PROBLEM DRUG'
   AE15D   = 'AGE BEGAN USING SECOND DRUG REGULARLY'
   AE15E   = 'LAST TIME USED SECONDARY DRUG'
   AE15F   = 'FREQUENCY SECONDARY DRUG USE AT THAT TIME'
   AE15G   = 'HOW SECONDARY DRUG USUALLY TAKEN'
   AE15H   = 'AVERAGE USE SECOND DRUG 12 MONTHS PRIOR ADMISSION'
   AE16    = 'DID OTHER DRUG CAUSE PROBLEM PAST 12 MONTHS?'
   AE16A   = 'WHICH DRUG CAUSED YOU THESE PROBLEMS?'
   AE16B   = '# TIMES USED THIRD PROBLEM DRUG'
   AE16C   = 'AGE FIRST TIME USED THIRD PROBLEM DRUG'
   AE16D   = 'AGE BEGAN USING THIRD DRUG REGULARLY'
   AE16E   = 'LAST TIME USED THIRD DRUG'
   AE16F   = 'FREQUENCY THIRD DRUG USE AT THAT TIME'
   AE16G   = 'HOW THIRD DRUG USUALLY TAKEN'
   AE16H   = 'AVERAGE USE THIRD DRUG 12 MONTHS PRIOR ADMISSION'
   AE17    = 'WITH WHOM DRUGS TAKEN'
   AE18    = 'WHERE DID YOU USUALLY TAKE DRUGS?'
   AE19    = 'HAVE YOU EVER OVERDOSED ON DRUGS?'
   AE19A   = 'NUMBER OF TIMES OVERDOSED'
   AE19B   = '# TIMES OD IN 12 MONTHS PRIOR TO ADMISSION'
   AE19C1  = 'FIRST DRUG OVERDOSE IN 12 MONTHS'
   AE19C2  = 'SECOND DRUG OVERDOSE IN 12 MONTHS'
   AE19C3  = 'THIRD DRUG OVERDOSE IN 12 MONTHS'
   AE20    = 'AMOUNT SPENT ON DRUGS EXCLUDING ALCOHOL'
   AE21    = '12 MONTHS BEFORE ADMISSION USED DRUGS W/OUT PAYING'
   AE21A   = 'COST OF FREE DRUGS RECEIVED'
   AE22    = 'DRUGS USED WITH NEEDLE/SYRINGE/WORKS'
   AE22A   = 'USED PREVIOUSLY USED NEEDLE/SHOOT DRUGS'
   AE22B1  = '#TIMES USED WORKS AFTER SEX PARTNER/SPOUSE'
   AE22B2  = '#TIMES USED WORKS AFTER STRANGER HAD SEX WITH'
   AE22B3  = '#TIMES USED WORKS AFTER A PROSTITUTE'
   AE22B4  = '#TIMES USED WORKS AFTER SOMEONE W/AIDS'
   AE22B5  = '#TIMES USED WORKS AFTER HOMOSEXUAL/BISEXUAL'
   AE22B6  = '#TIMES USED WORKS AFTER STRANGERS'
   AE23    = 'CLEANED NEEDLES OTHERS USED BEFORE USING'
   AE24A   = 'CLEAN NEEDLES W/ALCOHOL & RINSE W/WATER'
   AE24B   = 'CLEAN NEEDLES W/BLEACH/CLOROX & RINSE W/WATER'
   AE24C   = 'CLEAN NEEDLES BY BOILING IN WATER ONLY'
   AE24D   = 'RINSE IN PREVIOUSLY USED WATER FOR NEEDLES'
   AE24E   = 'RINSE NEEDLES IN CLEAN WATER ONLY'
   AE24F   = 'CLEAN NEEDLES BY SOME OTHER METHOD'
   AE25    = 'RECEIVED OTHER TREATMENT FOR DRUG ABUSE/ADDICTION'
   AE25A   = 'AGE WHEN 1ST ENTERED DRUG TREATMENT PROGRAM'
   AE26A   = 'TREATED AT 28-DAY/OTHR TREATMENT PROGRAM'
   AE26AA  = 'AGE 1ST TREATMENT AT 28-DAY TREATMENT PROGRAM'
   AE26AB  = '# ADMISSIONS AT 28-DAY TREATMENT PROGRAM'
   AE26AC  = '# WEEKS IN 28-DAY TREATMENT PROGRAM'
   AE26AD1 = 'MONTH OF LAST DISCHARGE IN 28-DAY PROGRAM'
   AE26AD2 = 'YR OF LAST DISCHARGE IN 28-DAY PROGRAM'
   AE26AE  = 'REASON FOR DISCHARGE IN 28-DAY PROGRAM'
   AE26B   = 'TREATED AT RESIDENTIAL TREATMENT PROGRAM'
   AE26BA  = 'AGE 1ST TREATMENT AT RESIDENTIAL TREATMENT PROGRAM'
   AE26BB  = '# ADMISSIONS AT RESIDENTIAL TREATMENT PROGRAM'
   AE26BC  = '# WEEKS IN RESIDENTIAL TREATMENT PROGRAM'
   AE26BD1 = 'MONTH OF LAST DISCHARGE IN RESIDENTIAL PROGRAM'
   AE26BD2 = 'YR OF LAST DISCHARGE IN RESIDENTIAL PROGRAM'
   AE26BE  = 'REASON FOR DISCHARGE IN RESIDENTIAL PROGRAM'
   AE26C   = 'TREATED AT METHADONE TREATMENT PROGRAM'
   AE26CA  = 'AGE 1ST TREATMENT AT METHADONE TREATMENT PROGRAM'
   AE26CB  = '# ADMISSIONS AT METHADONE TREATMENT PROGRAM'
   AE26CC  = '# WEEKS IN METHADONE TREATMENT PROGRAM'
   AE26CD1 = 'MONTH OF LAST DISCHARGE IN METHADONE PROGRAM'
   AE26CD2 = 'YR OF LAST DISCHARGE IN METHADONE PROGRAM'
   AE26CE  = 'REASON FOR DISCHARGE IN METHADONE PROGRAM'
   AE26D   = 'TREATED AT OUTPATIENT TREATMENT PROGRAM'
   AE26DA  = 'AGE 1ST TREATMENT AT OUTPATIENT TREATMENT PROGRAM'
   AE26DB  = '# ADMISSIONS AT OUTPATIENT TREATMENT PROGRAM'
   AE26DC  = '# WEEKS IN OUTPATIENT TREATMENT PROGRAM'
   AE26DD1 = 'MONTH OF LAST DISCHARGE IN OUTPATIENT PROGRAM'
   AE26DD2 = 'YR OF LAST DISCHARGE IN OUTPATIENT PROGRAM'
   AE26DE  = 'REASON FOR DISCHARGE IN OUTPATIENT PROGRAM'
   AE26E   = 'TREATED AT OTHER TYPE TREATMENT PROGRAM'
   AE26EA  = 'AGE 1ST TREATMENT AT OTHER TYPE TREATMENT PROGRAM'
   AE26EB  = '# ADMISSIONS AT OTHER TYPE TREATMENT PROGRAM'
   AE26EC  = '# WEEKS IN OTHER TYPE TREATMENT PROGRAM'
   AE26ED1 = 'MONTH OF LAST DISCHARGE IN OTHER TYPE PROGRAM'
   AE26ED2 = 'YR OF LAST DISCHARGE IN OTHER TYPE PROGRAM'
   AE26EE  = 'REASON FOR DISCHARGE IN OTHER TYPE PROGRAM'
   AE26F   = 'TREATED AT SHORT-TERM DETOX TREATMENT PROGRAM'
   AE26FA  = 'AGE 1ST TREATMENT AT SHORT-TERM DETOX TREATMENT PROGRAM'
   AE26FB  = '# ADMISSIONS AT SHORT-TERM DETOX TREATMENT PROGRAM'
   AE26FC  = '# WEEKS IN SHORT-TERM DETOX TREATMENT PROGRAM'
   AE26FD1 = 'MONTH OF LAST DISCHARGE IN SHORT-TERM DETOX PROGRAM'
   AE26FD2 = 'YR OF LAST DISCHARGE IN SHORT-TERM DETOX PMG'
   AE26FE  = 'REASON FOR DISCHARGE IN SHORT-TERM DETOX PROGRAM'
   AE27_3  = '# OF WEEKS IN DRUG TREATMENT PROGRAM'
   AE28    = 'WHAT TYPE OF PROGRAM WAS IT?'
   AE29    = 'WHY DID YOU LEAVE?'
   AE30    = 'WHEN DID YOU LEAVE?'
   AE31    = 'RECEIVED DRUG PROBLEM HELP/PRIVATE SOURCE'
   AE31A   = 'LAST RECEIVED DRUG PROBLEM TREATMENT'
   AE32    = 'EVER ATTENDED NARCOTICS/COCAINE ANONYMOUS'
   AE32A3  = '# WKS ATTENDED NARCOTICS/COCAINE ANONYMOUS'
   AE32B   = 'LAST TIME ATTENDED NA/CA MEETINGS'
   AE33    = 'RELATIVES WITH DRUG/ALCOHOL PROBLEM'
   AE33AA  = 'DID MOTHER HAVE PROBLEM?'
   AE33BA  = 'TYPE OF MOTHER''S PROBLEM'
   AE33CA  = 'DID MOTHER RECEIVE TREATMENT?'
   AE33AB  = 'DID FATHER HAVE PROBLEM?'
   AE33BB  = 'TYPE OF FATHER''S PROBLEM'
   AE33CB  = 'DID FATHER RECEIVE TREATMENT?'
   AE33AC  = 'MOTHER''S MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AE33BC  = 'TYPE MOTHERS MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AE33CC  = 'DID MOTHERS MOTHER/FATHER/BROTHER/SISTER TREATMENT'
   AE33AD  = 'FATHER''S MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AE33BD  = 'TYPE FATHERS MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AE33CD  = 'DID FATHERS MOTHER/FATHER/BROTHER/SISTER TREATMENT'
   AE33AE  = 'DID BROTHER/SISTER HAVE PROBLEM?'
   AE33BE  = 'TYPE OF BROTHER/SISTER''S PROBLEM'
   AE33CE  = 'DID BROTHER RECEIVE TREATMENT?'
   AF1     = '1 PERIOD OF 4 WEEKS WERE ANXIOUS/TREMBLING'
   AF1A    = '# PERIODS 4 WKS/MORE HAD WHEN ANXIOUS'
   AF1B    = 'PERIOD RESULT OF ALCOHOL/DRUG USE'
   AF1C    = 'ALL/SOME/NONE PERIODS RESULT OF ALCOHOL/DRUGS'
   AF1D    = 'AGE WHEN 1ST FLT ANXIOUS/NOT DRUG RELATED'
   AF1E    = 'LAST FELT ANXIOUS/NOT RESULT OF DRUGS'
   AF2     = 'DURING LIFE 2 WEEKS FELT VERY DEPRESSED'
   AF2A    = 'HAVE OTHER PROBLEMS AT SAME TIME'
   AF2B    = 'PERIODS 2WKS OR MORE FELT DEPRESSED W/OTHER PROBLEMS'
   AF2C    = 'WAS PERIOD RESULT OF ALCOHOL/DRUG USE'
   AF2D    = 'ALL/SOME/NNE PERIODS RESULT OF'
   AF2E    = 'AGE WHEN 1ST FLT DEPRESSED/NOT DRUG RELATED'
   AF2F    = 'WAS IT AFTER SOMEONE CLOSE TO YOU DIED?'
   AF2G    = 'WAS IT ALWAYS RESULT OF PHYSICAL ILLNESS'
   AF2H    = 'LAST DEPRESSED NOT DUE TO ALCOHOL/DRUGS'
   AF3     = 'EVER THINK A LOT ABOUT COMMITTING SUICIDE'
   AF3A    = 'LAST TIME THOUGHT ABOUT COMMITTING SUICIDE'
   AF3B    = 'SUICIDE THOUGHTS RESULT OF DRUGS/ALCOHOL'
   AF4     = 'DID YOU EVER ATTEMPT SUICIDE?'
   AF4A    = 'NUMBER OF TIMES ATTEMPTED SUICIDE'
   AF4B    = 'WHEN WAS LAST TIME ATTEMPTED SUICIDE'
   AF4C    = 'SUICIDE ATTEMPTS RESULT OF DRUGS/ALCOHOL'
   AF5     = 'EVER HAD TROUBLE CONTROLLING YOUR TEMPER'
   AF5A    = 'TEMPER OUTBURSTS RESULT OF DRUGS/ALCOHOL'
   AF5B    = 'LAST TIME HAD TEMPER OUTBURSTS'
   AF6     = 'EVER FELT SUSPICIOUS OF OTHER PEOPLE'
   AF6A    = 'FEELINGS RESULT OF ALCOHOL/DRUG USE'
   AF6B    = 'SUSPICIOUSNESS DUE TO ILLEGAL ACTIVITIES'
   AF6C    = 'SUSPICION NOT DUE TO ILLEGAL ACTIVITIES'
   AF7     = 'EVER HAD HALLUCINATIONS'
   AF7A    = 'HALLUCINATIONS DUE TO ALCOHOL/DRUG USE'
   AF7B    = 'LAST TIME HALLUCINATES NOT DUE ALCOHOL/DRUGS'
   AF8     = 'TROUBLE UNDERSTANDING/CONCENTRATING/REMEMBERING'
   AF8A    = 'DIRECT RESULT OF ALCOHOL OR DRUG USE'
   AF9     = 'RECEIVED PAYMENTS FOR PSYCHIATRIC DISABILITY'
   AF10    = 'REGULAR MEDICATION FOR EMOTIONAL PROBLEMS'
   AF11    = 'TAKING MEDICATION FOR EMOTIONAL PROBLEMS'
   AF12    = 'OVERNIGHT TREATMENT FOR EMOTIONAL PROBLEMS'
   AF12A   = 'AGE 1ST ADMITTED FOR MENTAL HEALTH PROBLEM'
   AF13A   = '# TIMES: COMMUNITY MENTAL HEALTH CENTER'
   AF13B   = '# TIMES: PRIVATE PSYCHIATRIC HOSPITAL'
   AF13C   = '# TIMES: PUBLIC/STATE PSYCHIATRIC HOSPITAL'
   AF13D   = '# TIMES: ANY OTHER HOSPITAL'
   AF13E   = '# TIMES: EMERGENCY ROOM/CRISIS CENTER'
   AF13F   = '# TIMES: ANY OTHER PLACE'
   AF14    = '#DAYS OVERNIGHT FOR TREATMENT MENTAL HEALTH'
   AF14A   = '#DAYS OVERNIGHT IN 12MONTHS BEFORE ADMISSION'
   AF15    = 'LAST TIM OVERNIGHT FOR TREATMENT MENTAL HEALTH'
   AF15A   = 'WHAT TYPE OF PROGRAM WAS THAT?'
   AF16    = 'EVER HAD OUTPATIENT TREATMENT/COUNSELING'
   AF17A   = '# TIMES: COMMUNITY MENTAL HEALTH CENTER'
   AF17B   = '# TIMES: PRIVATE THERAPIST/PSYCHIATRIST'
   AF17C   = '# TIMES: FAMILY PHYSICIAN/MEDICAL DOCTOR'
   AF17D   = '# TIMES: PRIVATE PSYCHIATRIC HOSPITAL'
   AF17E   = '# TIMES: PUBLIC/STATE PSYCHIATRIC HOSPITAL'
   AF17F   = '# TIMES: OTHER HOSPITALS/GENERAL/VA'
   AF17G   = '# TIMES: TREATMENT ANYWHERE ELSE'
   AF18    = '# OUTPATIENT VISITS FOR MENTAL HEALTH'
   AF18A   = '# VISITS IN 12 MONTHS BEFORE ADMISSION'
   AF19    = 'LAST RECEIVED OUTPATIENT TREATMENT MENTAL HEALTH'
   AF20    = 'WHAT TYPE OF PROGRAM WAS THAT?'
   AF21    = 'HOW TROUBLED BY EMOTIONAL PROBLEMS'
   AF22    = 'MENTAL HEALTH PROBLEMS DUE ALCOHOL/DRUG USE'
   AF22A   = 'HOW SERIOUS PROBLEMS DUE ALCOHOL/DRUG USE'
   AF23    = 'AM0UNT TREATMENT NEEDED FOR MENTAL HEALTH PROBLEM'
   AF24    = 'RELATIVES WITH MENTAL HEALTH PROBLEMS'
   AF24AA  = 'DID MOTHER HAVE PROBLEM?'
   AF24BA  = 'WAS MOTHER HOSPITALIZED?'
   AF24AB  = 'DID FATHER HAVE PROBLEM?'
   AF24BB  = 'WAS FATHER HOSPITALIZED?'
   AF24AC  = 'MOTHER''S MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AF24BC  = 'MOTHERS MOTHER/FATHER/BROTHER/SISTER HOSPITALIZED'
   AF24AD  = 'FATHER''S MOTHER/FATHER/BROTHER/SISTER PROBLEM'
   AF24BD  = 'FATHERS MOTHER/FATHER/BROTHER/SISTER HOSPITALIZED'
   AF24AE  = 'DID BROTHER/SISTER HAVE PROBLEM?'
   AF24BE  = 'WAS BROTHER/SISTER HOSPITALIZED?'
   AG1     = '# OF TRAFFIC TICKETS EVER RECEIVED'
   AG1A    = 'AGE WHEN GIVEN FIRST TRAFFIC TICKET'
   AG1B    = 'LAST TIME GIVEN A TRAFFIC TICKET'
   AG1C    = '# TIMES ARRESTED FOR DRIVING INTOXICATED'
   AG1D    = '#TIMES ARRESTED FOR DWI/DUI 12MONTHS BEFORE ADMISSION'
   AG2     = '#TIMES ARRESTED/BOOKED NON TRAFFIC VIOLATION'
   AG3     = 'AGE WHEN 1ST ARRESTED/SENT JUVENILE CRT'
   AG4     = 'EVER ARRESTED BEFORE AGE 18'
   AG4A    = 'EVER BEEN SENT TO JUVENILE COURT'
   AG5     = '# OF TIMES ARRESTED BY AGE 18'
   AG6     = '#TIMES ARRESTED SINCE 18/NOT TRAFFIC VIOLATION'
   AG6A    = 'AGE 1ST ARRESTED SINCE 18/NOT TRAFFIC VIOLATION'
   AG6B    = 'LAST TIM ARRESTED FOR ANYTHING/NOT TRAFFIC'
   AG7_1   = 'EVER ARRESTED: USE/POSSESSION DRUGS'
   AG8_1   = '# ARRESTS: USE/POSSESSION DRUGS'
   AG9_1   = '#ARRESTS 12MONTHS BEFORE: USE/POSSESSION DRUGS'
   AG7_2   = 'EVER ARRESTED: SALE/MANUFACTURE NARCOTICS'
   AG8_2   = '# ARRESTS: SALE/MANUFACTURE NARCOTICS'
   AG9_2   = '#ARRESTS 12MONTHS BEFORE: SALE/MANUFACTURE NARCOTICS'
   AG7_3   = 'EVER ARRESTED: FORGERY/FRAUD'
   AG8_3   = '# ARRESTS: FORGERY/FRAUD'
   AG9_3   = '# ARRESTS 12 MONTHS BEFORE: FORGERY/FRAUD'
   AG7_4   = 'EVER ARRESTED: BURGLARY'
   AG8_4   = '# ARRESTS: BURGLARY'
   AG9_4   = '# ARRESTS 12 MONTHS BEFORE: BURGLARY'
   AG7_5   = 'EVER ARRESTED: LARCENY'
   AG8_5   = '# ARRESTS: LARCENY'
   AG9_5   = '# ARRESTS 12 MONTHS BEFORE: LARCENY'
   AG7_7   = 'EVER ARRESTED: ROBBERY'
   AG8_7   = '# ARRESTS: ROBBERY'
   AG9_7   = '# ARRESTS 12 MONTHS BEFORE: ROBBERY'
   AG7_8   = 'EVER ARRESTED: ATTACKS OF PERSONS'
   AG8_8   = '# ARRESTS: ATTACKS ON PERSONS'
   AG9_8   = '#ARRESTS 12MONTHS BEFORE: ATTACKS ON PERSONS'
   AG7_9   = 'EVER ARRESTED: OTHER PEOPLE OFFENSES'
   AG8_9   = '# ARRESTS: OTHER PEOPLE OFFENSES'
   AG9_9   = '#ARRESTS 12MONTHS BEFORE: OTHER PEOPLE OFFENSES'
   AG7_10  = 'EVER ARRESTED: STATUS OFFENSES'
   AG8_10  = '# ARRESTS: STATUS OFFENSES'
   AG9_10  = '# ARRESTS 12 MONTHS BEFORE: STATUS OFFENSES'
   AG7_11  = 'EVER ARRESTED: OTHER OFFENSES'
   AG8_11  = '# ARRESTS: OTHER OFFENSES'
   AG9_11  = '# ARRESTS 12 MONTHS BEFORE: OTHER OFFENSES'
   AG10    = '# TIMES ARRESTED 12 MONTHS BEFORE ADMISSION'
   AG11    = 'INFLUENCE OF DRUGS LED TO ARREST(S)'
   AG12    = '# OR ARRESTS RESULTING IN CONVICTIONS'
   AG13    = 'WERE YOU EVER CONVICTED OF A FELONY?'
   AG13A   = 'AGE WHEN FIRST CONVICTED OF A FELONY'
   AG13B   = 'LAST TIME CONVICTED OF A FELONY'
   AG14    = 'TIME IN DETENTION/JAIL/PRISON/REFORMATORY'
   AG14A3  = 'WKS IN DETENTION/JAIL/PRISON/REFORMATORY'
   AG14B3  = 'WKS AFTER 18 DETENTION/JAIL/PRISON/REFORMATORY'
   AG14C3  = 'WKS-12MNTH BFRE ADMISSION: DETENTION/JAIL/PRISON/REFORMATORY'
   AG15    = 'LAST DETENTION, JAIL, PRISON, REFORMATORY SENTENCE FOR'
   AG15A3  = 'WKS IN JAIL, DETENTION, PRISON, REFORMATORY'
   AG15B   = 'LAST RELEASED FORM DETENTION, JAIL, PRISON, REFORMATORY'
   AG15C   = 'USE ILLEGAL DRUGS LAST STAY'
   AG15D   = 'RECEIVE DRUG TREATMENT DURING LAST STAY'
   AG16    = '12MONTHS BEFORE ADMISSION TROUBLED BY LEGAL PROBLEMS'
   AG17    = 'IMPORTANCE OF COUNSELING FOR LEGAL PROBLEMS'
   AG18    = '12MONTH BEFORE ADMISSION LEGAL PROBLEMS DUE DRUGS/ALCOHOL'
   AG18A   = 'HOW SERIOUS LEGAL PROBLEMS DUE DRUGS/ALCOHOL'
   AG19    = 'DO YOU HAVE LEGAL SERVICES (AN ATTORNEY)?'
   AG19A   = 'DO YOU NEED LEGAL SERVICES (AN ATTORNEY)?'
   AG20    = 'SUPPORT SELF FORM ILLEGAL ACTIVITY AT LAST 1YR'
   AG20A3  = 'WKS SUPPORT YOURSELF WITH ILLEGAL ACTIVITY'
   AG20B1  = 'SUPPORT SELF: VARIETY, NO SPECIFIC TYPE'
   AG20B2  = 'SUPPORT SELF: DEALING'
   AG20B3  = 'SUPPORT SELF: HUSTLING'
   AG20B4  = 'SUPPORT SELF: LARCENY, ROBBERY, BURGLARY'
   AG20B5  = 'SUPPORT SELF: FORGERY, FRAUD, EMBEZZLEMENT'
   AG20B6  = 'SUPPORT SELF: PIMPING, PROSTITUTION'
   AG20B7  = 'SUPPORT SELF: OTHER (SPECIFY)'
   AG20C   = 'LAST TIME SUPPORT SELF W/ILLEGAL ACTIVITY'
   AG21    = 'CRIMINAL ACTIVITY FOR DRUG MONEY 12MONTH BEFORE ADMISSION'
   AH1     = 'WHAT DOING WEEK BEFORE ADMISSION TO PROGRAM'
   AH2     = 'WORK FOR PAY NOT INVOLVING ILLEGAL ACTS'
   AH2A    = 'WEEK BEFORE ADMISSION EARN MONEY LEGALLY'
   AH2B    = 'DID YOU TAKE TIME OFF FOR ANY REASON'
   AH2C    = 'HOW MANY HOURS DID YOU MISS?'
   AH2D    = 'WK BEFORE ADMISSION # HRS WORKED FOR LEGAL PAY'
   AH2E    = 'WHY WORK <35 HOURS WEEK BEFORE ADMISSION'
   AH2F    = 'WORK 35HRS WK AT JOB NOT INVOLVING ILLEGAL ACT'
   AH2G    = 'WHY DID YOU WORK LESS THAN 35 HRS A WEEK'
   AH3     = 'LOOK FOR WORK/DIFFERENT JOB 12MONTH BEFORE ADMISSION'
   AH3_01  = 'NO METHOD USED TO FIND WORK'
   AH3_02  = 'PUBLIC EMPLOYMENT AGENCY USED TO FIND WORK'
   AH3_03  = 'PRIVATE EMPLOYMENT AGENCY USED TO FIND WORK'
   AH3_04  = 'EMPLOYERS DIRECTLY APPROACHED TO FIND WORK'
   AH3_05  = 'TALKED W/FRIENDS/RELATIVES TO FIND WORK'
   AH3_06  = 'PLACED OR ANSWERED ADS TO FIND WORK'
   AH3_07  = 'USED OTHER METHODS TO FIND WORK'
   AH3B    = 'TROUBLE/PROBLEMS FINDING WORK AT THIS TIME'
   AH3C1   = 'PROBLEMS: NO JOBS AVAILABLE'
   AH3C2   = 'PROBLEMS: LACK EDUCATION/SKILLS/EXPERIENCE'
   AH3C3   = 'PROBLEMS: LANGUAGE PROBLEM'
   AH3C4   = 'PROBLEMS: TOO YOUNG OR TO OLD'
   AH3C5   = 'PROBLEMS: ARREST RECORD'
   AH3C6   = 'PROBLEMS: DRUG HISTORY'
   AH3C7   = 'PROBLEMS: OTHER PERSONAL HANDICAPS'
   AH3C8   = 'PROBLEMS: ILL HEALTH'
   AH3C9   = 'PROBLEMS: IMMIGRATION STATUS'
   AH3C10  = 'PROBLEMS: PERCEIVED DISCRIMINATION'
   AH3C11  = 'PROBLEMS: OTHER'
   AH3D1   = 'REASON: NO REASONS'
   AH3D2   = 'REASON: SATISFIED WITH PRESENT JOB'
   AH3D3   = 'REASON: NO JOBS AVAILABLE IN LINE OF WORK'
   AH3D4   = 'REASON: COULD NOT FIND ANY WORK'
   AH3D5   = 'REASON: LACKS NECESSARY SCHOOLING'
   AH3D6   = 'REASON: EMPLOYERS THINK TOO YOUNG/OLD'
   AH3D7   = 'REASON: OTHER PERSONAL HANDICAP'
   AH3D8   = 'REASON: FAMILY RESPONSIBILITIES'
   AH3D9   = 'REASON: IN SCHOOL OR OTHER TRAINING'
   AH3D10  = 'REASON: ILL HEALTH/PHYSICAL DISABILITY'
   AH3D11  = 'REASON: IN JAIL OR OTHER INSTITUTION'
   AH3D12  = 'REASON: DRUG ACTIVITIES/DRUG EFFECTS'
   AH3D13  = 'REASON: ILLEGAL ACTIVITIES'
   AH3D14  = 'REASON: SUPPORTED BY OTHER PERSON'
   AH3D15  = 'REASON: LANGUAGE PROBLEMS'
   AH3D16  = 'REASON: CONCERN ABOUT IMMIGRATION STATUS'
   AH3D17  = 'REASON: OTHER'
   AH4     = 'DISABILITY THAT INTERFERES WITH WORK'
   AH4A1   = '1ST TYPE OF DISABILITY - RECODED'
   AH4A2   = '2ND TYPE OF DISABILITY - RECODED'
   AH4A3   = '3RD TYPE OF DISABILITY - RECODED'
   AH4B    = 'HOW SEVERELY DO YOU THINK YOU ARE DISABLED'
   AH4C    = 'DISABILITY WILL'
   AH4D    = 'DIFFICULTY FIND WORK W/OUT SPECIAL CONDITIONS'
   AH5     = '# DIFFERENT LEGITIMATE JOBS 12 MONTHS BEFORE ADMISSION'
   AH6     = '#WKS FULL/PART TIME JOBS 12 MONTHS BEFORE ADMISSION'
   AH7     = '#WKS WORKED >=35 HRS WK 12 MONTHS BEFORE ADMISSION'
   AH8     = '#WKS WORKED FULL-TIME JOB 12 MONTHS BEFORE ADMISSION'
   AH9     = 'WHAT TYPE OF JOB OR OCCUPATION WAS THIS?'
   AH9A    = 'WHAT TYPE OF BUSINESS/INDUSTRY WAS THIS?'
   AH9B    = 'WAS THIS YOUR USUAL OCCUPATION?'
   AH9B1   = 'OCCUPATION CODE FOR USUAL OCCUPATION'
   AH9C1   = 'RATE OF PAY BEFORE TAXES'
   AH9C2   = 'CODE FOR THE RATE GIVEN'
   AH9D3   = 'NUMBER OF WEEKS HELD THAT JOB'
   AH9E    = 'IS THIS THE LONGEST YOU EVER HELD A JOB?'
   AH10    = 'LAST WORKED AT A LEGITIMATE FULL-TIME JOB'
   AH10A   = 'WHAT TYPE OF JOB/OCCUPATION WAS THIS?'
   AH10B   = 'WHAT TYPE OF INDUSTRY WAS THIS?'
   AH10C1  = 'RATE OF PAY BEFORE TAXES'
   AH10C2  = 'CODE FOR THE RATE GIVEN'
   AH10D3  = 'NUMBER OF WEEKS HELD THAT JOB'
   AH10E   = 'IS THIS THE LONGEST YOU EVER HELD A JOB?'
   AH11_1  = '# OF YEARS HELD LEGITIMATE FULL-TIME JOB'
   AH11_2  = '# MONTHS HELD LEGITIMATE FULL-TIME JOB'
   AH11_3  = '# OF WEEKS HELD LEGITIMATE FULL-TIME JOB'
   AH11A   = 'WHEN LAST WORKED ON THAT FULL-TIME JOB'
   AH11B   = 'WHAT TYPE OF JOB/OCCUPATION WAS THIS?'
   AH11C   = 'WHAT TYPE OF INDUSTRY WAS THAT?'
   AH11D1  = 'HIGHEST RATE OF PAY BEFORE TAXES'
   AH11D2  = 'CODE FOR THE RATE GIVEN'
   AH12    = 'HOW WELL GOT ALONG W/SUPERVISOR AT WORK'
   AH13    = 'HOW WELL GOT ALONG WITH CO-WORKERS'
   AH14    = 'SINCE 18 3/MORE DIFFERENT JOBS WITHIN 5YR PERIOD'
   AH14A   = 'HAD 3 OR MORE JOBS IN THE LAST 5 YEARS'
   AH15    = 'EVER BEEN FIRED FROM MORE THAN 1 JOB'
   AH15A   = 'AGE WHEN FIRST FIRED'
   AH15B   = 'WHEN WAS THE LAST TIME?'
   AH16    = 'SINCE 18 QUIT 3 JOBS BEFORE HAD ANOTHER JOB'
   AH16A   = 'AGE 1ST QUIT JOB BEFORE HAD ANOTHER JOB'
   AH16B   = 'WHEN WAS THE LAST TIME?'
   AH17    = 'SINCE 18 LATE/ABSENT 3 DAYS A MONTH OR MORE'
   AH17A   = 'TELL DOCTOR ABOUT FREQUENT WORK ABSENCES'
   AH17B   = 'WHAT WAS THE DOCTORS DIAGNOSIS?'
   AH17C   = 'ABNORMAL FINDING FROM EXAM/TESTS/X-RAYS'
   AH17D   = 'MISS/LATE FOR WORK RESULT OF ILLNESS/INJURY'
   AH17E   = 'MISSING WORK ALWAYS RESULT OF ILLNESS/INJURY'
   AH18    = 'LAST 5 YRS # OF MONTHS WITHOUT A JOB'
   AH18A   = 'OUT JOB MARKET BECAUSE RETIRED/SCHOOL/ILL'
   AH18B3  = 'WKS OUT MARKET BECAUSE RETIRED/SCHOOL/ILL'
   AH19    = 'DOES J18 MINUS J18B = 6 MONTHS OR MORE?'
   AH19A   = 'LAST TIME OUT WORK NOT RETIRED/SCHOOL/ILL'
   AH20    = 'TROUBLES HOLDING JOB 12 MONTHS BEFORE ADMISSION'
   AH21    = 'IMPORTANCE REFERRAL EMPLOYMENT/TRAINING'
   AH22    = 'PROBLEMS DUE DRUGS GETTING/HOLDING/WORKING JOB'
   AH22A   = 'HOW SERIOUS JOB PROBLEMS DUE DRUGS/ALCOHOL'
   AJ1A    = 'INCOME SOURCE: WORK/NO ILLEGAL ACTIVITIES'
   AJ2A    = 'AMOUNT: WORK/NO ILLEGAL ACTIVITIES'
   AJ1B    = 'INCOME SOURCE: SSI BECAUSE OF LOW INCOME'
   AJ2B    = 'AMOUNT: SSI BECAUSE OF LOW INCOME'
   AJ1C    = 'INCOME SOURCE: EARNED SSI'
   AJ2C    = 'AMOUNT: EARNED SSI'
   AJ1D    = 'INCOME SOURCE: SPOUSE/FAMILY/FRIENDS'
   AJ2D    = 'AMOUNT: SPOUSE/FAMILY/FRIENDS'
   AJ1E    = 'INCOME SOURCE: (POSSIBLY) ILLEGAL SOURCES'
   AJ2E    = 'AMOUNT: (POSSIBLY) ILLEGAL SOURCES'
   AJ1F    = 'INCOME SOURCE: ANY OTHER SOURCES'
   AJ2F    = 'AMOUNT: ANY OTHER SOURCES'
   AJ2_TOT = 'TOTAL OF COLUMN K2'
   AJ3     = 'TOTAL INCOME BEFORE TAXES 12MONTHS BEFORE ADMISSION'
   AJ4     = 'AT TIME ADMITTED WERE YOU LIVING ALONE?'
   AJ5     = 'SHARING INCOME/EXPENSES W/PEOPLE LIVED WITH'
   AJ5A    = '# PEOPLE SHARED INCOME/EXPENSES WITH'
   AJ6     = 'TOTAL INCOME BEFORE TAXES OF YOU/THESE PEOPLE'
   AJ7A1   = 'SPENDING FOR HOUSING 12MONTHS BEFORE ADMISSION'
   AJ7A2   = 'MONTH OR YEAR FOR HOUSING'
   AJ7B1   = 'SPENDING MEDICAL EXPENSES 12MONTHS BEFORE ADMISSION'
   AJ7B2   = 'MONTH OR YEAR FOR MEDICAL EXPENSES'
   AJ7C1   = 'SPENDING FOOD/CLOTHING 12MONTHS BEFORE ADMISSION'
   AJ7C2   = 'MONTH OR YEAR FOR FOOD/CLOTHING EXPENSES'
   AJ7D1   = 'OTHER SPENDING 12 MONTHS BEFORE ADMISSION'
   AJ7D2   = 'MONTH OR YEAR FOR OTHER SPENDING'
   AJ8     = '#MONTHS NOT ABLE TO PAY BILLS 12MNS BEFORE ADMISSION'
   AJ9     = 'BOTHERED BY MONEY PROBLEMS 12MONTHS BEFORE ADMISSION'
   AJ10    = 'MONEY PROBLEMS BECAUSE OF ALCOHOL/DRUGS'
   AJ10A   = 'HOW SERIOUS WERE PROBLEMS DUE ALCOHOL/DRUGS'
   AJ11    = 'IMPORTANCE OF COUNSELING FOR MONEY PROBLEMS'
   AJ12    = 'MOVED TO AVOID RENT/MADE NO PAYMENTS'
   AJ12A   = 'LAST TIME DID EITHER OF THESE THINGS'
   AJ12B   = 'DOING THIS WAS OK BECAUSE MISTREATED'
   AJ13    = 'SUED FOR BAD DEBT/THINGS TAKEN BACK'
   AJ14    = 'AGE WHEN FIRST DID ANY OF THESE THINGS'
   AJ14A   = 'AGE LAST TIME DID ANY OF THESE THINGS'
   AJ14B   = 'DID ANY OF THESE THINGS BETWEEN 18 AND 25'
   AK1     = 'USED LARGER AMOUNT ALCOHOL/DRUGS THAN INTENDED'
   AK2     = 'USED LONGER TIME ALCOHOL/DRUGS THAN INTENDED'
   AK12A1  = 'ALCOHOL: LONGER/LARGER AMOUNTS'
   AK12B1  = 'ALCOHOL: RECENCY'
   AK12A2  = 'MARIJUANA/HASH/THC: LONGER/LARGER AMOUNTS'
   AK12B2  = 'MARIJUANA/HASH/THC: RECENCY'
   AK12A4  = 'COCAINE/CRACK: LONGER/LARGER AMOUNTS'
   AK12B4  = 'COCAINE/CRACK: RECENCY'
   AK12A5  = 'HEROIN: LONGER/LARGER AMOUNTS'
   AK12B5  = 'HEROIN: RECENCY'
   AK12A6  = 'NARCOTICS/OPIATES: LONGER/LARGER AMOUNTS'
   AK12B6  = 'NARCOTICS/OPIATES: RECENCY'
   AK12A7  = 'SEDATIVES/TRANQUILIZERS: LONGER/LARGER AMOUNTS'
   AK12B7  = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK12A8  = 'AMPHETAMINES/STIMULANTS: LONGER/LARGER AMOUNTS'
   AK12B8  = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK3     = 'ALCOHOL/DRUGS USED UNTIL INTOXICATED'
   AK3A1   = 'ALCOHOL: USED UNTIL INTOXICATED'
   AK3B1   = 'ALCOHOL: RECENCY'
   AK3A2   = 'MARIJUANA/HASH/THC: USED UNTIL INTOXICATED'
   AK3B2   = 'MARIJUANA/HASH/THC: RECENCY'
   AK3A4   = 'COCAINE/CRACK: USED UNTIL INTOXICATED'
   AK3B4   = 'COCAINE/CRACK: RECENCY'
   AK3A5   = 'HEROIN: USED UNTIL INTOXICATED'
   AK3B5   = 'HEROIN: RECENCY'
   AK3A6   = 'NARCOTICS/OPIATES: USED UNTIL INTOXICATED'
   AK3B6   = 'NARCOTICS/OPIATES: RECENCY'
   AK3A7   = 'SEDATIVES/TRANQUILIZERS: USED UNTIL INTOXICATED'
   AK3B7   = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK3A8   = 'AMPHETAMINES/STIMULANTS: USED UNTIL INTOXICATED'
   AK3B8   = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK4     = 'COULD NOT STOP/CUT DOWN ALCOHOL/DRUG USE'
   AK4A1   = 'ALCOHOL: COULD NOT STOP/CUT DOWN USE'
   AK4B1   = 'ALCOHOL: RECENCY'
   AK4A2   = 'MARIJUANA/HASH/THC: COULD NOT STOP/CUT USE'
   AK4B2   = 'MARIJUANA/HASH/THC: RECENCY'
   AK4A4   = 'COCAINE/CRACK: COULD NOT STOP/CUT USE'
   AK4B4   = 'COCAINE/CRACK: RECENCY'
   AK4A5   = 'HEROIN: COULD NOT STOP/CUT DOWN USE'
   AK4B5   = 'HEROIN: RECENCY'
   AK4A6   = 'NARCOTICS/OPIATES: COULD NOT STOP/CUT USE'
   AK4B6   = 'NARCOTICS/OPIATES: RECENCY'
   AK4A7   = 'SEDATIVES/TRANQUILIZERS: NOT STOP/CUT USE'
   AK4B7   = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK4A8   = 'AMPHETAMINES/STIMULANTS: NOT STOP/CUT USE'
   AK4B8   = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK5     = 'DESIRE FOR ALCOHOL/DRUGS IRRESISTIBLE'
   AK6     = 'NEED FOR ALCOHOL/DRUGS ALL COULD THINK OF'
   AK56A1  = 'ALCOHOL: DESIRE/NEED IRRESISTIBLE'
   AK56B1  = 'ALCOHOL: RECENCY'
   AK56A2  = 'MARIJUANA/HASH/THC: DESIRE/NEED IRRESISTIBLE'
   AK56B2  = 'MARIJUANA/HASH/THC: RECENCY'
   AK56A4  = 'COCAINE/CRACK: DESIRE/NEED IRRESISTIBLE'
   AK56B4  = 'COCAINE/CRACK: RECENCY'
   AK56A5  = 'HEROIN: DESIRE/NEED IRRESISTIBLE'
   AK56B5  = 'HEROIN: RECENCY'
   AK56A6  = 'NARCOTICS/OPIATES: DESIRE/NEED IRRESISTIBLE'
   AK56B6  = 'NARCOTICS/OPIATES: RECENCY'
   AK56A7  = 'SEDATIVES/TRANQUILIZERS: DESIRE/NEEDS IRRESISTIBLE'
   AK56B7  = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK56A8  = 'AMPHETAMINES/STIMULANTS: DESIRE/NEED IRRESISTIBLE'
   AK56B8  = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK7     = 'NEED MORE ALCOHOL/DRUGS FOR SAME AFFECT'
   AK8     = 'SAME AMOUNT ALCOHOL/DRUGS HAD LESS EFFECT'
   AK78A1  = 'ALCOHOL: NEED MORE/LESS EFFECT'
   AK78B1  = 'ALCOHOL: RECENCY'
   AK78A2  = 'MARIJUANA/HASH/THC: NEED MORE/LESS EFFECT'
   AK78B2  = 'MARIJUANA/HASH/THC: RECENCY'
   AK78A4  = 'COCAINE/CRACK: NEED MORE/LESS EFFECT'
   AK78B4  = 'COCAINE/CRACK: RECENCY'
   AK78A5  = 'HEROIN: NEED MORE/LESS EFFECT'
   AK78B5  = 'HEROIN: RECENCY'
   AK78A6  = 'NARCOTICS/OPIATES: NEED MORE/LESS EFFECT'
   AK78B6  = 'NARCOTICS/OPIATES: RECENCY'
   AK78A7  = 'SEDATIVES/TRANQUILIZERS: NEED MORE/LESS EFFECT'
   AK78B7  = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK78A8  = 'AMPHETAMINES/STIMULANTS: NEED MORE/LESS EFFECT'
   AK78B8  = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK9     = 'ALCOHOL/DRUGS INCREASE CHANCE OF INJURY'
   AK9A1   = 'ALCOHOL: INCREASE CHANCE OF INJURY'
   AK9B1   = 'ALCOHOL: RECENCY'
   AK9A2   = 'MARIJUANA/HASH/THC: INCREASE CHANCE/INJURY'
   AK9B2   = 'MARIJUANA/HASH/THC: RECENCY'
   AK9A4   = 'COCAINE/CRACK: INCREASE CHANCE OF INJURY'
   AK9B4   = 'COCAINE/CRACK: RECENCY'
   AK9A5   = 'HEROIN: INCREASE CHANCE OF INJURY'
   AK9B5   = 'HEROIN: RECENCY'
   AK9A6   = 'NARCOTICS/OPIATES: INCREASE CHANCE INJURY'
   AK9B6   = 'NARCOTICS/OPIATES: RECENCY'
   AK9A7   = 'SEDATIVES/TRANQUILIZERS: INCREASE CHANCE INJURY'
   AK9B7   = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK9A8   = 'AMPHETAMINES/STIMULANTS: INCREASE CHANCE INJURY'
   AK9B8   = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK10    = 'DRINKING CAUSE SEVERAL HEATH PROBLEMS'
   AK10A   = 'CONTINUE DRINKING AFTER AWARE HEALTH PROBLEMS'
   AK10B   = 'DRINK > ONCE WHEN AWARE OF HEALTH PROBLEMS'
   AK10C   = 'LAST TIME HAD HEALTH PROBLEMS DUE TO DRINKING'
   AK11    = 'AWARE SERIOUS ILLNESS/CONTINUED DRINKING'
   AK12    = 'DRANK/TOOK MEDICATION/KNEW DANGEROUS MIX'
   AK13    = 'HEALTH PROBLEMS RESULTING FROM DRUG USE'
   AK13_1A = 'MARIJUANA/HASH/THC: CAUSED HEALTH PROBLEMS'
   AK13_1B = 'MARIJUANA/HASH/THC: REALIZED CAUSE HEALTH PROBLEM'
   AK13_1C = 'MARIJUANA/HASH/THC: USE >1/REALIZED PROBLEM'
   AK13_1D = 'MARIJUANA/HASH/THC: LAST TIME HEALTH PROBLEM'
   AK13_3A = 'COCAINE/CRACK: CAUSED HEALTH PROBLEMS'
   AK13_3B = 'COCAINE/CRACK: REALIZED CAUSE HEALTH PROBLEM'
   AK13_3C = 'COCAINE/CRACK: USE >1/REALIZED HEALTH PROBLEM'
   AK13_3D = 'COCAINE/CRACK: LAST TIME HAD HEALTH PROBLEM'
   AK13_4A = 'HEROIN: CAUSED HEALTH PROBLEMS'
   AK13_4B = 'HEROIN: REALIZED CAUSED HEALTH PROBLEMS'
   AK13_4C = 'HEROIN: USE >1/REALIZED CAUSED HEALTH PROBLEMS'
   AK13_4D = 'HEROIN: LAST TIME HAD HEALTH PROBLEMS'
   AK13_5A = 'NARCOTICS/OPIATES: CAUSED HEALTH PROBLEMS'
   AK13_5B = 'NARCOTICS/OPIATES: REALIZED CAUSE HEALTH PROBLEM'
   AK13_5C = 'NARCOTICS/OPIATES: USE >1/REALIZED PROBLEM'
   AK13_5D = 'NARCOTICS/OPIATES: LAST TIME HEALTH PROBLEM'
   AK13_6A = 'SEDATIVES/TRANQUILIZERS: CAUSED HEALTH PROBLEMS'
   AK13_6B = 'SEDATIVES/TRANQUILIZERS: REALIZED CAUSE HEALTH PROBLEM'
   AK13_6C = 'SEDATIVES/TRANQUILIZERS: USE >1/REALIZED PROBLEM'
   AK13_6D = 'SEDATIVES/TRANQUILIZERS : LAST TIME HEALTH PROBLEM'
   AK13_7A = 'AMPHETAMINES/STIMULANTS: CAUSED HEALTH PROBLEMS'
   AK13_7B = 'AMPHETAMINES/STIMULANTS: REALIZED CAUSE HEALTH PROBLEM'
   AK13_7C = 'AMPHETAMINES/STIMULANTS: USE >1/REALIZED PROBLEM'
   AK13_7D = 'AMPHETAMINES/STIMULANTS: LAST TIME HEALTH PROBLEM'
   AK14    = 'ALCOHOL/DRUG USE CAUSE FAMILY/POLICE PROBLEMS'
   AK14_1A = 'ALCOHOL: CAUSED PROBLEMS W/FAMILY/POLICE'
   AK14_1B = 'ALCOHOL: REALIZED CAUSED FAMILY PROBLEMS'
   AK14_1C = 'ALCOHOL: LAST TIME CAUSED FAMILY PROBLEMS'
   AK14_2A = 'MARIJUANA/HASH/THC: CAUSED PROBLEMS W/FAMILY'
   AK14_2B = 'MARIJUANA/HASH/THC: REALIZED CAUSED FAMILY PROBLEM'
   AK14_2C = 'MARIJUANA/HASH/THC: LAST CAUSE FAMILY PROBLEM'
   AK14_4A = 'COCAINE/CRACK: CAUSED PROBLEMS W/FAMILY'
   AK14_4B = 'COCAINE/CRACK: REALIZED CAUSED FAMILY PROBLEM'
   AK14_4C = 'COCAINE/CRACK: LAST CAUSE FAMILY PROBLEMS'
   AK14_5A = 'HEROIN: CAUSED PROBLEMS W/FAMILY/POLICE'
   AK14_5B = 'HEROIN: REALIZED CAUSED FAMILY PROBLEMS'
   AK14_5C = 'HEROIN: LAST TIME CAUSED FAMILY PROBLEMS'
   AK14_6A = 'NARCOTICS/OPIATES: CAUSED PROBLEMS W/FAMILY'
   AK14_6B = 'NARCOTICS/OPIATES: REALIZED CAUSED FAMILY PROBLEM'
   AK14_6C = 'NARCOTICS/OPIATES: LAST CAUSE FAMILY PROBLEMS'
   AK14_7A = 'SEDATIVES/TRANQUILIZERS: CAUSED PROBLEMS W/FAMILY'
   AK14_7B = 'SEDATIVES/TRANQUILIZERS: REALIZED CAUSED FAMILY PROBLEM'
   AK14_7C = 'SEDATIVES/TRANQUILIZERS : LAST CAUSE FAMILY PROBLEM'
   AK14_8A = 'AMPHETAMINES/STIMULANTS: CAUSED PROBLEMS W/FAMILY'
   AK14_8B = 'AMPHETAMINES/STIMULANTS: REALIZED CAUSED FAMILY PROBLEM'
   AK14_8C = 'AMPHETAMINES/STIMULANTS: LAST CAUSE FAMILY PROBLEM'
   AK15    = 'EMOTIONAL PROBLEMS RESULTING FORM ALCOHOL/DRUGS'
   AK15_1A = 'ALCOHOL: CAUSED EMOTIONAL PROBLEMS'
   AK15_1B = 'ALCOHOL: REALIZED CAUSED EMOTIONAL PROBLEMS'
   AK15_1C = 'ALCOHOL: USE >1/REALIZED CAUSED EMOTIONAL PROBLEMS'
   AK15_1D = 'ALCOHOL: LAST TIME HAD EMOTIONAL PROBLEMS'
   AK15_2A = 'MARIJUANA/HASH/THC: CAUSED EMOTIONAL PROBLEMS'
   AK15_2B = 'MARIJUANA/HASH/THC: REALIZED CAUSE EMOTIONAL PROBLEM'
   AK15_2C = 'MARIJUANA/HASH/THC: USE >1/REALIZED PROBLEM'
   AK15_2D = 'MARIJUANA/HASH/THC: LAST TIME EMOTIONAL PROBLEM'
   AK15_4A = 'COCAINE/CRACK: CAUSED EMOTIONAL PROBLEMS'
   AK15_4B = 'COCAINE/CRACK: REALIZED CAUSE EMOTIONAL PROBLEM'
   AK15_4C = 'COCAINE/CRACK: USE >1/REALIZED EMOTIONAL PROBLEM'
   AK15_4D = 'COCAINE/CRACK: LAST TIME HAD EMOTIONAL PROBLEM'
   AK15_5A = 'HEROIN: CAUSED EMOTIONAL PROBLEMS'
   AK15_5B = 'HEROIN: REALIZED CAUSED EMOTIONAL PROBLEMS'
   AK15_5C = 'HEROIN: USE >1/REALIZED CAUSED EMOTIONAL PROBLEMS'
   AK15_5D = 'HEROIN: LAST TIME HAD EMOTIONAL PROBLEMS'
   AK15_6A = 'NARCOTICS/OPIATES: CAUSED EMOTIONAL PROBLEMS'
   AK15_6B = 'NARCOTICS/OPIATES: REALIZED CAUSE EMOTIONAL PROBLEM'
   AK15_6C = 'NARCOTICS/OPIATES: USE >1/REALIZED PROBLEM'
   AK15_6D = 'NARCOTICS/OPIATES: LAST TIME EMOTIONAL PROBLEM'
   AK15_7A = 'SEDATIVES/TRANQUILIZERS: CAUSED EMOTIONAL PROBLEMS'
   AK15_7B = 'SEDATIVES/TRANQUILIZERS: REALIZED CAUSE EMOTIONAL PROBLEM'
   AK15_7C = 'SEDATIVES/TRANQUILIZERS: USE >1/REALIZED PROBLEM'
   AK15_7D = 'SEDATIVES/TRANQUILIZERS: LAST TIME EMOTIONAL PROBLEM'
   AK15_8A = 'AMPHETAMINES/STIMULANTS: CAUSED EMOTIONAL PROBLEMS'
   AK15_8B = 'AMPHETAMINES/STIMULANTS: REALIZED CAUSE EMOTIONAL PROBLEM'
   AK15_8C = 'AMPHETAMINES/STIMULANTS: USE >1/REALIZED PROBLEM'
   AK15_8D = 'AMPHETAMINES/STIMULANTS: LAST TIME EMOTIONAL PROBLEM'
   AK16    = 'UNDER INFLUENCE ALCOHOL/DRUGS AT WORK/SCHOOL'
   AK16A1  = 'ALCOHOL: UNDER INFLUENCE'
   AK16B1  = 'ALCOHOL: RECENCY'
   AK16A2  = 'MARIJUANA/HASH/THC: UNDER INFLUENCE'
   AK16B2  = 'MARIJUANA/HASH/THC: RECENCY'
   AK16A4  = 'COCAINE/CRACK: UNDER INFLUENCE'
   AK16B4  = 'COCAINE/CRACK: RECENCY'
   AK16A5  = 'HEROIN: UNDER INFLUENCE'
   AK16B5  = 'HEROIN: RECENCY'
   AK16A6  = 'NARCOTICS/OPIATES: UNDER INFLUENCE'
   AK16B6  = 'NARCOTICS/OPIATES: RECENCY'
   AK16A7  = 'SEDATIVES/TRANQUILIZERS: UNDER INFLUENCE'
   AK16B7  = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK16A8  = 'AMPHETAMINES/STIMULANTS: UNDER INFLUENCE'
   AK16B8  = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK17    = 'USE OF ALCOHOL/DRUGS SAME AT ALL TIMES'
   AK17A1  = 'ALCOHOL: USE SAME AT ALL TIMES'
   AK17B1  = 'ALCOHOL: RECENCY'
   AK17A2  = 'MARIJUANA/HASH/THC: SAME AT ALL TIMES'
   AK17B2  = 'MARIJUANA/HASH/THC: RECENCY'
   AK17A4  = 'COCAINE/CRACK: USE SAME AT ALL TIMES'
   AK17B4  = 'COCAINE/CRACK: RECENCY'
   AK17A5  = 'HEROIN: USE SAME AT ALL TIMES'
   AK17B5  = 'HEROIN: RECENCY'
   AK17A6  = 'NARCOTICS/OPIATES: USE SAME AT ALL TIMES'
   AK17B6  = 'NARCOTICS/OPIATES: RECENCY'
   AK17A7  = 'SEDATIVES/TRANQUILIZERS: USE SAME AT ALL TIMES'
   AK17B7  = 'SEDATIVES/TRANQUILIZERS: RECENCY'
   AK17A8  = 'AMPHETAMINES/STIMULANTS: USE SAME AT ALL TIMES'
   AK17B8  = 'AMPHETAMINES/STIMULANTS: RECENCY'
   AK18    = 'STOP DRINKING SYMPTOMS SUCH AS SHAKING'
   AK18A   = 'AGE WHEN SYMPTOMS LAST OCCURRED'
   AK18B   = 'HAD THESE PROBLEMS MORE THAN ONCE'
   AK18C   = 'DRANK TO KEEP FROM HAVING THESE PROBLEMS'
   AK19    = 'STOP DRUG USE CAUSES WITHDRAWAL PROBLEMS'
   AK19_1A = 'MARIJUANA/HASH/THC: PROBLEMS WHEN STOPPED'
   AK19_1B = 'MARIJUANA/HASH/THC: PROBLEMS WHEN STOPPED >ONCE'
   AK19_1C = 'MARIJUANA/HASH/THC: MAKE WITHDRAWAL GO AWAY'
   AK19_1D = 'MARIJUANA/HASH/THC: LAST TIME CAUSED PROBLEM'
   AK19_3A = 'COCAINE/CRACK: PROBLEMS WHEN STOPPED'
   AK19_3B = 'COCAINE/CRACK: PROBLEMS WHEN STOPPED >ONCE'
   AK19_3C = 'COCAINE/CRACK: MAKE WITHDRAWAL GO AWAY'
   AK19_3D = 'COCAINE/CRACK: LAST TIME CAUSED PROBLEMS'
   AK19_4A = 'HEROIN: PROBLEMS WHEN STOPPED'
   AK19_4B = 'HEROIN: PROBLEMS WHEN STOPPED > ONCE'
   AK19_4C = 'HEROIN: MAKE WITHDRAWAL SYMPTOMS GO AWAY'
   AK19_4D = 'HEROIN: LAST TIME STOPPING CAUSED PROBLEMS'
   AK19_5A = 'NARCOTICS/OPIATES: PROBLEMS WHEN STOPPED'
   AK19_5B = 'NARCOTICS/OPIATES: PROBLEMS WHEN STOPPED >ONCE'
   AK19_5C = 'NARCOTICS/OPIATES: MAKE WITHDRAWAL GO AWAY'
   AK19_5D = 'NARCOTICS/OPIATES: LAST TIME CAUSED PROBLEMS'
   AK19_6A = 'SEDATIVES/TRANQUILIZERS: PROBLEMS WHEN STOPPED'
   AK19_6B = 'SEDATIVES/TRANQUILIZERS: PROBLEMS WHEN STOPPED >ONCE'
   AK19_6C = 'SEDATIVES/TRANQUILIZERS: MAKE WITHDRAWAL GO AWAY'
   AK19_6D = 'SEDATIVES/TRANQUILIZERS: LAST TIME CAUSED PROBLEMS'
   AK19_7A = 'AMPHETAMINES/STIMULANTS: PROBLEMS WHEN STOPPED'
   AK19_7B = 'AMPHETAMINES/STIMULANTS: PROBLEMS WHEN STOPPED >ONCE'
   AK19_7C = 'AMPHETAMINES/STIMULANTS: MAKE WITHDRAWAL GO AWAY'
   AK19_7D = 'AMPHETAMINES/STIMULANTS: LAST TIME CAUSED PROBLEM'
   AK20    = 'LONG TIME PERIOD USING ALCOHOL OR DRUGS'
   AK20_1A = 'ALCOHOL: LONG TIME USING'
   AK20_1B = 'ALCOHOL: TIME USING AT LEAST 1 MONTH'
   AK20_1C = 'ALCOHOL: LAST TIME USING LONG PERIOD'
   AK20_2A = 'MARIJUANA/HASH/THC: LONG TIME USING'
   AK20_2B = 'MARIJUANA/HASH/THC: TIME USING AT LEAST 1MONTH'
   AK20_2C = 'MARIJUANA/HASH/THC: LAST TIME USING'
   AK20_4A = 'COCAINE/CRACK: LONG TIME USING'
   AK20_4B = 'COCAINE/CRACK: TIME USING AT LEAST 1 MONTH'
   AK20_4C = 'COCAINE/CRACK: LAST TIME USING LONG PERIOD'
   AK20_5A = 'HEROIN: LONG TIME USING'
   AK20_5B = 'HEROIN: TIME USING AT LEAST ONE MONTH'
   AK20_5C = 'HEROIN: LAST TIME USING FOR LONG PERIOD'
   AK20_6A = 'NARCOTICS/OPIATES: LONG TIME USING'
   AK20_6B = 'NARCOTICS/OPIATES: TIME USING AT LEAST 1 MONTH'
   AK20_6C = 'NARCOTICS/OPIATES: LAST TIME USING LONG PERIOD'
   AK20_7A = 'SEDATIVES/TRANQUILIZERS: LONG TIME USING'
   AK20_7B = 'SEDATIVES/TRANQUILIZERS: TIME USING AT LEAST 1 MONTH'
   AK20_7C = 'SEDATIVES/TRANQUILIZERS: LAST TIME USING'
   AK20_8A = 'AMPHETAMINES/STIMULANTS: LONG TIME USING'
   AK20_8B = 'AMPHETAMINES/STIMULANTS: TIME USING AT LEAST 1MONTH'
   AK20_8C = 'AMPHETAMINES/STIMULANTS: LAST TIME USING LONG PERIOD'
   AK21    = 'PERIOD OF 1MONTH/> MADE SURE HAD ALCOHOL/DRUGS'
   AK21_1A = 'ALCOHOL: MADE SURE HAD 1 MONTH OR MORE'
   AK21_1B3= 'ALCOHOL: DURATION - WEEKS'
   AK21_1C = 'ALCOHOL: LAST TIME 1MONTH/> MADE SURE HAD'
   AK21_2A = 'MARIJUANA/HASH/THC: MADE SURE HAD 1MONTH/>'
   AK212B3 = 'MARIJUANA/HASH/THC: DURATION - WEEKS'
   AK21_2C = 'MARIJUANA/HASH/THC: LONGEST TIME 1MONTH/>'
   AK21_4A = 'COCAINE/CRACK: MADE SURE HAD 1MONTH OR MORE'
   AK21_4B3= 'COCAINE/CRACK: DURATION - WEEKS'
   AK21_4C = 'COCAINE/CRACK: LAST TIME 1 MONTH/> SURE HAD'
   AK21_5A = 'HEROIN: MADE SURE HAD 1 MONTH OR MORE'
   AK21_5B3= 'HEROIN: DURATION - WEEKS'
   AK21_5C = 'HEROIN: LAST TIME 1 MONTH/> MADE SURE HAD'
   AK21_6A = 'NARCOTICS/OPIATES: MADE SURE HAD 1 MONTH/>'
   AK21_6B3= 'NARCOTICS/OPIATES: DURATION - WEEKS'
   AK21_6C = 'NARCOTICS/OPIATES: LAST TIME 1MONTH/> SURE HAD'
   AK21_7A = 'SEDATIVES/TRANQUILIZERS: MADE SURE HAD 1MONTH/>'
   AK21_7B3= 'SEDATIVES/TRANQUILIZERS: DURATION - WEEKS'
   AK21_7C = 'SEDATIVES/TRANQUILIZERS: LAST TIM 1MONTH/> SURE HAD'
   AK21_8A = 'AMPHETAMINES/STIMULANTS: MADE SURE HAS 1MONTH/>'
   AK21_8B3= 'AMPHETAMINES/STIMULANTS: DURATION - WEEKS'
   AK21_8C = 'AMPHETAMINES/STIMULANTS: LAST T1ME 1 MONTH/> HAD'
   AK22    = 'ACTIVITIES GIVEN UP FOR ALCOHOL/DRUGS'
   AK22_1A = 'ALCOHOL: ACTIVITIES GIVEN UP'
   AK22_1B = 'ALCOHOL: ACTIVITIES GIVEN UP AT LEAST 1MONTH'
   AK22_1C = 'ALCOHOL: LAST TIME ACTIVITIES GIVEN UP'
   AK22_2A = 'MARIJUANA/HASH/THC: ACTIVITIES GIVEN UP'
   AK22_2B = 'MARIJUANA/HASH/THC: ACTIVATES GIVEN UP AT LEAST 1MONTH'
   AK22_2C = 'MARIJUANA/HASH/THC: LAST TIME ACTIVATES GIVEN UP'
   AK22_4A = 'COCAINE/CRACK: ACTIVITIES GIVEN UP'
   AK22_4B = 'COCAINE/CRACK: ACTIVATES GIVEN UP AT LAST 1 MONTH'
   AK22_4C = 'COCAINE/CRACK: LAST TIME ACTIVATES GIVEN UP'
   AK22_5A = 'HEROIN: ACTIVITIES GIVEN UP'
   AK22_5B = 'HEROIN: ACTIVITIES GIVEN UP AT LEAST 1 MONTH'
   AK22_5C = 'HEROIN: LAST TIME ACTIVITIES GIVEN UP'
   AK22_6A = 'NARCOTICS/OPIATES: ACTIVITIES GIVEN UP'
   AK22_6B = 'NARCOTICS/OPIATES: ACTIVATES GIVEN UP AT LEAST 1 MONTH'
   AK22_6C = 'NARCOTICS/OPIATES: LAST TIME ACTIVITIES GIVEN UP'
   AK22_7A = 'SEDATIVES/TRANQUILIZERS: ACTIVITIES GIVEN UP'
   AK22_7B = 'SEDATIVES/TRANQUILIZERS: ACTIVATES GIVEN UP AT LEAST 1MONTH'
   AK22_7C = 'SEDATIVES/TRANQUILIZERS: LAST TIME ACTIVATES GIVEN UP'
   AK22_8A = 'AMPHETAMINES/STIMULANTS: ACTIVITIES GIVEN UP'
   AK22_8B = 'AMPHETAMINES/STIMULANTS: ACTIVATES GIVEN UP 1MONTH/>'
   AK22_8C = 'AMPHETAMINES/STIMULANTS: LAST TIME ACTIVATES GIVEN UP'
   AK23_A  = 'AGE HAD PROBLEMS DUE TO ALCOHOL'
   AK23_B  = 'AGE HAD PROBLEMS DUE TO MARIJUANA'
   AK23_C  = 'AGE HAD PROBLEMS DUE TO COCAINE/CRACK'
   AK23_D  = 'AGE HAD PROBLEMS DUE TO HEROIN'
   AK23_E  = 'AGE HAD PROBLEMS DUE TO NARCOTICS/OPIATES'
   AK23_F  = 'AGE HAD PROBLEMS DUE SEDATIVES/TRANQUILIZERS'
   AK23_G  = 'AGE HAD PROBLEMS DUE AMPHETAMINES/STIMULANTS'
   AKDM    = 'DATE: MONTH'
   AKTH    = 'TIME: HOUR'
   AKTM    = 'TIME: MINUTE'
   AKAMPM  = 'TIME RECORDED AS AM OR PM'
   AL1     = 'WERE ALL APPLICABLE QUESTIONS ANSWERED?'
   AL2     = 'RESPONDENT UNDERSTOOD ALL QUESTION ASKED'
   AL2A    = '# OF QUESTIONS RESPONDENT DIDN''T UNDERSTAND'
   AL3_1_1 = 'NOT UNDERSTOOD: INTELLECTUALLY UNABLE'
   AL3_1_2 = 'SEVERITY OF INTELLECTUAL DIFFICULTY'
   AL3_2_1 = 'NOT UNDERSTOOD: LANGUAGE BARRIER'
   AL3_2_2 = 'SEVERITY OF LANGUAGE BARRIER'
   AL3_3_1 = 'NOT UNDERSTOOD: PHYSICALLY UNABLE'
   AL3_3_2 = 'SEVERITY OF PHYSICAL DIFFICULTY'
   AL3_4_1 = 'NOT UNDERSTOOD: OTHER'
   AL3_4_2 = 'SEVERITY OF OTHER PROBLEM'
   AL4     = 'WAS THE INTERVIEW A BREAK-OFF?'
   AL4A1   = 'BREAK-OFF: INTERVIEWER EMERGENCY'
   AL4A2   = 'BREAK-OFF: RESPONDENT EMERGENCY'
   AL4A3   = 'BREAK-OFF: RESPONDENT TIRED, BORED'
   AL4A4   = 'BREAK-OFF: RESPONDENT ANGRY ABOUT QUESTIONS'
   AL4A5   = 'BREAK-OFF: RESPONDENT UPSET ABOUT QUESTIONS'
   AL4A6   = 'BREAK-OFF: OTHER REASON'
   AL5     = 'RESPONSE TO POSSIBLE FUTURE INTERVIEW'
   AL6     = 'WAS INTERVIEW GIVEN IN MORE THAN 1 SESSION'
   AL6A1   = 'HOURS OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   AL6A2   = 'MINUTES OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   AM1     = 'EVER TALKED TO DOCTOR/MEMORY PROBLEM?'
   AM2     = 'WHAT IS THE YEAR?'
   AM3     = 'WHAT SEASON OF THE YEAR?'
   AM4     = 'WHAT IS THE DATE?'
   AM5     = 'WHAT IS THE DAY OF THE WEEK?'
   AM6     = 'WHAT IS THE MONTH?'
   AM7     = 'CAN YOU TELL WHERE WE ARE NOW?'
   AM8     = 'WHAT COUNTY ARE WE IN?'
   AM9     = 'WHAT CITY/TOWN ARE WE IN?'
   AM10A   = 'WHAT FLOOR OF BUILDING ARE WE ON?'
   AM10B   = 'WHAT IS THE NAME OF THIS PLACE?'
   AM11A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   AM11B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   AM11C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   AM12A   = 'WOULD YOU SUBTRACT 7 FROM 100'
   AM12B   = 'WOULD YOU SUBTRACT 7 FROM 93'
   AM12C   = 'WOULD YOU SUBTRACT 7 FROM 86'
   AM12D   = 'WOULD YOU SUBTRACT 7 FROM 79'
   AM12E   = 'WOULD YOU SUBTRACT 7 FROM 72'
   AM13    = 'CIRCLE NUMBER OF ERRORS/REFUSED'
   AM14A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   AM14B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   AM14C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   AM15A   = 'SHOW WRIST WATCH/ASK/WHAT IS THIS?'
   AM15B   = 'SHOW PENCIL/ASK/WHAT IS THIS?'
   AM16    = 'REPEAT A PHRASE AFTER ME'
   AM17    = 'HAND ''CLOSE YOUR EYES'' CARD TO RESPONDENT'
   AM18A   = 'TAKE PAPER IN YOUR RIGHT HAND'
   AM18B   = 'FOLD PAPER IN HALF'
   AM18C   = 'PUT PAPER DOWN ON YOUR LAP'
   AM19    = 'WRITE COMPLETE SENTENCE ON PAPER'
   AM20    = 'COPY THE DRAWING ON SAME PAPER'
   AM21    = '12/>12 05S CODED IN M2-M11/M14-M20?'
   IDATE_M = 'MONTH/INTERVIEW DATE'
   IDATE_Y = 'YEAR/INTERVIEW DATE'
   AI1_1   = 'EVER INVOLVED IN AGGRAVATED ASSAULT'
   AI1_2   = 'AGE/FIRST TIME AGGRAVATED ASSAULT'
   AI1_3   = '#DAYS/TIMES YOU EVER AGGRAVATED ASSAULT'
   AI1_4   = '#DAYS/TIMES AGGRAVATED ASSAULT/12 MONTHS'
   AI2_1   = 'EVER INVOLVED IN BURGLARY'
   AI2_2   = 'AGE/FIRST TIME DID BURGLARY'
   AI2_3   = '#DAYS/TIMES YOU EVER DID BURGLARY'
   AI2_4   = '#DAYS/TIMES DID BURGLARY/12 MONTHS'
   AI3_1   = 'EVER INVOLVED IN THEFT'
   AI3_2   = 'AGE/FIRST TIME DID THEFT'
   AI3_3   = '#DAYS/TIMES YOU EVER DID THEFT'
   AI3_4   = '#DAYS/TIMES DID THEFT/12 MONTHS'
   AI4_1   = 'EVER INVOLVED IN ROBBERY'
   AI4_2   = 'AGE/FIRST TIME DID ROBBERY'
   AI4_3   = '#DAYS/TIMES YOU EVER DID ROBBERY'
   AI4_4   = '#DAYS/TIMES DID ROBBERY/12 MONTHS'
   AI5_1   = 'EVER INVOLVED IN FORGERY'
   AI5_2   = 'AGE/FIRST TIME DID FORGERY'
   AI5_3   = '#DAYS/TIMES YOU EVER DID FORGERY'
   AI5_4   = '#DAYS/TIMES DID FORGERY/12 MONTHS'
   AI6_1   = 'EVER INVOLVED DEALING IN STOLEN PROPERTY'
   AI6_2   = 'AGE/FIRST TIME DEALING IN STOLEN PROPERTY'
   AI6_3   = '#DAYS/TIMES EVER DEALT IN STOLEN PROPERTY'
   AI6_4   = '#DAYS/TIMES DID FENCING /12 MONTHS'
   AI7_1   = 'EVER INVOLVED IN GAMBLING'
   AI7_2   = 'AGE/FIRST TIME DID GAMBLING'
   AI7_3   = '#DAYS/TIMES YOU EVER DID GAMBLING'
   AI7_4   = '#DAYS/TIMES DID /12 MONTHS GAMBLING'
   AI8_1   = 'EVER INVOLVED IN PIMPING/PROSTITUTION'
   AI8_2   = 'AGE/FIRST TIME DID PIMPING/PROSTITUTION'
   AI8_3   = '#DAYS/TIMES EVER DID PIMPING/PROSTITUTION'
   AI8_4   = '#DAYS/TIMES DID /12 MONTHS PIMPING/PROSTITUTION'
   AI9_1   = 'EVER INVOLVED IN SELLING ILLEGAL DRUGS'
   AI9_2   = 'AGE/FIRST TIME SOLD ILLEGAL DRUGS'
   AI9_3   = '#DAYS/TIMES YOU EVER SOLD ILLEGAL DRUGS'
   AI9_4   = '#DAYS/TIMES /12 MONTHS SOLD ILLEGAL DRUGS'
   AI10_1  = 'EVER INVOLVED IN INTOXICATED DRIVING'
   AI10_2  = 'AGE/FIRST TIME DROVE WHILE INTOXICATED'
   AI10_3  = '#DAYS/TIMES EVER DID INTOXICATED DRIVING'
   AI10_4  = '#DAYS/TIMES DID/12 MONTHS INTOXICATED DRIVING'
   AN1A    = 'DISTRESSED BY FEELING ANNOYED'
   AN1B    = 'DISTRESSED BY TEMPER OUTBURSTS'
   AN1C    = 'DISTRESSED BY URGE TO HARM OTHERS'
   AN1D    = 'DISTRESSED BY URGE TO BREAK THINGS'
   AN1E    = 'DISTRESSED BY FREQUENT ARGUMENTS'
   AN1F    = 'DISTRESSED BY SHOUTING/THROWING THINGS'
   AN2A    = 'FEELINGS FOR PEOPLE LESS FORTUNATE'
   AN2B    = 'FEELINGS FOR OTHERS POINT OF VIEW'
   AN2C    = 'LACK OF FEELING FOR OTHER PEOPLE'
   AN2D    = 'FEELING FOR OTHERS SIDE OF ARGUMENTS'
   AN2E    = 'PROTECTIVE FEELINGS FOR OTHERS'
   AN2F    = 'FEELING FOR OTHERS PERSPECTIVE'
   AN2G    = 'FEELINGS FOR OTHERS MISFORTUNES'
   AN2H    = 'FEELINGS FOR OTHERS ARGUMENTS'
   AN2I    = 'FEELINGS OF PITY FOR OTHERS'
   AN2J    = 'FEELINGS FOR THINGS THAT HAPPEN TO OTHERS'
   AN2K    = 'BELIEF THERE ARE 2 SIDES TO QUESTIONS'
   AN2L    = 'DESCRIBE MYSELF AS SOFT-HEARTED'
   AN2M    = 'WHEN UPSET TRY TO SEE OTHERS SIDE'
   AN2N    = 'FEELINGS FOR THOSE CRITICIZED'
   AN3A    = 'STATEMENT A FOR N3'
   AN4A    = 'STATEMENT A FOR N4'
   AN3B    = 'STATEMENT B FOR N3'
   AN4B    = 'STATEMENT B FOR N4'
   AN3C    = 'STATEMENT C FOR N3'
   AN4C    = 'STATEMENT C FOR N4'
   AN3D    = 'STATEMENT D FOR N3'
   AN4D    = 'STATEMENT D FOR N4'
   AN3E    = 'STATEMENT E FOR N3'
   AN4E    = 'STATEMENT E FOR N4'
   AN3F    = 'STATEMENT F FOR N3'
   AN4F    = 'STATEMENT F FOR N4'
   AN3G    = 'STATEMENT G FOR N3'
   AN4G    = 'STATEMENT G FOR N4'
   AN3H    = 'STATEMENT H FOR N3'
   AN4H    = 'STATEMENT H FOR N4'
   AN3I    = 'STATEMENT I FOR N3'
   AN4I    = 'STATEMENT I FOR N4'
   AN3J    = 'STATEMENT J FOR N3'
   AN4J    = 'STATEMENT J FOR N4'
   AN5     = 'MOST PROBLEMS SOLVE THEMSELVES'
   AN6     = 'ARE SOME KIDS JUST BORN LUCKY'
   AN7     = 'OFTEN BLAMED FOR THINGS NOT YOUR FAULT'
   AN8     = 'DOES NOT PAY TO TRY HARD'
   AN9     = 'PUNISHMENT RECEIVED FOR NO GOOD REASON'
   AN10    = 'LITTLE TO BE DONE TO CORRECT WRONGDOINGS'
   AN11    = 'HANDLE MOST PROBLEMS BY IGNORING THEM'
   AN12    = 'PEOPLE LIKE YOU BECAUSE OF WAY YOU ACT'
   AN13    = 'CHANGE TOMORROW BY WHAT YOU DO TODAY'
   AN14    = 'BAD THINGS HAPPEN NO MATTER WHAT'
   AN15    = 'GOOD THINGS HAPPEN BECAUSE OF HARD WORK'
   AN16    = 'EASY TO GET FRIENDS TO DO WHAT YOU WANT'
   AN17    = 'USELESS TO TRY IN SCHOOL/OTHERS SMARTED'
   QU      = 'INTAKE 1 QUESTIONNAIRE'
   IA      = 'INTAKE 1 ILLEGAL ACTS'
   SU      = 'INTAKE 1 SUPPLEMENTAL'
   MODALITY= 'TREATMENT MODALITY'
   SEX     = 'GENDER'
   AGE     = 'AGE AT INTAKE (CORRECTED)'
   AB7C_M  = 'MONTHS AGO LAST SUSPENDED FROM SCHOOL'
   AB7E_M  = 'MONTHS AGO LAST EXPELLED FROM SCHOOL'
   AD2B_M  = 'MONTHS AGO LAST HAD THAT MUCH TO DRINK'
   AD3B_M  = 'MONTHS AGO LAST DRANK 5 DRINKS/WEEK'
   AD4B_M  = 'MONTHS AGO LAST DRANK 5 DRINKS/DAY/2 WKS'
   AD9_M   = 'MONTHS AGO LAST DRANK ANY ALCOHOL'
   AD10D_M = 'MONTHS AGO LAST DRANK HEAVIEST'
   AD16_M  = 'MONTHS AGO LAST TREATED ALCOHOL PROBLEMS'
   AD17A_M = 'MONTHS AGO LAST ATTENDED AA MEETINGS'
   AD18A_M = 'MONTHS AGO LAST ANTABUSE PRESCRIBED'
   AE1E_M  = 'MONTHS AGO LAST USED MARIJUANA REGULARLY'
   AE1F_M  = 'MONTHS AGO LAST USED MARIJUANA'
   AE2M_M  = 'MONTHS AGO LAST USED COCAINE REGULARLY'
   AE2N_M  = 'MONTHS AGO LAST USED ANY TYPE COCAINE'
   AE2R_M  = 'MONTHS AGO LAST USED CRACK'
   AE3M_M  = 'MONTHS AGO LAST USED HEROIN REGULARLY'
   AE3N_M  = 'MONTHS AGO LAST USED HEROIN'
   AE3R_M  = 'MONTHS AGO LAST USED HEROIN AND COCAINE'
   AE5K_M  = 'MONTHS AGO LAST USED NARCOTICS REGULARLY'
   AE5L_M  = 'MONTHS AGO LAST USED ANY NARCOTICS'
   AE5P_M  = 'MONTHS AGO LAST USED ILLEGAL METHADONE'
   AE7K_M  = 'MONTHS AGO LAST USED SEDATIVES REGULARLY'
   AE7L_M  = 'MONTHS AGO LAST USED SEDATIVES'
   AE9K_M  = 'MONTHS AGO LAST USED AMPHETAMINES REGULARLY'
   AE9L_M  = 'MONTHS AGO LAST USED AMPHETAMINES'
   AE9P_M  = 'MONTHS AGO LAST USED METHADONE/ICE'
   AE11H_M = 'MONTHS AGO LAST HALLUCINOGENS REGULARLY'
   AE11I_M = 'MONTHS AGO LAST USED ANY HALLUCINOGENS'
   AE11M_M = 'MONTHS AGO LAST USED PCP'
   AE12E_M = 'MONTHS AGO LAST USED INHALANTS REGULARLY'
   AE12F_M = 'MONTHS AGO LAST USED INHALANTS'
   AE14E_M = 'MONTHS AGO LAST USED PRIMARY PROBLEM DRUG'
   AE15E_M = 'MONTHS AGO LAST USED SECOND PROBLEM DRUG'
   AE16E_M = 'MONTHS AGO LAST USED THIRD PROBLEM DRUG'
   AE30_M  = 'MONTHS AGO LEFT LONGEST DRUG TREATMENT'
   AE31A_M = 'MONTHS AGO LAST RECEIVED HELP FOR PROBLEM'
   AE32B_M = 'MONTHS AGO LAST ATTENDED NA MEETING'
   AF1E_M  = 'MONTHS AGO LAST FELT ANXIOUS'
   AF2H_M  = 'MONTHS AGO LAST FELT SAD/BLUE/DEPRESSED'
   AF3A_M  = 'MONTHS AGO LAST THOUGHT ABOUT SUICIDE'
   AF4B_M  = 'MONTHS AGO LAST ATTEMPTED SUICIDE'
   AF5B_M  = 'MONTHS AGO LAST HAD TEMPER OUTBURSTS'
   AF6C_M  = 'MONTHS AGO LAST SUSPICIOUS OF PEOPLE'
   AF7B_M  = 'MONTHS AGO LAST HAD HALLUCINATIONS'
   AF15_M  = 'MONTHS AGO LAST HAD OVERNIGHT MENTAL HEALTH TREATMENT'
   AF19_M  = 'MONTHS AGO LAST HAD OUTPATIENT MENTAL HEALTH TREATMENT'
   AG1B_M  = 'MONTHS AGO LAST HAD TRAFFIC TICKET'
   AG6B_M  = 'MONTHS AGO LAST ARRESTED'
   AG13B_M = 'MONTHS AGO LAST CONVICTED OF FELONY'
   AG15B_M = 'MONTHS AGO LAST RELEASED FROM PRISON'
   AG20C_M = 'MONTHS AGO LAST SUPPORTED SELF ILLEGALLY'
   AH10_M  = 'MONTHS AGO LAST WORKED FT JOB'
   AH11A_M = 'MONTHS AGO LAST WORKED LONGEST FT JOB'
   AH15B_M = 'MONTHS AGO LAST FIRED FROM JOB'
   AH16B_M = 'MONTHS AGO LAST QUIT JOB'
   AH19A_M = 'MONTHS AGO LAST OUT OF WORK'
   AJ12A_M = 'MONTHS AGO LAST MOVED TO AVOID PAYING RENT'
   AK12B1_M= 'MONTHS AGO USED LARGER AMOUNT OF ALCOHOL'
   AK12B2_M= 'MONTHS AGO USED LARGER AMOUNT OF MARIJUANA.'
   AK12B4_M= 'MONTHS AGO USED LARGER AMOUNT OF COCAINE/CRACK.'
   AK12B5_M= 'MONTHS AGO USED LARGER AMOUNT OF HEROIN'
   AK12B6_M= 'MONTHS AGO USED LARGER AMOUNT OF NARCOTICS'
   AK12B7_M= 'MONTHS AGO USED LARGER AMOUNT OF SEDATIVES'
   AK12B8_M= 'MONTHS AGO USED LARGER AMOUNT OF STIMULANTS'
   AK3B1_M = 'MONTHS AGO DIFFICULT TO STOP ALCOHOL'
   AK3B2_M = 'MONTHS AGO DIFFICULT TO STOP MARIJUANA'
   AK3B4_M = 'MONTHS AGO DIFFICULT TO STOP COCAINE/'
   AK3B5_M = 'MONTHS AGO DIFFICULT TO STOP HEROIN'
   AK3B6_M = 'MONTHS AGO DIFFICULT TO STOP NARCOTICS'
   AK3B7_M = 'MONTHS AGO DIFFICULT TO STOP SEDATIVES'
   AK3B8_M = 'MONTHS AGO DIFFICULT TO STOP STIMULANTS'
   AK4B1_M = 'MONTHS AGO LAST TRIED TO CUT ALCOHOL'
   AK4B2_M = 'MONTHS AGO LAST TRIED TO CUT MARIJUANA'
   AK4B4_M = 'MONTHS AGO LAST TRIED TO CUT COCAINE/CRACK'
   AK4B5_M = 'MONTHS AGO LAST TRIED TO CUT HEROIN'
   AK4B6_M = 'MONTHS AGO LAST TRIED TO CUT NARCOTICS'
   AK4B7_M = 'MONTHS AGO LAST TRIED TO CUT SEDATIVES'
   AK4B8_M = 'MONTHS AGO LAST TRIED TO CUT STIMULANTS'
   AK56B1_M= 'MONTHS AGO LAST DESIRE FOR ALCOHOL'
   AK56B2_M= 'MONTHS AGO LAST DESIRE FOR MARIJUANA'
   AK56B4_M= 'MONTHS AGO LAST DESIRE FOR COCAINE/CRACK'
   AK56B5_M= 'MONTHS AGO LAST DESIRE FOR HEROIN'
   AK56B6_M= 'MONTHS AGO LAST DESIRE FOR NARCOTICS'
   AK56B7_M= 'MONTHS AGO LAST DESIRE FOR SEDATIVES'
   AK56B8_M= 'MONTHS AGO LAST DESIRE FOR STIMULANTS'
   AK78B1_M= 'MONTHS AGO MORE TO GET EFFECT: ALCOHOL'
   AK78B2_M= 'MONTHS AGO MORE TO GET EFFECT: MARIJUANA'
   AK78B4_M= 'MONTHS AGO MORE TO GET EFFECT: COCAINE'
   AK78B5_M= 'MONTHS AGO MORE TO GET EFFECT: HEROIN'
   AK78B6_M= 'MONTHS AGO MORE TO GET EFFECT: NARCOTICS'
   AK78B7_M= 'MONTHS AGO MORE TO GET EFFECT: SEDATIVES'
   AK78B8_M= 'MONTHS AGO MORE TO GET EFFECT: STIMULANTS'
   AK9B1_M = 'MONTHS AGO CHANCE OF INJURY: ALCOHOL'
   AK9B2_M = 'MONTHS AGO CHANCE OF INJURY: MARIJUANA'
   AK9B4_M = 'MONTHS AGO CHANCE OF INJURY: COCAINE'
   AK9B5_M = 'MONTHS AGO CHANCE OF INJURY: HEROIN'
   AK9B6_M = 'MONTHS AGO CHANCE OF INJURY: NARCOTICS'
   AK9B7_M = 'MONTHS AGO CHANCE OF INJURY: SEDATIVES'
   AK9B8_M = 'MONTHS AGO CHANCE OF INJURY: STIMULANTS'
   AK10C_M = 'MONTHS AGO HAD HEALTH PROBLEMS DUE TO DRINKING'
   AK13_1DR= 'MONTHS AGO HEALTH PROBLEMS FROM MARIJUANA'
   AK13_3DR= 'MONTHS AGO HEALTH PROBLEMS FROM COCAINE/CRACK'
   AK13_4DR= 'MONTHS AGO HEALTH PROBLEMS FROM HEROIN'
   AK13_5DR= 'MONTHS AGO HEALTH PROBLEMS FROM NARCOTICS'
   AK13_6DR= 'MONTHS AGO HEALTH PROBLEMS FROM SEDATIVES'
   AK13_7DR= 'MONTHS AGO HEALTH PROBLEMS FROM STIMULANTS'
   AK14_1CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: ALCOHOL'
   AK14_2CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: MARIJUANA'
   AK14_4CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: COCAINE'
   AK14_5CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: HEROIN'
   AK14_6CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: NARCOTICS'
   AK14_7CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: SEDATIVES'
   AK14_8CR= 'MONTHS AGO CONSIDERABLE PROBLEMS: STIMULANTS'
   AK15_1DR= 'MONTHS AGO EMOTIONAL PROBLEMS: ALCOHOL'
   AK15_2DR= 'MONTHS AGO EMOTIONAL PROBLEMS: MARIJUANA'
   AK15_4DR= 'MONTHS AGO EMOTIONAL PROBLEMS: COCAINE/CRACK'
   AK15_5DR= 'MONTHS AGO EMOTIONAL PROBLEMS: HEROIN'
   AK15_6DR= 'MONTHS AGO EMOTIONAL PROBLEMS: NARCOTICS'
   AK15_7DR= 'MONTHS AGO EMOTIONAL PROBLEMS: SEDATIVES'
   AK15_8DR= 'MONTHS AGO EMOTIONAL PROBLEMS: STIMULANTS'
   AK16B1_M= 'MONTHS AGO LAST TIME HIGH ON ALCOHOL'
   AK16B2_M= 'MONTHS AGO LAST TIME HIGH ON MARIJUANA'
   AK16B4_M= 'MONTHS AGO LAST TIME HIGH ON COCAINE/CRACK'
   AK16B5_M= 'MONTHS AGO LAST TIME HIGH ON HEROIN'
   AK16B6_M= 'MONTHS AGO LAST TIME HIGH ON NARCOTICS'
   AK16B7_M= 'MONTHS AGO LAST TIME HIGH ON SEDATIVES'
   AK16B8_M= 'MONTHS AGO LAST TIME HIGH ON STIMULANTS'
   AK17B1_M= 'MONTHS AGO LAST USED REGULARLY: ALCOHOL'
   AK17B2_M= 'MONTHS AGO LAST USED REGULARLY: MARIJUANA'
   AK17B4_M= 'MONTHS AGO LAST USED REGULARLY: COCAINE'
   AK17B5_M= 'MONTHS AGO LAST USED REGULARLY: HEROIN'
   AK17B6_M= 'MONTHS AGO LAST USED REGULARLY: NARCOTICS'
   AK17B7_M= 'MONTHS AGO LAST USED REGULARLY: SEDATIVES'
   AK17B8_M= 'MONTHS AGO LAST USED REGULARLY: STIMULANTS'
   AK19_1DR= 'MONTHS AGO PROBLEM CUTTING DOWN ALCOHOL'
   AK19_3DR= 'MONTHS AGO PROBLEM CUTTING DOWN COCAINE'
   AK19_4DR= 'MONTHS AGO PROBLEM CUTTING DOWN HEROIN'
   AK19_5DR= 'MONTHS AGO PROBLEM CUTTING DOWN NARCOTICS'
   AK19_6DR= 'MONTHS AGO PROBLEM CUTTING DOWN SEDATIVES'
   AK19_7DR= 'MONTHS AGO PROBLEM CUTTING DOWN STIMULANTS'
   AK20_1CR= 'MONTHS AGO TIME GETTING OVER: ALCOHOL'
   AK20_2CR= 'MONTHS AGO TIME GETTING OVER: MARIJUANA'
   AK20_4CR= 'MONTHS AGO TIME GETTING OVER: COCAINE/CRACK'
   AK20_5CR= 'MONTHS AGO TIME GETTING OVER: HEROIN'
   AK20_6CR= 'MONTHS AGO TIME GETTING OVER: NARCOTICS'
   AK20_7CR= 'MONTHS AGO TIME GETTING OVER: SEDATIVES'
   AK20_8CR= 'MONTHS AGO TIME GETTING OVER: STIMULANTS'
   AK21_1CR= 'MONTHS AGO MAKE SURE HAD ALCOHOL'
   AK21_2CR= 'MONTHS AGO MAKE SURE HAD MARIJUANA'
   AK21_4CR= 'MONTHS AGO MAKE SURE HAD COCAINE/CRACK'
   AK21_5CR= 'MONTHS AGO MAKE SURE HAD HEROIN'
   AK21_6CR= 'MONTHS AGO MAKE SURE HAD NARCOTICS'
   AK21_7CR= 'MONTHS AGO MAKE SURE HAD SEDATIVES'
   AK21_8CR= 'MONTHS AGO MAKE SURE HAD STIMULANTS'
   AK22_1CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR ALCOHOL'
   AK22_2CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR MARIJUANA'
   AK22_4CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR COCAINE/CRACK'
   AK22_5CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR HEROIN'
   AK22_6CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR NARCOTICS'
   AK22_7CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR SEDATIVES'
   AK22_8CR= 'MONTHS AGO GIVE UP ACTIVITIES FOR STIMULANTS'
   HLTHINS = 'HEALTH INSURANCE'
   FTWORK  = 'WEEKS FULL-TIME WORK YEARS BEFORE TREATMENT'
   MSTAT   = 'MARITAL STATUS'
   INSCHOOL= 'CURRENTLY IN SCHOOL'
   RACE    = 'RACE & ETHNICITY'
   EDLEV   = 'HIGHEST GRADE ATTENDED'
   RACESEX = 'ETHNICITY & GENDER'
   HVY_ALC = 'HEAVY ALCOHOL USE'
   ALCR    = 'ALCOHOL USE YEARS BEFORE TREATMENT'
   MRJR    = 'MARIJUANA USE YEARS BEFORE TREATMENT'
   COCR    = 'COCAINE USE YEARS BEFORE TREATMENT'
   HERR    = 'HEROIN USE YEARS BEFORE TREATMENT'
   NARR    = 'OTHER OPIOID USE YEARS BEFORE TREATMENT'
   SEDR    = 'SEDATIVES YEARS BEFORE TREATMENT'
   AMPR    = 'AMPHETAMINE USE YEARS BEFORE TREATMENT'
   HALR    = 'HALLUCINOGENS YEARS BEFORE TREATMENT'
   INHR    = 'INHALANTS YEARS BEFORE TREATMENT'
   ALCWK   = 'ALCOHOL WEEKLY+ YEARS BEFORE TREATMENT'
   MRJWK   = 'MARIJUANA WEEKLY+ YEARS BEFORE TREATMENT'
   COCWK   = 'COCAINE WEEKLY+ YEARS BEFORE TREATMENT'
   HERWK   = 'HEROIN WEEKLY+ YEARS BEFORE TREATMENT'
   NARWK   = 'OTHER OPIOIDS WEEKLY+ YEARS BEFORE TREATMENT'
   SEDWK   = 'SEDATIVES WEEKLY+ YEARS BEFORE TREATMENT'
   AMPWK   = 'AMPHETAMINE WEEKLY+ YEARS BEFORE TREATMENT'
   HALWK   = 'HALLUCINOGEN WEEKLY+ YEARS BEFORE TREATMENT'
   INHWK   = 'INHALANTS WEEKLY+ YEARS BEFORE TREATMENT'
   MRJ_EV  = 'MARIJUANA - EVER USED'
   COC_EV  = 'COCAINE EVER USED'
   HER_EV  = 'HEROIN - EVER USED'
   NAR_EV  = 'OTHER OPIOIDS EVER USED'
   SED_EV  = 'SEDATIVES EVER USED'
   AMP_EV  = 'AMPHETAMINES EVER USED'
   HAL_EV  = 'HALLUCINOGENS - EVER USED'
   INH_EV  = 'INHALANTS - EVER USED'
   CJ_STAT = 'CRIMINAL JUSTICE STATUS'
   IAY_SIA = 'SERIOUS ILLEGAL ACTS YEARS BEFORE TREATMENT'
   MAJSRC  = 'MAJOR SOURCE OF INCOME'
   REFER   = 'REFERRAL SOURCE'
   RESTRICT= 'WEEKS RESTRICTED IN YEARS BEFORE TREATMENT'
   DRUGTX  = '# OF PRIOR DRUG TX'
   SCHOOL  = 'SCHOOL STATUS AT INTAKE'
   DEP_YR  = 'DEPRESSIVE SYMPTOMS YEARS BEFORE TREATMENT'
   EMPSTAT = 'EMPLOYMENT WK BF/ADMISSION'
   IAPY    = 'FREQUENCY OF ILLEGAL ACTIVITY YEARS BEFORE TREATMENT'
   PDT     = 'PRIOR DRUG TREATMENTS'
   CRKR    = 'CRACK USE YEARS BEFORE TREATMENT'
   CRKWK   = 'CRACK WEEKLY+ YEARS BEFORE TREATMENT'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (ADC1 <= -1) THEN ADC1 = .;
   IF (ADC3 <= -1) THEN ADC3 = .;
   IF (AA4 <= -1) THEN AA4 = .;
   IF (AA4A <= -1) THEN AA4A = .;
   IF (AA4B <= -1) THEN AA4B = .;
   IF (AA8 <= -1) THEN AA8 = .;
   IF (AA9 <= -1) THEN AA9 = .;
   IF (AA9A <= -1) THEN AA9A = .;
   IF (AA9B <= -1) THEN AA9B = .;
   IF (AA10 <= -1) THEN AA10 = .;
   IF (AA10B <= -1) THEN AA10B = .;
   IF (AA11_3 <= -1) THEN AA11_3 = .;
   IF (AA12 <= -1) THEN AA12 = .;
   IF (AA13 <= -1) THEN AA13 = .;
   IF (AA14_1 <= -1) THEN AA14_1 = .;
   IF (AA14_2 <= -1) THEN AA14_2 = .;
   IF (AA14_3 <= -1) THEN AA14_3 = .;
   IF (AA14_4 <= -1) THEN AA14_4 = .;
   IF (AA14_5 <= -1) THEN AA14_5 = .;
   IF (AA14_6 <= -1) THEN AA14_6 = .;
   IF (AA15 <= -1) THEN AA15 = .;
   IF (AA15B <= -1) THEN AA15B = .;
   IF (AA16 <= -1) THEN AA16 = .;
   IF (AA17_3 <= -1) THEN AA17_3 = .;
   IF (AB1 <= -1) THEN AB1 = .;
   IF (AB1A <= -1) THEN AB1A = .;
   IF (AB1B <= -1) THEN AB1B = .;
   IF (AB1C <= -1) THEN AB1C = .;
   IF (AB2 <= -1) THEN AB2 = .;
   IF (AB2A <= -1) THEN AB2A = .;
   IF (AB3_1 <= -1) THEN AB3_1 = .;
   IF (AB3_2 <= -1) THEN AB3_2 = .;
   IF (AB3_3 <= -1) THEN AB3_3 = .;
   IF (AB3_4 <= -1) THEN AB3_4 = .;
   IF (AB3_5 <= -1) THEN AB3_5 = .;
   IF (AB3_6 <= -1) THEN AB3_6 = .;
   IF (AB3_7 <= -1) THEN AB3_7 = .;
   IF (AB4 <= -1) THEN AB4 = .;
   IF (AB4A <= -1) THEN AB4A = .;
   IF (AB4B <= -1) THEN AB4B = .;
   IF (AB5 <= -1) THEN AB5 = .;
   IF (AB5A <= -1) THEN AB5A = .;
   IF (AB6 <= -1) THEN AB6 = .;
   IF (AB6A <= -1) THEN AB6A = .;
   IF (AB7 <= -1) THEN AB7 = .;
   IF (AB7A <= -1) THEN AB7A = .;
   IF (AB7B <= -1) THEN AB7B = .;
   IF (AB7C <= -1) THEN AB7C = .;
   IF (AB7D <= -1) THEN AB7D = .;
   IF (AB7E <= -1) THEN AB7E = .;
   IF (AB8 <= -1) THEN AB8 = .;
   IF (AB8A <= -1) THEN AB8A = .;
   IF (AB8B <= -1) THEN AB8B = .;
   IF (AB8C <= -1) THEN AB8C = .;
   IF (AB9 <= -1) THEN AB9 = .;
   IF (AB10A <= -1) THEN AB10A = .;
   IF (AB10B <= -1) THEN AB10B = .;
   IF (AB11 <= -1) THEN AB11 = .;
   IF (AC1 <= -1) THEN AC1 = .;
   IF (AC1A1 <= -1) THEN AC1A1 = .;
   IF (AC1A3 <= -1) THEN AC1A3 = .;
   IF (AC1B1 <= -1) THEN AC1B1 = .;
   IF (AC1B3 <= -1) THEN AC1B3 = .;
   IF (AC2_1 <= -1) THEN AC2_1 = .;
   IF (AC2_1CT <= -1) THEN AC2_1CT = .;
   IF (AC2A1 <= -1) THEN AC2A1 = .;
   IF (AC2A1CT <= -1) THEN AC2A1CT = .;
   IF (AC2A2 <= -1) THEN AC2A2 = .;
   IF (AC2A2CT <= -1) THEN AC2A2CT = .;
   IF (AC2A3 <= -1) THEN AC2A3 = .;
   IF (AC2A3CT <= -1) THEN AC2A3CT = .;
   IF (AC3 <= -1) THEN AC3 = .;
   IF (AC3A <= -1) THEN AC3A = .;
   IF (AC4 <= -1) THEN AC4 = .;
   IF (AC4A1 <= -1) THEN AC4A1 = .;
   IF (AC4A2 <= -1) THEN AC4A2 = .;
   IF (AC5 <= -1) THEN AC5 = .;
   IF (AC6 <= -1) THEN AC6 = .;
   IF (AC6A <= -1) THEN AC6A = .;
   IF (AC7 <= -1) THEN AC7 = .;
   IF (AC7A_2 <= -1) THEN AC7A_2 = .;
   IF (AC7A_3 <= -1) THEN AC7A_3 = .;
   IF (AC7A_4 <= -1) THEN AC7A_4 = .;
   IF (AC7A_5 <= -1) THEN AC7A_5 = .;
   IF (AC7A_6 <= -1) THEN AC7A_6 = .;
   IF (AC7A_7 <= -1) THEN AC7A_7 = .;
   IF (AC7B <= -1) THEN AC7B = .;
   IF (AC7C <= -1) THEN AC7C = .;
   IF (AC7D <= -1) THEN AC7D = .;
   IF (AC7E <= -1) THEN AC7E = .;
   IF (AC8_0 <= -1) THEN AC8_0 = .;
   IF (AC8_1 <= -1) THEN AC8_1 = .;
   IF (AC8_2 <= -1) THEN AC8_2 = .;
   IF (AC8_3 <= -1) THEN AC8_3 = .;
   IF (AC8_4 <= -1) THEN AC8_4 = .;
   IF (AC8_5 <= -1) THEN AC8_5 = .;
   IF (AC8_6 <= -1) THEN AC8_6 = .;
   IF (AC8_7 <= -1) THEN AC8_7 = .;
   IF (AC8_8 <= -1) THEN AC8_8 = .;
   IF (AC8_9 <= -1) THEN AC8_9 = .;
   IF (AC9 <= -1) THEN AC9 = .;
   IF (AC9A <= -1) THEN AC9A = .;
   IF (AC9B <= -1) THEN AC9B = .;
   IF (AC9C <= -1) THEN AC9C = .;
   IF (AC9D <= -1) THEN AC9D = .;
   IF (AC9E <= -1) THEN AC9E = .;
   IF (AC10 <= -1) THEN AC10 = .;
   IF (AC11 <= -1) THEN AC11 = .;
   IF (AD1 <= -1) THEN AD1 = .;
   IF (AD1A <= -1) THEN AD1A = .;
   IF (AD2 <= -1) THEN AD2 = .;
   IF (AD2A <= -1) THEN AD2A = .;
   IF (AD2B <= -1) THEN AD2B = .;
   IF (AD3 <= -1) THEN AD3 = .;
   IF (AD3A <= -1) THEN AD3A = .;
   IF (AD3B <= -1) THEN AD3B = .;
   IF (AD4 <= -1) THEN AD4 = .;
   IF (AD4A <= -1) THEN AD4A = .;
   IF (AD4B <= -1) THEN AD4B = .;
   IF (AD5 <= -1) THEN AD5 = .;
   IF (AD5A <= -1) THEN AD5A = .;
   IF (AD6 <= -1) THEN AD6 = .;
   IF (AD7 <= -1) THEN AD7 = .;
   IF (AD8 <= -1) THEN AD8 = .;
   IF (AD8A <= -1) THEN AD8A = .;
   IF (AD9 <= -1) THEN AD9 = .;
   IF (AD9A <= -1) THEN AD9A = .;
   IF (AD9B <= -1) THEN AD9B = .;
   IF (AD9C <= -1) THEN AD9C = .;
   IF (AD9D <= -1) THEN AD9D = .;
   IF (AD9E <= -1) THEN AD9E = .;
   IF (AD9F <= -1) THEN AD9F = .;
   IF (AD10 <= -1) THEN AD10 = .;
   IF (AD10A <= -1) THEN AD10A = .;
   IF (AD10B <= -1) THEN AD10B = .;
   IF (AD10C <= -1) THEN AD10C = .;
   IF (AD10D <= -1) THEN AD10D = .;
   IF (AD11 <= -1) THEN AD11 = .;
   IF (AD12 <= -1) THEN AD12 = .;
   IF (AD13 <= -1) THEN AD13 = .;
   IF (AD13A <= -1) THEN AD13A = .;
   IF (AD14A <= -1) THEN AD14A = .;
   IF (AD14B <= -1) THEN AD14B = .;
   IF (AD14C <= -1) THEN AD14C = .;
   IF (AD14D <= -1) THEN AD14D = .;
   IF (AD14E <= -1) THEN AD14E = .;
   IF (AD15 <= -1) THEN AD15 = .;
   IF (AD15A <= -1) THEN AD15A = .;
   IF (AD16 <= -1) THEN AD16 = .;
   IF (AD16A <= -1) THEN AD16A = .;
   IF (AD17 <= -1) THEN AD17 = .;
   IF (AD17A <= -1) THEN AD17A = .;
   IF (AD17B3 <= -1) THEN AD17B3 = .;
   IF (AD18 <= -1) THEN AD18 = .;
   IF (AD18A <= -1) THEN AD18A = .;
   IF (AD19 <= -1) THEN AD19 = .;
   IF (AD19A <= -1) THEN AD19A = .;
   IF (AD20_0 <= -1) THEN AD20_0 = .;
   IF (AD20_1 <= -1) THEN AD20_1 = .;
   IF (AD20_2 <= -1) THEN AD20_2 = .;
   IF (AD20_3 <= -1) THEN AD20_3 = .;
   IF (AE1 <= -1) THEN AE1 = .;
   IF (AE1A <= -1) THEN AE1A = .;
   IF (AE1B <= -1) THEN AE1B = .;
   IF (AE1C <= -1) THEN AE1C = .;
   IF (AE1D <= -1) THEN AE1D = .;
   IF (AE1E <= -1) THEN AE1E = .;
   IF (AE1F <= -1) THEN AE1F = .;
   IF (AE1G <= -1) THEN AE1G = .;
   IF (AE2 <= -1) THEN AE2 = .;
   IF (AE2A <= -1) THEN AE2A = .;
   IF (AE2B <= -1) THEN AE2B = .;
   IF (AE2C <= -1) THEN AE2C = .;
   IF (AE2D <= -1) THEN AE2D = .;
   IF (AE2E <= -1) THEN AE2E = .;
   IF (AE2F3 <= -1) THEN AE2F3 = .;
   IF (AE2G <= -1) THEN AE2G = .;
   IF (AE2H <= -1) THEN AE2H = .;
   IF (AE2I <= -1) THEN AE2I = .;
   IF (AE2J3 <= -1) THEN AE2J3 = .;
   IF (AE2K <= -1) THEN AE2K = .;
   IF (AE2L <= -1) THEN AE2L = .;
   IF (AE2M <= -1) THEN AE2M = .;
   IF (AE2N <= -1) THEN AE2N = .;
   IF (AE2O <= -1) THEN AE2O = .;
   IF (AE2P <= -1) THEN AE2P = .;
   IF (AE2Q <= -1) THEN AE2Q = .;
   IF (AE2R <= -1) THEN AE2R = .;
   IF (AE2S <= -1) THEN AE2S = .;
   IF (AE3 <= -1) THEN AE3 = .;
   IF (AE3A <= -1) THEN AE3A = .;
   IF (AE3B <= -1) THEN AE3B = .;
   IF (AE3C <= -1) THEN AE3C = .;
   IF (AE3D <= -1) THEN AE3D = .;
   IF (AE3E <= -1) THEN AE3E = .;
   IF (AE3F3 <= -1) THEN AE3F3 = .;
   IF (AE3G <= -1) THEN AE3G = .;
   IF (AE3H <= -1) THEN AE3H = .;
   IF (AE3I <= -1) THEN AE3I = .;
   IF (AE3J3 <= -1) THEN AE3J3 = .;
   IF (AE3K <= -1) THEN AE3K = .;
   IF (AE3L <= -1) THEN AE3L = .;
   IF (AE3M <= -1) THEN AE3M = .;
   IF (AE3N <= -1) THEN AE3N = .;
   IF (AE3O <= -1) THEN AE3O = .;
   IF (AE3P <= -1) THEN AE3P = .;
   IF (AE3Q <= -1) THEN AE3Q = .;
   IF (AE3R <= -1) THEN AE3R = .;
   IF (AE3S <= -1) THEN AE3S = .;
   IF (AE3T <= -1) THEN AE3T = .;
   IF (AE4 <= -1) THEN AE4 = .;
   IF (AE4A1 <= -1) THEN AE4A1 = .;
   IF (AE4A2 <= -1) THEN AE4A2 = .;
   IF (AE4A3 <= -1) THEN AE4A3 = .;
   IF (AE4B <= -1) THEN AE4B = .;
   IF (AE5 <= -1) THEN AE5 = .;
   IF (AE5A <= -1) THEN AE5A = .;
   IF (AE5B <= -1) THEN AE5B = .;
   IF (AE5C <= -1) THEN AE5C = .;
   IF (AE5D <= -1) THEN AE5D = .;
   IF (AE5E <= -1) THEN AE5E = .;
   IF (AE5F3 <= -1) THEN AE5F3 = .;
   IF (AE5G <= -1) THEN AE5G = .;
   IF (AE5H3 <= -1) THEN AE5H3 = .;
   IF (AE5I <= -1) THEN AE5I = .;
   IF (AE5J <= -1) THEN AE5J = .;
   IF (AE5K <= -1) THEN AE5K = .;
   IF (AE5L <= -1) THEN AE5L = .;
   IF (AE5M <= -1) THEN AE5M = .;
   IF (AE5N <= -1) THEN AE5N = .;
   IF (AE5O <= -1) THEN AE5O = .;
   IF (AE5P <= -1) THEN AE5P = .;
   IF (AE5Q <= -1) THEN AE5Q = .;
   IF (AE6 <= -1) THEN AE6 = .;
   IF (AE6A <= -1) THEN AE6A = .;
   IF (AE6BS1 <= -1) THEN AE6BS1 = .;
   IF (AE6BS2 <= -1) THEN AE6BS2 = .;
   IF (AE6BS3 <= -1) THEN AE6BS3 = .;
   IF (AE6BT1 <= -1) THEN AE6BT1 = .;
   IF (AE6BT2 <= -1) THEN AE6BT2 = .;
   IF (AE6BT3 <= -1) THEN AE6BT3 = .;
   IF (AE6C <= -1) THEN AE6C = .;
   IF (AE7 <= -1) THEN AE7 = .;
   IF (AE7A <= -1) THEN AE7A = .;
   IF (AE7B <= -1) THEN AE7B = .;
   IF (AE7C <= -1) THEN AE7C = .;
   IF (AE7D <= -1) THEN AE7D = .;
   IF (AE7E <= -1) THEN AE7E = .;
   IF (AE7F3 <= -1) THEN AE7F3 = .;
   IF (AE7G <= -1) THEN AE7G = .;
   IF (AE7H3 <= -1) THEN AE7H3 = .;
   IF (AE7I <= -1) THEN AE7I = .;
   IF (AE7J <= -1) THEN AE7J = .;
   IF (AE7K <= -1) THEN AE7K = .;
   IF (AE7L <= -1) THEN AE7L = .;
   IF (AE7M <= -1) THEN AE7M = .;
   IF (AE7N <= -1) THEN AE7N = .;
   IF (AE7O71 <= -1) THEN AE7O71 = .;
   IF (AE7O72 <= -1) THEN AE7O72 = .;
   IF (AE7O73 <= -1) THEN AE7O73 = .;
   IF (AE7O74 <= -1) THEN AE7O74 = .;
   IF (AE7P <= -1) THEN AE7P = .;
   IF (AE8 <= -1) THEN AE8 = .;
   IF (AE8A <= -1) THEN AE8A = .;
   IF (AE8B1 <= -1) THEN AE8B1 = .;
   IF (AE8B2 <= -1) THEN AE8B2 = .;
   IF (AE8B3 <= -1) THEN AE8B3 = .;
   IF (AE8C <= -1) THEN AE8C = .;
   IF (AE9 <= -1) THEN AE9 = .;
   IF (AE9A <= -1) THEN AE9A = .;
   IF (AE9B <= -1) THEN AE9B = .;
   IF (AE9C <= -1) THEN AE9C = .;
   IF (AE9D <= -1) THEN AE9D = .;
   IF (AE9E <= -1) THEN AE9E = .;
   IF (AE9F3 <= -1) THEN AE9F3 = .;
   IF (AE9G <= -1) THEN AE9G = .;
   IF (AE9H3 <= -1) THEN AE9H3 = .;
   IF (AE9I <= -1) THEN AE9I = .;
   IF (AE9J <= -1) THEN AE9J = .;
   IF (AE9K <= -1) THEN AE9K = .;
   IF (AE9L <= -1) THEN AE9L = .;
   IF (AE9M <= -1) THEN AE9M = .;
   IF (AE9N <= -1) THEN AE9N = .;
   IF (AE9O <= -1) THEN AE9O = .;
   IF (AE9P <= -1) THEN AE9P = .;
   IF (AE9Q <= -1) THEN AE9Q = .;
   IF (AE9R <= -1) THEN AE9R = .;
   IF (AE10 <= -1) THEN AE10 = .;
   IF (AE10A <= -1) THEN AE10A = .;
   IF (AE11 <= -1) THEN AE11 = .;
   IF (AE11A <= -1) THEN AE11A = .;
   IF (AE11B <= -1) THEN AE11B = .;
   IF (AE11C <= -1) THEN AE11C = .;
   IF (AE11D <= -1) THEN AE11D = .;
   IF (AE11E <= -1) THEN AE11E = .;
   IF (AE11F3 <= -1) THEN AE11F3 = .;
   IF (AE11G <= -1) THEN AE11G = .;
   IF (AE11H <= -1) THEN AE11H = .;
   IF (AE11I <= -1) THEN AE11I = .;
   IF (AE11J <= -1) THEN AE11J = .;
   IF (AE11K <= -1) THEN AE11K = .;
   IF (AE11L <= -1) THEN AE11L = .;
   IF (AE11M <= -1) THEN AE11M = .;
   IF (AE11N <= -1) THEN AE11N = .;
   IF (AE11O <= -1) THEN AE11O = .;
   IF (AE12 <= -1) THEN AE12 = .;
   IF (AE12A <= -1) THEN AE12A = .;
   IF (AE12B <= -1) THEN AE12B = .;
   IF (AE12C <= -1) THEN AE12C = .;
   IF (AE12D <= -1) THEN AE12D = .;
   IF (AE12E <= -1) THEN AE12E = .;
   IF (AE12F <= -1) THEN AE12F = .;
   IF (AE12G <= -1) THEN AE12G = .;
   IF (AE13 <= -1) THEN AE13 = .;
   IF (AE14 <= -1) THEN AE14 = .;
   IF (AE14A <= -1) THEN AE14A = .;
   IF (AE14B <= -1) THEN AE14B = .;
   IF (AE14C <= -1) THEN AE14C = .;
   IF (AE14D <= -1) THEN AE14D = .;
   IF (AE14E <= -1) THEN AE14E = .;
   IF (AE14F <= -1) THEN AE14F = .;
   IF (AE14G <= -1) THEN AE14G = .;
   IF (AE14H <= -1) THEN AE14H = .;
   IF (AE15 <= -1) THEN AE15 = .;
   IF (AE15A <= -1) THEN AE15A = .;
   IF (AE15B <= -1) THEN AE15B = .;
   IF (AE15C <= -1) THEN AE15C = .;
   IF (AE15D <= -1) THEN AE15D = .;
   IF (AE15E <= -1) THEN AE15E = .;
   IF (AE15F <= -1) THEN AE15F = .;
   IF (AE15G <= -1) THEN AE15G = .;
   IF (AE15H <= -1) THEN AE15H = .;
   IF (AE16 <= -1) THEN AE16 = .;
   IF (AE16A <= -1) THEN AE16A = .;
   IF (AE16B <= -1) THEN AE16B = .;
   IF (AE16C <= -1) THEN AE16C = .;
   IF (AE16D <= -1) THEN AE16D = .;
   IF (AE16E <= -1) THEN AE16E = .;
   IF (AE16F <= -1) THEN AE16F = .;
   IF (AE16G <= -1) THEN AE16G = .;
   IF (AE16H <= -1) THEN AE16H = .;
   IF (AE17 <= -1) THEN AE17 = .;
   IF (AE18 <= -1) THEN AE18 = .;
   IF (AE19 <= -1) THEN AE19 = .;
   IF (AE19A <= -1) THEN AE19A = .;
   IF (AE19B <= -1) THEN AE19B = .;
   IF (AE19C1 <= -1) THEN AE19C1 = .;
   IF (AE19C2 <= -1) THEN AE19C2 = .;
   IF (AE19C3 <= -1) THEN AE19C3 = .;
   IF (AE20 <= -1) THEN AE20 = .;
   IF (AE21 <= -1) THEN AE21 = .;
   IF (AE21A <= -1) THEN AE21A = .;
   IF (AE22 <= -1) THEN AE22 = .;
   IF (AE22A <= -1) THEN AE22A = .;
   IF (AE22B1 <= -1) THEN AE22B1 = .;
   IF (AE22B2 <= -1) THEN AE22B2 = .;
   IF (AE22B3 <= -1) THEN AE22B3 = .;
   IF (AE22B4 <= -1) THEN AE22B4 = .;
   IF (AE22B5 <= -1) THEN AE22B5 = .;
   IF (AE22B6 <= -1) THEN AE22B6 = .;
   IF (AE23 <= -1) THEN AE23 = .;
   IF (AE24A <= -1) THEN AE24A = .;
   IF (AE24B <= -1) THEN AE24B = .;
   IF (AE24C <= -1) THEN AE24C = .;
   IF (AE24D <= -1) THEN AE24D = .;
   IF (AE24E <= -1) THEN AE24E = .;
   IF (AE24F <= -1) THEN AE24F = .;
   IF (AE25 <= -1) THEN AE25 = .;
   IF (AE25A <= -1) THEN AE25A = .;
   IF (AE26A <= -1) THEN AE26A = .;
   IF (AE26AA <= -1) THEN AE26AA = .;
   IF (AE26AB <= -1) THEN AE26AB = .;
   IF (AE26AC <= -1) THEN AE26AC = .;
   IF (AE26AD1 <= -1) THEN AE26AD1 = .;
   IF (AE26AD2 <= -1) THEN AE26AD2 = .;
   IF (AE26AE <= -1) THEN AE26AE = .;
   IF (AE26B <= -1) THEN AE26B = .;
   IF (AE26BA <= -1) THEN AE26BA = .;
   IF (AE26BB <= -1) THEN AE26BB = .;
   IF (AE26BC <= -1) THEN AE26BC = .;
   IF (AE26BD1 <= -1) THEN AE26BD1 = .;
   IF (AE26BD2 <= -1) THEN AE26BD2 = .;
   IF (AE26BE <= -1) THEN AE26BE = .;
   IF (AE26C <= -1) THEN AE26C = .;
   IF (AE26CA <= -1) THEN AE26CA = .;
   IF (AE26CB <= -1) THEN AE26CB = .;
   IF (AE26CC <= -1) THEN AE26CC = .;
   IF (AE26CD1 <= -1) THEN AE26CD1 = .;
   IF (AE26CD2 <= -1) THEN AE26CD2 = .;
   IF (AE26CE <= -1) THEN AE26CE = .;
   IF (AE26D <= -1) THEN AE26D = .;
   IF (AE26DA <= -1) THEN AE26DA = .;
   IF (AE26DB <= -1) THEN AE26DB = .;
   IF (AE26DC <= -1) THEN AE26DC = .;
   IF (AE26DD1 <= -1) THEN AE26DD1 = .;
   IF (AE26DD2 <= -1) THEN AE26DD2 = .;
   IF (AE26DE <= -1) THEN AE26DE = .;
   IF (AE26E <= -1) THEN AE26E = .;
   IF (AE26EA <= -1) THEN AE26EA = .;
   IF (AE26EB <= -1) THEN AE26EB = .;
   IF (AE26EC <= -1) THEN AE26EC = .;
   IF (AE26ED1 <= -1) THEN AE26ED1 = .;
   IF (AE26ED2 <= -1) THEN AE26ED2 = .;
   IF (AE26EE <= -1) THEN AE26EE = .;
   IF (AE26F <= -1) THEN AE26F = .;
   IF (AE26FA <= -1) THEN AE26FA = .;
   IF (AE26FB <= -1) THEN AE26FB = .;
   IF (AE26FC <= -1) THEN AE26FC = .;
   IF (AE26FD1 <= -1) THEN AE26FD1 = .;
   IF (AE26FD2 <= -1) THEN AE26FD2 = .;
   IF (AE26FE <= -1) THEN AE26FE = .;
   IF (AE27_3 <= -1) THEN AE27_3 = .;
   IF (AE28 <= -1) THEN AE28 = .;
   IF (AE29 <= -1) THEN AE29 = .;
   IF (AE30 <= -1) THEN AE30 = .;
   IF (AE31 <= -1) THEN AE31 = .;
   IF (AE31A <= -1) THEN AE31A = .;
   IF (AE32 <= -1) THEN AE32 = .;
   IF (AE32A3 <= -1) THEN AE32A3 = .;
   IF (AE32B <= -1) THEN AE32B = .;
   IF (AE33 <= -1) THEN AE33 = .;
   IF (AE33AA <= -1) THEN AE33AA = .;
   IF (AE33BA <= -1) THEN AE33BA = .;
   IF (AE33CA <= -1) THEN AE33CA = .;
   IF (AE33AB <= -1) THEN AE33AB = .;
   IF (AE33BB <= -1) THEN AE33BB = .;
   IF (AE33CB <= -1) THEN AE33CB = .;
   IF (AE33AC <= -1) THEN AE33AC = .;
   IF (AE33BC <= -1) THEN AE33BC = .;
   IF (AE33CC <= -1) THEN AE33CC = .;
   IF (AE33AD <= -1) THEN AE33AD = .;
   IF (AE33BD <= -1) THEN AE33BD = .;
   IF (AE33CD <= -1) THEN AE33CD = .;
   IF (AE33AE <= -1) THEN AE33AE = .;
   IF (AE33BE <= -1) THEN AE33BE = .;
   IF (AE33CE <= -1) THEN AE33CE = .;
   IF (AF1 <= -1) THEN AF1 = .;
   IF (AF1A <= -1) THEN AF1A = .;
   IF (AF1B <= -1) THEN AF1B = .;
   IF (AF1C <= -1) THEN AF1C = .;
   IF (AF1D <= -1) THEN AF1D = .;
   IF (AF1E <= -1) THEN AF1E = .;
   IF (AF2 <= -1) THEN AF2 = .;
   IF (AF2A <= -1) THEN AF2A = .;
   IF (AF2B <= -1) THEN AF2B = .;
   IF (AF2C <= -1) THEN AF2C = .;
   IF (AF2D <= -1) THEN AF2D = .;
   IF (AF2E <= -1) THEN AF2E = .;
   IF (AF2F <= -1) THEN AF2F = .;
   IF (AF2G <= -1) THEN AF2G = .;
   IF (AF2H <= -1) THEN AF2H = .;
   IF (AF3 <= -1) THEN AF3 = .;
   IF (AF3A <= -1) THEN AF3A = .;
   IF (AF3B <= -1) THEN AF3B = .;
   IF (AF4 <= -1) THEN AF4 = .;
   IF (AF4A <= -1) THEN AF4A = .;
   IF (AF4B <= -1) THEN AF4B = .;
   IF (AF4C <= -1) THEN AF4C = .;
   IF (AF5 <= -1) THEN AF5 = .;
   IF (AF5A <= -1) THEN AF5A = .;
   IF (AF5B <= -1) THEN AF5B = .;
   IF (AF6 <= -1) THEN AF6 = .;
   IF (AF6A <= -1) THEN AF6A = .;
   IF (AF6B <= -1) THEN AF6B = .;
   IF (AF6C <= -1) THEN AF6C = .;
   IF (AF7 <= -1) THEN AF7 = .;
   IF (AF7A <= -1) THEN AF7A = .;
   IF (AF7B <= -1) THEN AF7B = .;
   IF (AF8 <= -1) THEN AF8 = .;
   IF (AF8A <= -1) THEN AF8A = .;
   IF (AF9 <= -1) THEN AF9 = .;
   IF (AF10 <= -1) THEN AF10 = .;
   IF (AF11 <= -1) THEN AF11 = .;
   IF (AF12 <= -1) THEN AF12 = .;
   IF (AF12A <= -1) THEN AF12A = .;
   IF (AF13A <= -1) THEN AF13A = .;
   IF (AF13B <= -1) THEN AF13B = .;
   IF (AF13C <= -1) THEN AF13C = .;
   IF (AF13D <= -1) THEN AF13D = .;
   IF (AF13E <= -1) THEN AF13E = .;
   IF (AF13F <= -1) THEN AF13F = .;
   IF (AF14 <= -1) THEN AF14 = .;
   IF (AF14A <= -1) THEN AF14A = .;
   IF (AF15 <= -1) THEN AF15 = .;
   IF (AF15A <= -1) THEN AF15A = .;
   IF (AF16 <= -1) THEN AF16 = .;
   IF (AF17A <= -1) THEN AF17A = .;
   IF (AF17B <= -1) THEN AF17B = .;
   IF (AF17C <= -1) THEN AF17C = .;
   IF (AF17D <= -1) THEN AF17D = .;
   IF (AF17E <= -1) THEN AF17E = .;
   IF (AF17F <= -1) THEN AF17F = .;
   IF (AF17G <= -1) THEN AF17G = .;
   IF (AF18 <= -1) THEN AF18 = .;
   IF (AF18A <= -1) THEN AF18A = .;
   IF (AF19 <= -1) THEN AF19 = .;
   IF (AF20 <= -1) THEN AF20 = .;
   IF (AF21 <= -1) THEN AF21 = .;
   IF (AF22 <= -1) THEN AF22 = .;
   IF (AF22A <= -1) THEN AF22A = .;
   IF (AF23 <= -1) THEN AF23 = .;
   IF (AF24 <= -1) THEN AF24 = .;
   IF (AF24AA <= -1) THEN AF24AA = .;
   IF (AF24BA <= -1) THEN AF24BA = .;
   IF (AF24AB <= -1) THEN AF24AB = .;
   IF (AF24BB <= -1) THEN AF24BB = .;
   IF (AF24AC <= -1) THEN AF24AC = .;
   IF (AF24BC <= -1) THEN AF24BC = .;
   IF (AF24AD <= -1) THEN AF24AD = .;
   IF (AF24BD <= -1) THEN AF24BD = .;
   IF (AF24AE <= -1) THEN AF24AE = .;
   IF (AF24BE <= -1) THEN AF24BE = .;
   IF (AG1 <= -1) THEN AG1 = .;
   IF (AG1A <= -1) THEN AG1A = .;
   IF (AG1B <= -1) THEN AG1B = .;
   IF (AG1C <= -1) THEN AG1C = .;
   IF (AG1D <= -1) THEN AG1D = .;
   IF (AG2 <= -1) THEN AG2 = .;
   IF (AG3 <= -1) THEN AG3 = .;
   IF (AG4 <= -1) THEN AG4 = .;
   IF (AG4A <= -1) THEN AG4A = .;
   IF (AG5 <= -1) THEN AG5 = .;
   IF (AG6 <= -1) THEN AG6 = .;
   IF (AG6A <= -1) THEN AG6A = .;
   IF (AG6B <= -1) THEN AG6B = .;
   IF (AG7_1 <= -1) THEN AG7_1 = .;
   IF (AG8_1 <= -1) THEN AG8_1 = .;
   IF (AG9_1 <= -1) THEN AG9_1 = .;
   IF (AG7_2 <= -1) THEN AG7_2 = .;
   IF (AG8_2 <= -1) THEN AG8_2 = .;
   IF (AG9_2 <= -1) THEN AG9_2 = .;
   IF (AG7_3 <= -1) THEN AG7_3 = .;
   IF (AG8_3 <= -1) THEN AG8_3 = .;
   IF (AG9_3 <= -1) THEN AG9_3 = .;
   IF (AG7_4 <= -1) THEN AG7_4 = .;
   IF (AG8_4 <= -1) THEN AG8_4 = .;
   IF (AG9_4 <= -1) THEN AG9_4 = .;
   IF (AG7_5 <= -1) THEN AG7_5 = .;
   IF (AG8_5 <= -1) THEN AG8_5 = .;
   IF (AG9_5 <= -1) THEN AG9_5 = .;
   IF (AG7_7 <= -1) THEN AG7_7 = .;
   IF (AG8_7 <= -1) THEN AG8_7 = .;
   IF (AG9_7 <= -1) THEN AG9_7 = .;
   IF (AG7_8 <= -1) THEN AG7_8 = .;
   IF (AG8_8 <= -1) THEN AG8_8 = .;
   IF (AG9_8 <= -1) THEN AG9_8 = .;
   IF (AG7_9 <= -1) THEN AG7_9 = .;
   IF (AG8_9 <= -1) THEN AG8_9 = .;
   IF (AG9_9 <= -1) THEN AG9_9 = .;
   IF (AG7_10 <= -1) THEN AG7_10 = .;
   IF (AG8_10 <= -1) THEN AG8_10 = .;
   IF (AG9_10 <= -1) THEN AG9_10 = .;
   IF (AG7_11 <= -1) THEN AG7_11 = .;
   IF (AG8_11 <= -1) THEN AG8_11 = .;
   IF (AG9_11 <= -1) THEN AG9_11 = .;
   IF (AG10 <= -1) THEN AG10 = .;
   IF (AG11 <= -1) THEN AG11 = .;
   IF (AG12 <= -1) THEN AG12 = .;
   IF (AG13 <= -1) THEN AG13 = .;
   IF (AG13A <= -1) THEN AG13A = .;
   IF (AG13B <= -1) THEN AG13B = .;
   IF (AG14 <= -1) THEN AG14 = .;
   IF (AG14A3 <= -1) THEN AG14A3 = .;
   IF (AG14B3 <= -1) THEN AG14B3 = .;
   IF (AG14C3 <= -1) THEN AG14C3 = .;
   IF (AG15 <= -1) THEN AG15 = .;
   IF (AG15A3 <= -1) THEN AG15A3 = .;
   IF (AG15B <= -1) THEN AG15B = .;
   IF (AG15C <= -1) THEN AG15C = .;
   IF (AG15D <= -1) THEN AG15D = .;
   IF (AG16 <= -1) THEN AG16 = .;
   IF (AG17 <= -1) THEN AG17 = .;
   IF (AG18 <= -1) THEN AG18 = .;
   IF (AG18A <= -1) THEN AG18A = .;
   IF (AG19 <= -1) THEN AG19 = .;
   IF (AG19A <= -1) THEN AG19A = .;
   IF (AG20 <= -1) THEN AG20 = .;
   IF (AG20A3 <= -1) THEN AG20A3 = .;
   IF (AG20B1 <= -1) THEN AG20B1 = .;
   IF (AG20B2 <= -1) THEN AG20B2 = .;
   IF (AG20B3 <= -1) THEN AG20B3 = .;
   IF (AG20B4 <= -1) THEN AG20B4 = .;
   IF (AG20B5 <= -1) THEN AG20B5 = .;
   IF (AG20B6 <= -1) THEN AG20B6 = .;
   IF (AG20B7 <= -1) THEN AG20B7 = .;
   IF (AG20C <= -1) THEN AG20C = .;
   IF (AG21 <= -1) THEN AG21 = .;
   IF (AH1 <= -1) THEN AH1 = .;
   IF (AH2 <= -1) THEN AH2 = .;
   IF (AH2A <= -1) THEN AH2A = .;
   IF (AH2B <= -1) THEN AH2B = .;
   IF (AH2C <= -1) THEN AH2C = .;
   IF (AH2D <= -1) THEN AH2D = .;
   IF (AH2E <= -1) THEN AH2E = .;
   IF (AH2F <= -1) THEN AH2F = .;
   IF (AH2G <= -1) THEN AH2G = .;
   IF (AH3 <= -1) THEN AH3 = .;
   IF (AH3_01 <= -1) THEN AH3_01 = .;
   IF (AH3_02 <= -1) THEN AH3_02 = .;
   IF (AH3_03 <= -1) THEN AH3_03 = .;
   IF (AH3_04 <= -1) THEN AH3_04 = .;
   IF (AH3_05 <= -1) THEN AH3_05 = .;
   IF (AH3_06 <= -1) THEN AH3_06 = .;
   IF (AH3_07 <= -1) THEN AH3_07 = .;
   IF (AH3B <= -1) THEN AH3B = .;
   IF (AH3C1 <= -1) THEN AH3C1 = .;
   IF (AH3C2 <= -1) THEN AH3C2 = .;
   IF (AH3C3 <= -1) THEN AH3C3 = .;
   IF (AH3C4 <= -1) THEN AH3C4 = .;
   IF (AH3C5 <= -1) THEN AH3C5 = .;
   IF (AH3C6 <= -1) THEN AH3C6 = .;
   IF (AH3C7 <= -1) THEN AH3C7 = .;
   IF (AH3C8 <= -1) THEN AH3C8 = .;
   IF (AH3C9 <= -1) THEN AH3C9 = .;
   IF (AH3C10 <= -1) THEN AH3C10 = .;
   IF (AH3C11 <= -1) THEN AH3C11 = .;
   IF (AH3D1 <= -1) THEN AH3D1 = .;
   IF (AH3D2 <= -1) THEN AH3D2 = .;
   IF (AH3D3 <= -1) THEN AH3D3 = .;
   IF (AH3D4 <= -1) THEN AH3D4 = .;
   IF (AH3D5 <= -1) THEN AH3D5 = .;
   IF (AH3D6 <= -1) THEN AH3D6 = .;
   IF (AH3D7 <= -1) THEN AH3D7 = .;
   IF (AH3D8 <= -1) THEN AH3D8 = .;
   IF (AH3D9 <= -1) THEN AH3D9 = .;
   IF (AH3D10 <= -1) THEN AH3D10 = .;
   IF (AH3D11 <= -1) THEN AH3D11 = .;
   IF (AH3D12 <= -1) THEN AH3D12 = .;
   IF (AH3D13 <= -1) THEN AH3D13 = .;
   IF (AH3D14 <= -1) THEN AH3D14 = .;
   IF (AH3D15 <= -1) THEN AH3D15 = .;
   IF (AH3D16 <= -1) THEN AH3D16 = .;
   IF (AH3D17 <= -1) THEN AH3D17 = .;
   IF (AH4 <= -1) THEN AH4 = .;
   IF (AH4A1 <= -1) THEN AH4A1 = .;
   IF (AH4A2 <= -1) THEN AH4A2 = .;
   IF (AH4A3 <= -1) THEN AH4A3 = .;
   IF (AH4B <= -1) THEN AH4B = .;
   IF (AH4C <= -1) THEN AH4C = .;
   IF (AH4D <= -1) THEN AH4D = .;
   IF (AH5 <= -1) THEN AH5 = .;
   IF (AH6 <= -1) THEN AH6 = .;
   IF (AH7 <= -1) THEN AH7 = .;
   IF (AH8 <= -1) THEN AH8 = .;
   IF (AH9 <= -1) THEN AH9 = .;
   IF (AH9A <= -1) THEN AH9A = .;
   IF (AH9B <= -1) THEN AH9B = .;
   IF (AH9B1 <= -1) THEN AH9B1 = .;
   IF (AH9C1 <= -1.0000) THEN AH9C1 = .;
   IF (AH9C2 <= -1) THEN AH9C2 = .;
   IF (AH9D3 <= -1) THEN AH9D3 = .;
   IF (AH9E <= -1) THEN AH9E = .;
   IF (AH10 <= -1) THEN AH10 = .;
   IF (AH10A <= -1) THEN AH10A = .;
   IF (AH10B <= -1) THEN AH10B = .;
   IF (AH10C1 <= -1.0000) THEN AH10C1 = .;
   IF (AH10C2 <= -1) THEN AH10C2 = .;
   IF (AH10D3 <= -1) THEN AH10D3 = .;
   IF (AH10E <= -1) THEN AH10E = .;
   IF (AH11_1 <= -1) THEN AH11_1 = .;
   IF (AH11_2 <= -1) THEN AH11_2 = .;
   IF (AH11_3 <= -1) THEN AH11_3 = .;
   IF (AH11A <= -1) THEN AH11A = .;
   IF (AH11B <= -1) THEN AH11B = .;
   IF (AH11C <= -1) THEN AH11C = .;
   IF (AH11D1 <= -1.0000) THEN AH11D1 = .;
   IF (AH11D2 <= -1) THEN AH11D2 = .;
   IF (AH12 <= -1) THEN AH12 = .;
   IF (AH13 <= -1) THEN AH13 = .;
   IF (AH14 <= -1) THEN AH14 = .;
   IF (AH14A <= -1) THEN AH14A = .;
   IF (AH15 <= -1) THEN AH15 = .;
   IF (AH15A <= -1) THEN AH15A = .;
   IF (AH15B <= -1) THEN AH15B = .;
   IF (AH16 <= -1) THEN AH16 = .;
   IF (AH16A <= -1) THEN AH16A = .;
   IF (AH16B <= -1) THEN AH16B = .;
   IF (AH17 <= -1) THEN AH17 = .;
   IF (AH17A <= -1) THEN AH17A = .;
   IF (AH17B <= -1) THEN AH17B = .;
   IF (AH17C <= -1) THEN AH17C = .;
   IF (AH17D <= -1) THEN AH17D = .;
   IF (AH17E <= -1) THEN AH17E = .;
   IF (AH18 <= -1) THEN AH18 = .;
   IF (AH18A <= -1) THEN AH18A = .;
   IF (AH18B3 <= -1) THEN AH18B3 = .;
   IF (AH19 <= -1) THEN AH19 = .;
   IF (AH19A <= -1) THEN AH19A = .;
   IF (AH20 <= -1) THEN AH20 = .;
   IF (AH21 <= -1) THEN AH21 = .;
   IF (AH22 <= -1) THEN AH22 = .;
   IF (AH22A <= -1) THEN AH22A = .;
   IF (AJ1A <= -1) THEN AJ1A = .;
   IF (AJ2A <= -1) THEN AJ2A = .;
   IF (AJ1B <= -1) THEN AJ1B = .;
   IF (AJ2B <= -1) THEN AJ2B = .;
   IF (AJ1C <= -1) THEN AJ1C = .;
   IF (AJ2C <= -1) THEN AJ2C = .;
   IF (AJ1D <= -1) THEN AJ1D = .;
   IF (AJ2D <= -1) THEN AJ2D = .;
   IF (AJ1E <= -1) THEN AJ1E = .;
   IF (AJ2E <= -1) THEN AJ2E = .;
   IF (AJ1F <= -1) THEN AJ1F = .;
   IF (AJ2F <= -1) THEN AJ2F = .;
   IF (AJ2_TOT <= -1) THEN AJ2_TOT = .;
   IF (AJ3 <= -1) THEN AJ3 = .;
   IF (AJ4 <= -1) THEN AJ4 = .;
   IF (AJ5 <= -1) THEN AJ5 = .;
   IF (AJ5A <= -1) THEN AJ5A = .;
   IF (AJ6 <= -1) THEN AJ6 = .;
   IF (AJ7A1 <= -1) THEN AJ7A1 = .;
   IF (AJ7A2 <= -1) THEN AJ7A2 = .;
   IF (AJ7B1 <= -1) THEN AJ7B1 = .;
   IF (AJ7B2 <= -1) THEN AJ7B2 = .;
   IF (AJ7C1 <= -1) THEN AJ7C1 = .;
   IF (AJ7C2 <= -1) THEN AJ7C2 = .;
   IF (AJ7D1 <= -1) THEN AJ7D1 = .;
   IF (AJ7D2 <= -1) THEN AJ7D2 = .;
   IF (AJ8 <= -1) THEN AJ8 = .;
   IF (AJ9 <= -1) THEN AJ9 = .;
   IF (AJ10 <= -1) THEN AJ10 = .;
   IF (AJ10A <= -1) THEN AJ10A = .;
   IF (AJ11 <= -1) THEN AJ11 = .;
   IF (AJ12 <= -1) THEN AJ12 = .;
   IF (AJ12A <= -1) THEN AJ12A = .;
   IF (AJ12B <= -1) THEN AJ12B = .;
   IF (AJ13 <= -1) THEN AJ13 = .;
   IF (AJ14 <= -1) THEN AJ14 = .;
   IF (AJ14A <= -1) THEN AJ14A = .;
   IF (AJ14B <= -1) THEN AJ14B = .;
   IF (AK1 <= -1) THEN AK1 = .;
   IF (AK2 <= -1) THEN AK2 = .;
   IF (AK12A1 <= -1) THEN AK12A1 = .;
   IF (AK12B1 <= -1) THEN AK12B1 = .;
   IF (AK12A2 <= -1) THEN AK12A2 = .;
   IF (AK12B2 <= -1) THEN AK12B2 = .;
   IF (AK12A4 <= -1) THEN AK12A4 = .;
   IF (AK12B4 <= -1) THEN AK12B4 = .;
   IF (AK12A5 <= -1) THEN AK12A5 = .;
   IF (AK12B5 <= -1) THEN AK12B5 = .;
   IF (AK12A6 <= -1) THEN AK12A6 = .;
   IF (AK12B6 <= -1) THEN AK12B6 = .;
   IF (AK12A7 <= -1) THEN AK12A7 = .;
   IF (AK12B7 <= -1) THEN AK12B7 = .;
   IF (AK12A8 <= -1) THEN AK12A8 = .;
   IF (AK12B8 <= -1) THEN AK12B8 = .;
   IF (AK3 <= -1) THEN AK3 = .;
   IF (AK3A1 <= -1) THEN AK3A1 = .;
   IF (AK3B1 <= -1) THEN AK3B1 = .;
   IF (AK3A2 <= -1) THEN AK3A2 = .;
   IF (AK3B2 <= -1) THEN AK3B2 = .;
   IF (AK3A4 <= -1) THEN AK3A4 = .;
   IF (AK3B4 <= -1) THEN AK3B4 = .;
   IF (AK3A5 <= -1) THEN AK3A5 = .;
   IF (AK3B5 <= -1) THEN AK3B5 = .;
   IF (AK3A6 <= -1) THEN AK3A6 = .;
   IF (AK3B6 <= -1) THEN AK3B6 = .;
   IF (AK3A7 <= -1) THEN AK3A7 = .;
   IF (AK3B7 <= -1) THEN AK3B7 = .;
   IF (AK3A8 <= -1) THEN AK3A8 = .;
   IF (AK3B8 <= -1) THEN AK3B8 = .;
   IF (AK4 <= -1) THEN AK4 = .;
   IF (AK4A1 <= -1) THEN AK4A1 = .;
   IF (AK4B1 <= -1) THEN AK4B1 = .;
   IF (AK4A2 <= -1) THEN AK4A2 = .;
   IF (AK4B2 <= -1) THEN AK4B2 = .;
   IF (AK4A4 <= -1) THEN AK4A4 = .;
   IF (AK4B4 <= -1) THEN AK4B4 = .;
   IF (AK4A5 <= -1) THEN AK4A5 = .;
   IF (AK4B5 <= -1) THEN AK4B5 = .;
   IF (AK4A6 <= -1) THEN AK4A6 = .;
   IF (AK4B6 <= -1) THEN AK4B6 = .;
   IF (AK4A7 <= -1) THEN AK4A7 = .;
   IF (AK4B7 <= -1) THEN AK4B7 = .;
   IF (AK4A8 <= -1) THEN AK4A8 = .;
   IF (AK4B8 <= -1) THEN AK4B8 = .;
   IF (AK5 <= -1) THEN AK5 = .;
   IF (AK6 <= -1) THEN AK6 = .;
   IF (AK56A1 <= -1) THEN AK56A1 = .;
   IF (AK56B1 <= -1) THEN AK56B1 = .;
   IF (AK56A2 <= -1) THEN AK56A2 = .;
   IF (AK56B2 <= -1) THEN AK56B2 = .;
   IF (AK56A4 <= -1) THEN AK56A4 = .;
   IF (AK56B4 <= -1) THEN AK56B4 = .;
   IF (AK56A5 <= -1) THEN AK56A5 = .;
   IF (AK56B5 <= -1) THEN AK56B5 = .;
   IF (AK56A6 <= -1) THEN AK56A6 = .;
   IF (AK56B6 <= -1) THEN AK56B6 = .;
   IF (AK56A7 <= -1) THEN AK56A7 = .;
   IF (AK56B7 <= -1) THEN AK56B7 = .;
   IF (AK56A8 <= -1) THEN AK56A8 = .;
   IF (AK56B8 <= -1) THEN AK56B8 = .;
   IF (AK7 <= -1) THEN AK7 = .;
   IF (AK8 <= -1) THEN AK8 = .;
   IF (AK78A1 <= -1) THEN AK78A1 = .;
   IF (AK78B1 <= -1) THEN AK78B1 = .;
   IF (AK78A2 <= -1) THEN AK78A2 = .;
   IF (AK78B2 <= -1) THEN AK78B2 = .;
   IF (AK78A4 <= -1) THEN AK78A4 = .;
   IF (AK78B4 <= -1) THEN AK78B4 = .;
   IF (AK78A5 <= -1) THEN AK78A5 = .;
   IF (AK78B5 <= -1) THEN AK78B5 = .;
   IF (AK78A6 <= -1) THEN AK78A6 = .;
   IF (AK78B6 <= -1) THEN AK78B6 = .;
   IF (AK78A7 <= -1) THEN AK78A7 = .;
   IF (AK78B7 <= -1) THEN AK78B7 = .;
   IF (AK78A8 <= -1) THEN AK78A8 = .;
   IF (AK78B8 <= -1) THEN AK78B8 = .;
   IF (AK9 <= -1) THEN AK9 = .;
   IF (AK9A1 <= -1) THEN AK9A1 = .;
   IF (AK9B1 <= -1) THEN AK9B1 = .;
   IF (AK9A2 <= -1) THEN AK9A2 = .;
   IF (AK9B2 <= -1) THEN AK9B2 = .;
   IF (AK9A4 <= -1) THEN AK9A4 = .;
   IF (AK9B4 <= -1) THEN AK9B4 = .;
   IF (AK9A5 <= -1) THEN AK9A5 = .;
   IF (AK9B5 <= -1) THEN AK9B5 = .;
   IF (AK9A6 <= -1) THEN AK9A6 = .;
   IF (AK9B6 <= -1) THEN AK9B6 = .;
   IF (AK9A7 <= -1) THEN AK9A7 = .;
   IF (AK9B7 <= -1) THEN AK9B7 = .;
   IF (AK9A8 <= -1) THEN AK9A8 = .;
   IF (AK9B8 <= -1) THEN AK9B8 = .;
   IF (AK10 <= -1) THEN AK10 = .;
   IF (AK10A <= -1) THEN AK10A = .;
   IF (AK10B <= -1) THEN AK10B = .;
   IF (AK10C <= -1) THEN AK10C = .;
   IF (AK11 <= -1) THEN AK11 = .;
   IF (AK12 <= -1) THEN AK12 = .;
   IF (AK13 <= -1) THEN AK13 = .;
   IF (AK13_1A <= -1) THEN AK13_1A = .;
   IF (AK13_1B <= -1) THEN AK13_1B = .;
   IF (AK13_1C <= -1) THEN AK13_1C = .;
   IF (AK13_1D <= -1) THEN AK13_1D = .;
   IF (AK13_3A <= -1) THEN AK13_3A = .;
   IF (AK13_3B <= -1) THEN AK13_3B = .;
   IF (AK13_3C <= -1) THEN AK13_3C = .;
   IF (AK13_3D <= -1) THEN AK13_3D = .;
   IF (AK13_4A <= -1) THEN AK13_4A = .;
   IF (AK13_4B <= -1) THEN AK13_4B = .;
   IF (AK13_4C <= -1) THEN AK13_4C = .;
   IF (AK13_4D <= -1) THEN AK13_4D = .;
   IF (AK13_5A <= -1) THEN AK13_5A = .;
   IF (AK13_5B <= -1) THEN AK13_5B = .;
   IF (AK13_5C <= -1) THEN AK13_5C = .;
   IF (AK13_5D <= -1) THEN AK13_5D = .;
   IF (AK13_6A <= -1) THEN AK13_6A = .;
   IF (AK13_6B <= -1) THEN AK13_6B = .;
   IF (AK13_6C <= -1) THEN AK13_6C = .;
   IF (AK13_6D <= -1) THEN AK13_6D = .;
   IF (AK13_7A <= -1) THEN AK13_7A = .;
   IF (AK13_7B <= -1) THEN AK13_7B = .;
   IF (AK13_7C <= -1) THEN AK13_7C = .;
   IF (AK13_7D <= -1) THEN AK13_7D = .;
   IF (AK14 <= -1) THEN AK14 = .;
   IF (AK14_1A <= -1) THEN AK14_1A = .;
   IF (AK14_1B <= -1) THEN AK14_1B = .;
   IF (AK14_1C <= -1) THEN AK14_1C = .;
   IF (AK14_2A <= -1) THEN AK14_2A = .;
   IF (AK14_2B <= -1) THEN AK14_2B = .;
   IF (AK14_2C <= -1) THEN AK14_2C = .;
   IF (AK14_4A <= -1) THEN AK14_4A = .;
   IF (AK14_4B <= -1) THEN AK14_4B = .;
   IF (AK14_4C <= -1) THEN AK14_4C = .;
   IF (AK14_5A <= -1) THEN AK14_5A = .;
   IF (AK14_5B <= -1) THEN AK14_5B = .;
   IF (AK14_5C <= -1) THEN AK14_5C = .;
   IF (AK14_6A <= -1) THEN AK14_6A = .;
   IF (AK14_6B <= -1) THEN AK14_6B = .;
   IF (AK14_6C <= -1) THEN AK14_6C = .;
   IF (AK14_7A <= -1) THEN AK14_7A = .;
   IF (AK14_7B <= -1) THEN AK14_7B = .;
   IF (AK14_7C <= -1) THEN AK14_7C = .;
   IF (AK14_8A <= -1) THEN AK14_8A = .;
   IF (AK14_8B <= -1) THEN AK14_8B = .;
   IF (AK14_8C <= -1) THEN AK14_8C = .;
   IF (AK15 <= -1) THEN AK15 = .;
   IF (AK15_1A <= -1) THEN AK15_1A = .;
   IF (AK15_1B <= -1) THEN AK15_1B = .;
   IF (AK15_1C <= -1) THEN AK15_1C = .;
   IF (AK15_1D <= -1) THEN AK15_1D = .;
   IF (AK15_2A <= -1) THEN AK15_2A = .;
   IF (AK15_2B <= -1) THEN AK15_2B = .;
   IF (AK15_2C <= -1) THEN AK15_2C = .;
   IF (AK15_2D <= -1) THEN AK15_2D = .;
   IF (AK15_4A <= -1) THEN AK15_4A = .;
   IF (AK15_4B <= -1) THEN AK15_4B = .;
   IF (AK15_4C <= -1) THEN AK15_4C = .;
   IF (AK15_4D <= -1) THEN AK15_4D = .;
   IF (AK15_5A <= -1) THEN AK15_5A = .;
   IF (AK15_5B <= -1) THEN AK15_5B = .;
   IF (AK15_5C <= -1) THEN AK15_5C = .;
   IF (AK15_5D <= -1) THEN AK15_5D = .;
   IF (AK15_6A <= -1) THEN AK15_6A = .;
   IF (AK15_6B <= -1) THEN AK15_6B = .;
   IF (AK15_6C <= -1) THEN AK15_6C = .;
   IF (AK15_6D <= -1) THEN AK15_6D = .;
   IF (AK15_7A <= -1) THEN AK15_7A = .;
   IF (AK15_7B <= -1) THEN AK15_7B = .;
   IF (AK15_7C <= -1) THEN AK15_7C = .;
   IF (AK15_7D <= -1) THEN AK15_7D = .;
   IF (AK15_8A <= -1) THEN AK15_8A = .;
   IF (AK15_8B <= -1) THEN AK15_8B = .;
   IF (AK15_8C <= -1) THEN AK15_8C = .;
   IF (AK15_8D <= -1) THEN AK15_8D = .;
   IF (AK16 <= -1) THEN AK16 = .;
   IF (AK16A1 <= -1) THEN AK16A1 = .;
   IF (AK16B1 <= -1) THEN AK16B1 = .;
   IF (AK16A2 <= -1) THEN AK16A2 = .;
   IF (AK16B2 <= -1) THEN AK16B2 = .;
   IF (AK16A4 <= -1) THEN AK16A4 = .;
   IF (AK16B4 <= -1) THEN AK16B4 = .;
   IF (AK16A5 <= -1) THEN AK16A5 = .;
   IF (AK16B5 <= -1) THEN AK16B5 = .;
   IF (AK16A6 <= -1) THEN AK16A6 = .;
   IF (AK16B6 <= -1) THEN AK16B6 = .;
   IF (AK16A7 <= -1) THEN AK16A7 = .;
   IF (AK16B7 <= -1) THEN AK16B7 = .;
   IF (AK16A8 <= -1) THEN AK16A8 = .;
   IF (AK16B8 <= -1) THEN AK16B8 = .;
   IF (AK17 <= -1) THEN AK17 = .;
   IF (AK17A1 <= -1) THEN AK17A1 = .;
   IF (AK17B1 <= -1) THEN AK17B1 = .;
   IF (AK17A2 <= -1) THEN AK17A2 = .;
   IF (AK17B2 <= -1) THEN AK17B2 = .;
   IF (AK17A4 <= -1) THEN AK17A4 = .;
   IF (AK17B4 <= -1) THEN AK17B4 = .;
   IF (AK17A5 <= -1) THEN AK17A5 = .;
   IF (AK17B5 <= -1) THEN AK17B5 = .;
   IF (AK17A6 <= -1) THEN AK17A6 = .;
   IF (AK17B6 <= -1) THEN AK17B6 = .;
   IF (AK17A7 <= -1) THEN AK17A7 = .;
   IF (AK17B7 <= -1) THEN AK17B7 = .;
   IF (AK17A8 <= -1) THEN AK17A8 = .;
   IF (AK17B8 <= -1) THEN AK17B8 = .;
   IF (AK18 <= -1) THEN AK18 = .;
   IF (AK18A <= -1) THEN AK18A = .;
   IF (AK18B <= -1) THEN AK18B = .;
   IF (AK18C <= -1) THEN AK18C = .;
   IF (AK19 <= -1) THEN AK19 = .;
   IF (AK19_1A <= -1) THEN AK19_1A = .;
   IF (AK19_1B <= -1) THEN AK19_1B = .;
   IF (AK19_1C <= -1) THEN AK19_1C = .;
   IF (AK19_1D <= -1) THEN AK19_1D = .;
   IF (AK19_3A <= -1) THEN AK19_3A = .;
   IF (AK19_3B <= -1) THEN AK19_3B = .;
   IF (AK19_3C <= -1) THEN AK19_3C = .;
   IF (AK19_3D <= -1) THEN AK19_3D = .;
   IF (AK19_4A <= -1) THEN AK19_4A = .;
   IF (AK19_4B <= -1) THEN AK19_4B = .;
   IF (AK19_4C <= -1) THEN AK19_4C = .;
   IF (AK19_4D <= -1) THEN AK19_4D = .;
   IF (AK19_5A <= -1) THEN AK19_5A = .;
   IF (AK19_5B <= -1) THEN AK19_5B = .;
   IF (AK19_5C <= -1) THEN AK19_5C = .;
   IF (AK19_5D <= -1) THEN AK19_5D = .;
   IF (AK19_6A <= -1) THEN AK19_6A = .;
   IF (AK19_6B <= -1) THEN AK19_6B = .;
   IF (AK19_6C <= -1) THEN AK19_6C = .;
   IF (AK19_6D <= -1) THEN AK19_6D = .;
   IF (AK19_7A <= -1) THEN AK19_7A = .;
   IF (AK19_7B <= -1) THEN AK19_7B = .;
   IF (AK19_7C <= -1) THEN AK19_7C = .;
   IF (AK19_7D <= -1) THEN AK19_7D = .;
   IF (AK20 <= -1) THEN AK20 = .;
   IF (AK20_1A <= -1) THEN AK20_1A = .;
   IF (AK20_1B <= -1) THEN AK20_1B = .;
   IF (AK20_1C <= -1) THEN AK20_1C = .;
   IF (AK20_2A <= -1) THEN AK20_2A = .;
   IF (AK20_2B <= -1) THEN AK20_2B = .;
   IF (AK20_2C <= -1) THEN AK20_2C = .;
   IF (AK20_4A <= -1) THEN AK20_4A = .;
   IF (AK20_4B <= -1) THEN AK20_4B = .;
   IF (AK20_4C <= -1) THEN AK20_4C = .;
   IF (AK20_5A <= -1) THEN AK20_5A = .;
   IF (AK20_5B <= -1) THEN AK20_5B = .;
   IF (AK20_5C <= -1) THEN AK20_5C = .;
   IF (AK20_6A <= -1) THEN AK20_6A = .;
   IF (AK20_6B <= -1) THEN AK20_6B = .;
   IF (AK20_6C <= -1) THEN AK20_6C = .;
   IF (AK20_7A <= -1) THEN AK20_7A = .;
   IF (AK20_7B <= -1) THEN AK20_7B = .;
   IF (AK20_7C <= -1) THEN AK20_7C = .;
   IF (AK20_8A <= -1) THEN AK20_8A = .;
   IF (AK20_8B <= -1) THEN AK20_8B = .;
   IF (AK20_8C <= -1) THEN AK20_8C = .;
   IF (AK21 <= -1) THEN AK21 = .;
   IF (AK21_1A <= -1) THEN AK21_1A = .;
   IF (AK21_1B3 <= -1) THEN AK21_1B3 = .;
   IF (AK21_1C <= -1) THEN AK21_1C = .;
   IF (AK21_2A <= -1) THEN AK21_2A = .;
   IF (AK212B3 <= -1) THEN AK212B3 = .;
   IF (AK21_2C <= -1) THEN AK21_2C = .;
   IF (AK21_4A <= -1) THEN AK21_4A = .;
   IF (AK21_4B3 <= -1) THEN AK21_4B3 = .;
   IF (AK21_4C <= -1) THEN AK21_4C = .;
   IF (AK21_5A <= -1) THEN AK21_5A = .;
   IF (AK21_5B3 <= -1) THEN AK21_5B3 = .;
   IF (AK21_5C <= -1) THEN AK21_5C = .;
   IF (AK21_6A <= -1) THEN AK21_6A = .;
   IF (AK21_6B3 <= -1) THEN AK21_6B3 = .;
   IF (AK21_6C <= -1) THEN AK21_6C = .;
   IF (AK21_7A <= -1) THEN AK21_7A = .;
   IF (AK21_7B3 <= -1) THEN AK21_7B3 = .;
   IF (AK21_7C <= -1) THEN AK21_7C = .;
   IF (AK21_8A <= -1) THEN AK21_8A = .;
   IF (AK21_8B3 <= -1) THEN AK21_8B3 = .;
   IF (AK21_8C <= -1) THEN AK21_8C = .;
   IF (AK22 <= -1) THEN AK22 = .;
   IF (AK22_1A <= -1) THEN AK22_1A = .;
   IF (AK22_1B <= -1) THEN AK22_1B = .;
   IF (AK22_1C <= -1) THEN AK22_1C = .;
   IF (AK22_2A <= -1) THEN AK22_2A = .;
   IF (AK22_2B <= -1) THEN AK22_2B = .;
   IF (AK22_2C <= -1) THEN AK22_2C = .;
   IF (AK22_4A <= -1) THEN AK22_4A = .;
   IF (AK22_4B <= -1) THEN AK22_4B = .;
   IF (AK22_4C <= -1) THEN AK22_4C = .;
   IF (AK22_5A <= -1) THEN AK22_5A = .;
   IF (AK22_5B <= -1) THEN AK22_5B = .;
   IF (AK22_5C <= -1) THEN AK22_5C = .;
   IF (AK22_6A <= -1) THEN AK22_6A = .;
   IF (AK22_6B <= -1) THEN AK22_6B = .;
   IF (AK22_6C <= -1) THEN AK22_6C = .;
   IF (AK22_7A <= -1) THEN AK22_7A = .;
   IF (AK22_7B <= -1) THEN AK22_7B = .;
   IF (AK22_7C <= -1) THEN AK22_7C = .;
   IF (AK22_8A <= -1) THEN AK22_8A = .;
   IF (AK22_8B <= -1) THEN AK22_8B = .;
   IF (AK22_8C <= -1) THEN AK22_8C = .;
   IF (AK23_A <= -1) THEN AK23_A = .;
   IF (AK23_B <= -1) THEN AK23_B = .;
   IF (AK23_C <= -1) THEN AK23_C = .;
   IF (AK23_D <= -1) THEN AK23_D = .;
   IF (AK23_E <= -1) THEN AK23_E = .;
   IF (AK23_F <= -1) THEN AK23_F = .;
   IF (AK23_G <= -1) THEN AK23_G = .;
   IF (AKDM <= -1) THEN AKDM = .;
   IF (AKTH <= -1) THEN AKTH = .;
   IF (AKTM <= -1) THEN AKTM = .;
   IF (AKAMPM <= -1) THEN AKAMPM = .;
   IF (AL1 <= -1) THEN AL1 = .;
   IF (AL2 <= -1) THEN AL2 = .;
   IF (AL2A <= -1) THEN AL2A = .;
   IF (AL3_1_1 <= -1) THEN AL3_1_1 = .;
   IF (AL3_1_2 <= -1) THEN AL3_1_2 = .;
   IF (AL3_2_1 <= -1) THEN AL3_2_1 = .;
   IF (AL3_2_2 <= -1) THEN AL3_2_2 = .;
   IF (AL3_3_1 <= -1) THEN AL3_3_1 = .;
   IF (AL3_3_2 <= -1) THEN AL3_3_2 = .;
   IF (AL3_4_1 <= -1) THEN AL3_4_1 = .;
   IF (AL3_4_2 <= -1) THEN AL3_4_2 = .;
   IF (AL4 <= -1) THEN AL4 = .;
   IF (AL4A1 <= -1) THEN AL4A1 = .;
   IF (AL4A2 <= -1) THEN AL4A2 = .;
   IF (AL4A3 <= -1) THEN AL4A3 = .;
   IF (AL4A4 <= -1) THEN AL4A4 = .;
   IF (AL4A5 <= -1) THEN AL4A5 = .;
   IF (AL4A6 <= -1) THEN AL4A6 = .;
   IF (AL5 <= -1) THEN AL5 = .;
   IF (AL6 <= -1) THEN AL6 = .;
   IF (AL6A1 <= -1) THEN AL6A1 = .;
   IF (AL6A2 <= -1) THEN AL6A2 = .;
   IF (AM1 <= -1) THEN AM1 = .;
   IF (AM2 <= -1) THEN AM2 = .;
   IF (AM3 <= -1) THEN AM3 = .;
   IF (AM4 <= -1) THEN AM4 = .;
   IF (AM5 <= -1) THEN AM5 = .;
   IF (AM6 <= -1) THEN AM6 = .;
   IF (AM7 <= -1) THEN AM7 = .;
   IF (AM8 <= -1) THEN AM8 = .;
   IF (AM9 <= -1) THEN AM9 = .;
   IF (AM10A <= -1) THEN AM10A = .;
   IF (AM10B <= -1) THEN AM10B = .;
   IF (AM11A <= -1) THEN AM11A = .;
   IF (AM11B <= -1) THEN AM11B = .;
   IF (AM11C <= -1) THEN AM11C = .;
   IF (AM12A <= -1) THEN AM12A = .;
   IF (AM12B <= -1) THEN AM12B = .;
   IF (AM12C <= -1) THEN AM12C = .;
   IF (AM12D <= -1) THEN AM12D = .;
   IF (AM12E <= -1) THEN AM12E = .;
   IF (AM13 <= -1) THEN AM13 = .;
   IF (AM14A <= -1) THEN AM14A = .;
   IF (AM14B <= -1) THEN AM14B = .;
   IF (AM14C <= -1) THEN AM14C = .;
   IF (AM15A <= -1) THEN AM15A = .;
   IF (AM15B <= -1) THEN AM15B = .;
   IF (AM16 <= -1) THEN AM16 = .;
   IF (AM17 <= -1) THEN AM17 = .;
   IF (AM18A <= -1) THEN AM18A = .;
   IF (AM18B <= -1) THEN AM18B = .;
   IF (AM18C <= -1) THEN AM18C = .;
   IF (AM19 <= -1) THEN AM19 = .;
   IF (AM20 <= -1) THEN AM20 = .;
   IF (AM21 <= -1) THEN AM21 = .;
   IF (IDATE_M <= -1) THEN IDATE_M = .;
   IF (IDATE_Y <= -1) THEN IDATE_Y = .;
   IF (AI1_1 <= -1) THEN AI1_1 = .;
   IF (AI1_2 <= -1) THEN AI1_2 = .;
   IF (AI1_3 <= -1) THEN AI1_3 = .;
   IF (AI1_4 <= -1) THEN AI1_4 = .;
   IF (AI2_1 <= -1) THEN AI2_1 = .;
   IF (AI2_2 <= -1) THEN AI2_2 = .;
   IF (AI2_3 <= -1) THEN AI2_3 = .;
   IF (AI2_4 <= -1) THEN AI2_4 = .;
   IF (AI3_1 <= -1) THEN AI3_1 = .;
   IF (AI3_2 <= -1) THEN AI3_2 = .;
   IF (AI3_3 <= -1) THEN AI3_3 = .;
   IF (AI3_4 <= -1) THEN AI3_4 = .;
   IF (AI4_1 <= -1) THEN AI4_1 = .;
   IF (AI4_2 <= -1) THEN AI4_2 = .;
   IF (AI4_3 <= -1) THEN AI4_3 = .;
   IF (AI4_4 <= -1) THEN AI4_4 = .;
   IF (AI5_1 <= -1) THEN AI5_1 = .;
   IF (AI5_2 <= -1) THEN AI5_2 = .;
   IF (AI5_3 <= -1) THEN AI5_3 = .;
   IF (AI5_4 <= -1) THEN AI5_4 = .;
   IF (AI6_1 <= -1) THEN AI6_1 = .;
   IF (AI6_2 <= -1) THEN AI6_2 = .;
   IF (AI6_3 <= -1) THEN AI6_3 = .;
   IF (AI6_4 <= -1) THEN AI6_4 = .;
   IF (AI7_1 <= -1) THEN AI7_1 = .;
   IF (AI7_2 <= -1) THEN AI7_2 = .;
   IF (AI7_3 <= -1) THEN AI7_3 = .;
   IF (AI7_4 <= -1) THEN AI7_4 = .;
   IF (AI8_1 <= -1) THEN AI8_1 = .;
   IF (AI8_2 <= -1) THEN AI8_2 = .;
   IF (AI8_3 <= -1) THEN AI8_3 = .;
   IF (AI8_4 <= -1) THEN AI8_4 = .;
   IF (AI9_1 <= -1) THEN AI9_1 = .;
   IF (AI9_2 <= -1) THEN AI9_2 = .;
   IF (AI9_3 <= -1) THEN AI9_3 = .;
   IF (AI9_4 <= -1) THEN AI9_4 = .;
   IF (AI10_1 <= -1) THEN AI10_1 = .;
   IF (AI10_2 <= -1) THEN AI10_2 = .;
   IF (AI10_3 <= -1) THEN AI10_3 = .;
   IF (AI10_4 <= -1) THEN AI10_4 = .;
   IF (AN1A <= -1) THEN AN1A = .;
   IF (AN1B <= -1) THEN AN1B = .;
   IF (AN1C <= -1) THEN AN1C = .;
   IF (AN1D <= -1) THEN AN1D = .;
   IF (AN1E <= -1) THEN AN1E = .;
   IF (AN1F <= -1) THEN AN1F = .;
   IF (AN2A <= -1) THEN AN2A = .;
   IF (AN2B <= -1) THEN AN2B = .;
   IF (AN2C <= -1) THEN AN2C = .;
   IF (AN2D <= -1) THEN AN2D = .;
   IF (AN2E <= -1) THEN AN2E = .;
   IF (AN2F <= -1) THEN AN2F = .;
   IF (AN2G <= -1) THEN AN2G = .;
   IF (AN2H <= -1) THEN AN2H = .;
   IF (AN2I <= -1) THEN AN2I = .;
   IF (AN2J <= -1) THEN AN2J = .;
   IF (AN2K <= -1) THEN AN2K = .;
   IF (AN2L <= -1) THEN AN2L = .;
   IF (AN2M <= -1) THEN AN2M = .;
   IF (AN2N <= -1) THEN AN2N = .;
   IF (AN3A <= -1) THEN AN3A = .;
   IF (AN4A <= -1) THEN AN4A = .;
   IF (AN3B <= -1) THEN AN3B = .;
   IF (AN4B <= -1) THEN AN4B = .;
   IF (AN3C <= -1) THEN AN3C = .;
   IF (AN4C <= -1) THEN AN4C = .;
   IF (AN3D <= -1) THEN AN3D = .;
   IF (AN4D <= -1) THEN AN4D = .;
   IF (AN3E <= -1) THEN AN3E = .;
   IF (AN4E <= -1) THEN AN4E = .;
   IF (AN3F <= -1) THEN AN3F = .;
   IF (AN4F <= -1) THEN AN4F = .;
   IF (AN3G <= -1) THEN AN3G = .;
   IF (AN4G <= -1) THEN AN4G = .;
   IF (AN3H <= -1) THEN AN3H = .;
   IF (AN4H <= -1) THEN AN4H = .;
   IF (AN3I <= -1) THEN AN3I = .;
   IF (AN4I <= -1) THEN AN4I = .;
   IF (AN3J <= -1) THEN AN3J = .;
   IF (AN4J <= -1) THEN AN4J = .;
   IF (AN5 <= -1) THEN AN5 = .;
   IF (AN6 <= -1) THEN AN6 = .;
   IF (AN7 <= -1) THEN AN7 = .;
   IF (AN8 <= -1) THEN AN8 = .;
   IF (AN9 <= -1) THEN AN9 = .;
   IF (AN10 <= -1) THEN AN10 = .;
   IF (AN11 <= -1) THEN AN11 = .;
   IF (AN12 <= -1) THEN AN12 = .;
   IF (AN13 <= -1) THEN AN13 = .;
   IF (AN14 <= -1) THEN AN14 = .;
   IF (AN15 <= -1) THEN AN15 = .;
   IF (AN16 <= -1) THEN AN16 = .;
   IF (AN17 <= -1) THEN AN17 = .;
   IF (AGE <= -1) THEN AGE = .;
   IF (AB7C_M <= -1) THEN AB7C_M = .;
   IF (AB7E_M <= -1) THEN AB7E_M = .;
   IF (AD2B_M <= -1) THEN AD2B_M = .;
   IF (AD3B_M <= -1) THEN AD3B_M = .;
   IF (AD4B_M <= -1) THEN AD4B_M = .;
   IF (AD9_M <= -1) THEN AD9_M = .;
   IF (AD10D_M <= -1) THEN AD10D_M = .;
   IF (AD16_M <= -1) THEN AD16_M = .;
   IF (AD17A_M <= -1) THEN AD17A_M = .;
   IF (AD18A_M <= -1) THEN AD18A_M = .;
   IF (AE1E_M <= -1) THEN AE1E_M = .;
   IF (AE1F_M <= -1) THEN AE1F_M = .;
   IF (AE2M_M <= -1) THEN AE2M_M = .;
   IF (AE2N_M <= -1) THEN AE2N_M = .;
   IF (AE2R_M <= -1) THEN AE2R_M = .;
   IF (AE3M_M <= -1) THEN AE3M_M = .;
   IF (AE3N_M <= -1) THEN AE3N_M = .;
   IF (AE3R_M <= -1) THEN AE3R_M = .;
   IF (AE5K_M <= -1) THEN AE5K_M = .;
   IF (AE5L_M <= -1) THEN AE5L_M = .;
   IF (AE5P_M <= -1) THEN AE5P_M = .;
   IF (AE7K_M <= -1) THEN AE7K_M = .;
   IF (AE7L_M <= -1) THEN AE7L_M = .;
   IF (AE9K_M <= -1) THEN AE9K_M = .;
   IF (AE9L_M <= -1) THEN AE9L_M = .;
   IF (AE9P_M <= -1) THEN AE9P_M = .;
   IF (AE11H_M <= -1) THEN AE11H_M = .;
   IF (AE11I_M <= -1) THEN AE11I_M = .;
   IF (AE11M_M <= -1) THEN AE11M_M = .;
   IF (AE12E_M <= -1) THEN AE12E_M = .;
   IF (AE12F_M <= -1) THEN AE12F_M = .;
   IF (AE14E_M <= -1) THEN AE14E_M = .;
   IF (AE15E_M <= -1) THEN AE15E_M = .;
   IF (AE16E_M <= -1) THEN AE16E_M = .;
   IF (AE30_M <= -1) THEN AE30_M = .;
   IF (AE31A_M <= -1) THEN AE31A_M = .;
   IF (AE32B_M <= -1) THEN AE32B_M = .;
   IF (AF1E_M <= -1) THEN AF1E_M = .;
   IF (AF2H_M <= -1) THEN AF2H_M = .;
   IF (AF3A_M <= -1) THEN AF3A_M = .;
   IF (AF4B_M <= -1) THEN AF4B_M = .;
   IF (AF5B_M <= -1) THEN AF5B_M = .;
   IF (AF6C_M <= -1) THEN AF6C_M = .;
   IF (AF7B_M <= -1) THEN AF7B_M = .;
   IF (AF15_M <= -1) THEN AF15_M = .;
   IF (AF19_M <= -1) THEN AF19_M = .;
   IF (AG1B_M <= -1) THEN AG1B_M = .;
   IF (AG6B_M <= -1) THEN AG6B_M = .;
   IF (AG13B_M <= -1) THEN AG13B_M = .;
   IF (AG15B_M <= -1) THEN AG15B_M = .;
   IF (AG20C_M <= -1) THEN AG20C_M = .;
   IF (AH10_M <= -1) THEN AH10_M = .;
   IF (AH11A_M <= -1) THEN AH11A_M = .;
   IF (AH15B_M <= -1) THEN AH15B_M = .;
   IF (AH16B_M <= -1) THEN AH16B_M = .;
   IF (AH19A_M <= -1) THEN AH19A_M = .;
   IF (AJ12A_M <= -1) THEN AJ12A_M = .;
   IF (AK12B1_M <= -1) THEN AK12B1_M = .;
   IF (AK12B2_M <= -1) THEN AK12B2_M = .;
   IF (AK12B4_M <= -1) THEN AK12B4_M = .;
   IF (AK12B5_M <= -1) THEN AK12B5_M = .;
   IF (AK12B6_M <= -1) THEN AK12B6_M = .;
   IF (AK12B7_M <= -1) THEN AK12B7_M = .;
   IF (AK12B8_M <= -1) THEN AK12B8_M = .;
   IF (AK3B1_M <= -1) THEN AK3B1_M = .;
   IF (AK3B2_M <= -1) THEN AK3B2_M = .;
   IF (AK3B4_M <= -1) THEN AK3B4_M = .;
   IF (AK3B5_M <= -1) THEN AK3B5_M = .;
   IF (AK3B6_M <= -1) THEN AK3B6_M = .;
   IF (AK3B7_M <= -1) THEN AK3B7_M = .;
   IF (AK3B8_M <= -1) THEN AK3B8_M = .;
   IF (AK4B1_M <= -1) THEN AK4B1_M = .;
   IF (AK4B2_M <= -1) THEN AK4B2_M = .;
   IF (AK4B4_M <= -1) THEN AK4B4_M = .;
   IF (AK4B5_M <= -1) THEN AK4B5_M = .;
   IF (AK4B6_M <= -1) THEN AK4B6_M = .;
   IF (AK4B7_M <= -1) THEN AK4B7_M = .;
   IF (AK4B8_M <= -1) THEN AK4B8_M = .;
   IF (AK56B1_M <= -1) THEN AK56B1_M = .;
   IF (AK56B2_M <= -1) THEN AK56B2_M = .;
   IF (AK56B4_M <= -1) THEN AK56B4_M = .;
   IF (AK56B5_M <= -1) THEN AK56B5_M = .;
   IF (AK56B6_M <= -1) THEN AK56B6_M = .;
   IF (AK56B7_M <= -1) THEN AK56B7_M = .;
   IF (AK56B8_M <= -1) THEN AK56B8_M = .;
   IF (AK78B1_M <= -1) THEN AK78B1_M = .;
   IF (AK78B2_M <= -1) THEN AK78B2_M = .;
   IF (AK78B4_M <= -1) THEN AK78B4_M = .;
   IF (AK78B5_M <= -1) THEN AK78B5_M = .;
   IF (AK78B6_M <= -1) THEN AK78B6_M = .;
   IF (AK78B7_M <= -1) THEN AK78B7_M = .;
   IF (AK78B8_M <= -1) THEN AK78B8_M = .;
   IF (AK9B1_M <= -1) THEN AK9B1_M = .;
   IF (AK9B2_M <= -1) THEN AK9B2_M = .;
   IF (AK9B4_M <= -1) THEN AK9B4_M = .;
   IF (AK9B5_M <= -1) THEN AK9B5_M = .;
   IF (AK9B6_M <= -1) THEN AK9B6_M = .;
   IF (AK9B7_M <= -1) THEN AK9B7_M = .;
   IF (AK9B8_M <= -1) THEN AK9B8_M = .;
   IF (AK10C_M <= -1) THEN AK10C_M = .;
   IF (AK13_1DR <= -1) THEN AK13_1DR = .;
   IF (AK13_3DR <= -1) THEN AK13_3DR = .;
   IF (AK13_4DR <= -1) THEN AK13_4DR = .;
   IF (AK13_5DR <= -1) THEN AK13_5DR = .;
   IF (AK13_6DR <= -1) THEN AK13_6DR = .;
   IF (AK13_7DR <= -1) THEN AK13_7DR = .;
   IF (AK14_1CR <= -1) THEN AK14_1CR = .;
   IF (AK14_2CR <= -1) THEN AK14_2CR = .;
   IF (AK14_4CR <= -1) THEN AK14_4CR = .;
   IF (AK14_5CR <= -1) THEN AK14_5CR = .;
   IF (AK14_6CR <= -1) THEN AK14_6CR = .;
   IF (AK14_7CR <= -1) THEN AK14_7CR = .;
   IF (AK14_8CR <= -1) THEN AK14_8CR = .;
   IF (AK15_1DR <= -1) THEN AK15_1DR = .;
   IF (AK15_2DR <= -1) THEN AK15_2DR = .;
   IF (AK15_4DR <= -1) THEN AK15_4DR = .;
   IF (AK15_5DR <= -1) THEN AK15_5DR = .;
   IF (AK15_6DR <= -1) THEN AK15_6DR = .;
   IF (AK15_7DR <= -1) THEN AK15_7DR = .;
   IF (AK15_8DR <= -1) THEN AK15_8DR = .;
   IF (AK16B1_M <= -1) THEN AK16B1_M = .;
   IF (AK16B2_M <= -1) THEN AK16B2_M = .;
   IF (AK16B4_M <= -1) THEN AK16B4_M = .;
   IF (AK16B5_M <= -1) THEN AK16B5_M = .;
   IF (AK16B6_M <= -1) THEN AK16B6_M = .;
   IF (AK16B7_M <= -1) THEN AK16B7_M = .;
   IF (AK16B8_M <= -1) THEN AK16B8_M = .;
   IF (AK17B1_M <= -1) THEN AK17B1_M = .;
   IF (AK17B2_M <= -1) THEN AK17B2_M = .;
   IF (AK17B4_M <= -1) THEN AK17B4_M = .;
   IF (AK17B5_M <= -1) THEN AK17B5_M = .;
   IF (AK17B6_M <= -1) THEN AK17B6_M = .;
   IF (AK17B7_M <= -1) THEN AK17B7_M = .;
   IF (AK17B8_M <= -1) THEN AK17B8_M = .;
   IF (AK19_1DR <= -1) THEN AK19_1DR = .;
   IF (AK19_3DR <= -1) THEN AK19_3DR = .;
   IF (AK19_4DR <= -1) THEN AK19_4DR = .;
   IF (AK19_5DR <= -1) THEN AK19_5DR = .;
   IF (AK19_6DR <= -1) THEN AK19_6DR = .;
   IF (AK19_7DR <= -1) THEN AK19_7DR = .;
   IF (AK20_1CR <= -1) THEN AK20_1CR = .;
   IF (AK20_2CR <= -1) THEN AK20_2CR = .;
   IF (AK20_4CR <= -1) THEN AK20_4CR = .;
   IF (AK20_5CR <= -1) THEN AK20_5CR = .;
   IF (AK20_6CR <= -1) THEN AK20_6CR = .;
   IF (AK20_7CR <= -1) THEN AK20_7CR = .;
   IF (AK20_8CR <= -1) THEN AK20_8CR = .;
   IF (AK21_1CR <= -1) THEN AK21_1CR = .;
   IF (AK21_2CR <= -1) THEN AK21_2CR = .;
   IF (AK21_4CR <= -1) THEN AK21_4CR = .;
   IF (AK21_5CR <= -1) THEN AK21_5CR = .;
   IF (AK21_6CR <= -1) THEN AK21_6CR = .;
   IF (AK21_7CR <= -1) THEN AK21_7CR = .;
   IF (AK21_8CR <= -1) THEN AK21_8CR = .;
   IF (AK22_1CR <= -1) THEN AK22_1CR = .;
   IF (AK22_2CR <= -1) THEN AK22_2CR = .;
   IF (AK22_4CR <= -1) THEN AK22_4CR = .;
   IF (AK22_5CR <= -1) THEN AK22_5CR = .;
   IF (AK22_6CR <= -1) THEN AK22_6CR = .;
   IF (AK22_7CR <= -1) THEN AK22_7CR = .;
   IF (AK22_8CR <= -1) THEN AK22_8CR = .;
   IF (HLTHINS <= -1) THEN HLTHINS = .;
   IF (FTWORK <= -1) THEN FTWORK = .;
   IF (MSTAT <= -1) THEN MSTAT = .;
   IF (INSCHOOL <= -1) THEN INSCHOOL = .;
   IF (EDLEV <= -1) THEN EDLEV = .;
   IF (HVY_ALC <= -1) THEN HVY_ALC = .;
   IF (ALCR <= -1) THEN ALCR = .;
   IF (MRJR <= -1) THEN MRJR = .;
   IF (COCR <= -1) THEN COCR = .;
   IF (HERR <= -1) THEN HERR = .;
   IF (NARR <= -1) THEN NARR = .;
   IF (SEDR <= -1) THEN SEDR = .;
   IF (AMPR <= -1) THEN AMPR = .;
   IF (HALR <= -1) THEN HALR = .;
   IF (INHR <= -1) THEN INHR = .;
   IF (ALCWK <= -1) THEN ALCWK = .;
   IF (MRJWK <= -1) THEN MRJWK = .;
   IF (COCWK <= -1) THEN COCWK = .;
   IF (HERWK <= -1) THEN HERWK = .;
   IF (NARWK <= -1) THEN NARWK = .;
   IF (SEDWK <= -1) THEN SEDWK = .;
   IF (AMPWK <= -1) THEN AMPWK = .;
   IF (HALWK <= -1) THEN HALWK = .;
   IF (INHWK <= -1) THEN INHWK = .;
   IF (MRJ_EV <= -1) THEN MRJ_EV = .;
   IF (COC_EV <= -1) THEN COC_EV = .;
   IF (HER_EV <= -1) THEN HER_EV = .;
   IF (NAR_EV <= -1) THEN NAR_EV = .;
   IF (SED_EV <= -1) THEN SED_EV = .;
   IF (AMP_EV <= -1) THEN AMP_EV = .;
   IF (HAL_EV <= -1) THEN HAL_EV = .;
   IF (INH_EV <= -1) THEN INH_EV = .;
   IF (CJ_STAT <= -1) THEN CJ_STAT = .;
   IF (IAY_SIA <= -1) THEN IAY_SIA = .;
   IF (MAJSRC <= -1) THEN MAJSRC = .;
   IF (REFER <= -1) THEN REFER = .;
   IF (RESTRICT <= -1) THEN RESTRICT = .;
   IF (DRUGTX <= -1) THEN DRUGTX = .;
   IF (SCHOOL <= -1) THEN SCHOOL = .;
   IF (DEP_YR <= -1) THEN DEP_YR = .;
   IF (IAPY <= -1) THEN IAPY = .;
   IF (PDT <= -1) THEN PDT = .;
   IF (CRKR <= -1) THEN CRKR = .;
   IF (CRKWK <= -1) THEN CRKWK = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT CASEID caseid. ADC1 adc1ffff. ADC3 adc3ffff.
         AA4 aa4fffff. AA4A aa4a. AA4B aa4b.
         AA8 aa8fffff. AA9 aa9fffff. AA9A aa9a.
         AA9B aa9b. AA10 aa10ffff. AA10B aa10b.
         AA11_3 aa11_3ff. AA12 aa12ffff. AA13 aa13ffff.
         AA14_1 aa14_1ff. AA14_2 aa14_2ff. AA14_3 aa14_3ff.
         AA14_4 aa14_4ff. AA14_5 aa14_5ff. AA14_6 aa14_6ff.
         AA15 aa15ffff. AA15B aa15b. AA16 aa16ffff.
         AA17_3 aa17_3ff. AB1 ab1fffff. AB1A ab1a.
         AB1B ab1b. AB1C ab1c. AB2 ab2fffff.
         AB2A ab2a. AB3_1 ab3_1fff. AB3_2 ab3_2fff.
         AB3_3 ab3_3fff. AB3_4 ab3_4fff. AB3_5 ab3_5fff.
         AB3_6 ab3_6fff. AB3_7 ab3_7fff. AB4 ab4fffff.
         AB4A ab4a. AB4B ab4b. AB5 ab5fffff.
         AB5A ab5a. AB6 ab6fffff. AB6A ab6a.
         AB7 ab7fffff. AB7A ab7a. AB7B ab7b.
         AB7C ab7c. AB7D ab7d. AB7E ab7e.
         AB8 ab8fffff. AB8A ab8a. AB8B ab8b.
         AB8C ab8c. AB9 ab9fffff. AB10 ab10ffff.
         AB10A ab10a. AB10B ab10b. AB11 ab11ffff.
         AC1 ac1fffff. AC1A1 ac1a1fff. AC1A3 ac1a3fff.
         AC1B1 ac1b1fff. AC1B3 ac1b3fff. AC2_1 ac2_1fff.
         AC2_1CT ac2_1ct. AC2A1 ac2a1fff. AC2A1CT ac2a1ct.
         AC2A2 ac2a2fff. AC2A2CT ac2a2ct. AC2A3 ac2a3fff.
         AC2A3CT ac2a3ct. AC3 ac3fffff. AC3A ac3a.
         AC4 ac4fffff. AC4A1 ac4a1fff. AC4A2 ac4a2fff.
         AC5 ac5fffff. AC6 ac6fffff. AC6A ac6a.
         AC7 ac7fffff. AC7A_2 ac7a_2ff. AC7A_3 ac7a_3ff.
         AC7A_4 ac7a_4ff. AC7A_5 ac7a_5ff. AC7A_6 ac7a_6ff.
         AC7A_7 ac7a_7ff. AC7B ac7b. AC7C ac7c.
         AC7D ac7d. AC7E ac7e. AC8_0 ac8_0fff.
         AC8_1 ac8_1fff. AC8_2 ac8_2fff. AC8_3 ac8_3fff.
         AC8_4 ac8_4fff. AC8_5 ac8_5fff. AC8_6 ac8_6fff.
         AC8_7 ac8_7fff. AC8_8 ac8_8fff. AC8_9 ac8_9fff.
         AC9 ac9fffff. AC9A ac9a. AC9B ac9b.
         AC9C ac9c. AC9D ac9d. AC9E ac9e.
         AC10 ac10ffff. AC11 ac11ffff. AD1 ad1fffff.
         AD1A ad1a. AD2 ad2fffff. AD2A ad2a.
         AD2B ad2b. AD3 ad3fffff. AD3A ad3a.
         AD3B ad3b. AD4 ad4fffff. AD4A ad4a.
         AD4B ad4b. AD5 ad5fffff. AD5A ad5a.
         AD6 ad6fffff. AD7 ad7fffff. AD8 ad8fffff.
         AD8A ad8a. AD9 ad9fffff. AD9A ad9a.
         AD9B ad9b. AD9C ad9c. AD9D ad9d.
         AD9E ad9e. AD9F ad9f. AD10 ad10ffff.
         AD10A ad10a. AD10B ad10b. AD10C ad10c.
         AD10D ad10d. AD11 ad11ffff. AD12 ad12ffff.
         AD13 ad13ffff. AD13A ad13a. AD14A ad14a.
         AD14B ad14b. AD14C ad14c. AD14D ad14d.
         AD14E ad14e. AD15 ad15ffff. AD15A ad15a.
         AD16 ad16ffff. AD16A ad16a. AD17 ad17ffff.
         AD17A ad17a. AD17B3 ad17b3ff. AD18 ad18ffff.
         AD18A ad18a. AD19 ad19ffff. AD19A ad19a.
         AD20_0 ad20_0ff. AD20_1 ad20_1ff. AD20_2 ad20_2ff.
         AD20_3 ad20_3ff. AE1 ae1fffff. AE1A ae1a.
         AE1B ae1b. AE1C ae1c. AE1D ae1d.
         AE1E ae1e. AE1F ae1f. AE1G ae1g.
         AE2 ae2fffff. AE2A ae2a. AE2B ae2b.
         AE2C ae2c. AE2D ae2d. AE2E ae2e.
         AE2F3 ae2f3fff. AE2G ae2g. AE2H ae2h.
         AE2I ae2i. AE2J3 ae2j3fff. AE2K ae2k.
         AE2L ae2l. AE2M ae2m. AE2N ae2n.
         AE2O ae2o. AE2P ae2p. AE2Q ae2q.
         AE2R ae2r. AE2S ae2s. AE3 ae3fffff.
         AE3A ae3a. AE3B ae3b. AE3C ae3c.
         AE3D ae3d. AE3E ae3e. AE3F3 ae3f3fff.
         AE3G ae3g. AE3H ae3h. AE3I ae3i.
         AE3J3 ae3j3fff. AE3K ae3k. AE3L ae3l.
         AE3M ae3m. AE3N ae3n. AE3O ae3o.
         AE3P ae3p. AE3Q ae3q. AE3R ae3r.
         AE3S ae3s. AE3T ae3t. AE4 ae4fffff.
         AE4A1 ae4a1fff. AE4A2 ae4a2fff. AE4A3 ae4a3fff.
         AE4B ae4b. AE5 ae5fffff. AE5A ae5a.
         AE5B ae5b. AE5C ae5c. AE5D ae5d.
         AE5E ae5e. AE5F3 ae5f3fff. AE5G ae5g.
         AE5H3 ae5h3fff. AE5I ae5i. AE5J ae5j.
         AE5K ae5k. AE5L ae5l. AE5M ae5m.
         AE5N ae5n. AE5O ae5o. AE5P ae5p.
         AE5Q ae5q. AE6 ae6fffff. AE6A ae6a.
         AE6BS1 ae6bs1ff. AE6BS2 ae6bs2ff. AE6BS3 ae6bs3ff.
         AE6BT1 ae6bt1ff. AE6BT2 ae6bt2ff. AE6BT3 ae6bt3ff.
         AE6C ae6c. AE7 ae7fffff. AE7A ae7a.
         AE7B ae7b. AE7C ae7c. AE7D ae7d.
         AE7E ae7e. AE7F3 ae7f3fff. AE7G ae7g.
         AE7H3 ae7h3fff. AE7I ae7i. AE7J ae7j.
         AE7K ae7k. AE7L ae7l. AE7M ae7m.
         AE7N ae7n. AE7O71 ae7o71ff. AE7O72 ae7o72ff.
         AE7O73 ae7o73ff. AE7O74 ae7o74ff. AE7P ae7p.
         AE8 ae8fffff. AE8A ae8a. AE8B1 ae8b1fff.
         AE8B2 ae8b2fff. AE8B3 ae8b3fff. AE8C ae8c.
         AE9 ae9fffff. AE9A ae9a. AE9B ae9b.
         AE9C ae9c. AE9D ae9d. AE9E ae9e.
         AE9F3 ae9f3fff. AE9G ae9g. AE9H3 ae9h3fff.
         AE9I ae9i. AE9J ae9j. AE9K ae9k.
         AE9L ae9l. AE9M ae9m. AE9N ae9n.
         AE9O ae9o. AE9P ae9p. AE9Q ae9q.
         AE9R ae9r. AE10 ae10ffff. AE10A ae10a.
         AE11 ae11ffff. AE11A ae11a. AE11B ae11b.
         AE11C ae11c. AE11D ae11d. AE11E ae11e.
         AE11F3 ae11f3ff. AE11G ae11g. AE11H ae11h.
         AE11I ae11i. AE11J ae11j. AE11K ae11k.
         AE11L ae11l. AE11M ae11m. AE11N ae11n.
         AE11O ae11o. AE12 ae12ffff. AE12A ae12a.
         AE12B ae12b. AE12C ae12c. AE12D ae12d.
         AE12E ae12e. AE12F ae12f. AE12G ae12g.
         AE13 ae13ffff. AE14 ae14ffff. AE14A ae14a.
         AE14B ae14b. AE14C ae14c. AE14D ae14d.
         AE14E ae14e. AE14F ae14f. AE14G ae14g.
         AE14H ae14h. AE15 ae15ffff. AE15A ae15a.
         AE15B ae15b. AE15C ae15c. AE15D ae15d.
         AE15E ae15e. AE15F ae15f. AE15G ae15g.
         AE15H ae15h. AE16 ae16ffff. AE16A ae16a.
         AE16B ae16b. AE16C ae16c. AE16D ae16d.
         AE16E ae16e. AE16F ae16f. AE16G ae16g.
         AE16H ae16h. AE17 ae17ffff. AE18 ae18ffff.
         AE19 ae19ffff. AE19A ae19a. AE19B ae19b.
         AE19C1 ae19c1ff. AE19C2 ae19c2ff. AE19C3 ae19c3ff.
         AE20 ae20ffff. AE21 ae21ffff. AE21A ae21a.
         AE22 ae22ffff. AE22A ae22a. AE22B1 ae22b1ff.
         AE22B2 ae22b2ff. AE22B3 ae22b3ff. AE22B4 ae22b4ff.
         AE22B5 ae22b5ff. AE22B6 ae22b6ff. AE23 ae23ffff.
         AE24A ae24a. AE24B ae24b. AE24C ae24c.
         AE24D ae24d. AE24E ae24e. AE24F ae24f.
         AE25 ae25ffff. AE25A ae25a. AE26A ae26a.
         AE26AA ae26aa. AE26AB ae26ab. AE26AC ae26ac.
         AE26AD1 ae26ad1f. AE26AD2 ae26ad2f. AE26AE ae26ae.
         AE26B ae26b. AE26BA ae26ba. AE26BB ae26bb.
         AE26BC ae26bc. AE26BD1 ae26bd1f. AE26BD2 ae26bd2f.
         AE26BE ae26be. AE26C ae26c. AE26CA ae26ca.
         AE26CB ae26cb. AE26CC ae26cc. AE26CD1 ae26cd1f.
         AE26CD2 ae26cd2f. AE26CE ae26ce. AE26D ae26d.
         AE26DA ae26da. AE26DB ae26db. AE26DC ae26dc.
         AE26DD1 ae26dd1f. AE26DD2 ae26dd2f. AE26DE ae26de.
         AE26E ae26e. AE26EA ae26ea. AE26EB ae26eb.
         AE26EC ae26ec. AE26ED1 ae26ed1f. AE26ED2 ae26ed2f.
         AE26EE ae26ee. AE26F ae26f. AE26FA ae26fa.
         AE26FB ae26fb. AE26FC ae26fc. AE26FD1 ae26fd1f.
         AE26FD2 ae26fd2f. AE26FE ae26fe. AE27_3 ae27_3ff.
         AE28 ae28ffff. AE29 ae29ffff. AE30 ae30ffff.
         AE31 ae31ffff. AE31A ae31a. AE32 ae32ffff.
         AE32A3 ae32a3ff. AE32B ae32b. AE33 ae33ffff.
         AE33AA ae33aa. AE33BA ae33ba. AE33CA ae33ca.
         AE33AB ae33ab. AE33BB ae33bb. AE33CB ae33cb.
         AE33AC ae33ac. AE33BC ae33bc. AE33CC ae33cc.
         AE33AD ae33ad. AE33BD ae33bd. AE33CD ae33cd.
         AE33AE ae33ae. AE33BE ae33be. AE33CE ae33ce.
         AF1 af1fffff. AF1A af1a. AF1B af1b.
         AF1C af1c. AF1D af1d. AF1E af1e.
         AF2 af2fffff. AF2A af2a. AF2B af2b.
         AF2C af2c. AF2D af2d. AF2E af2e.
         AF2F af2f. AF2G af2g. AF2H af2h.
         AF3 af3fffff. AF3A af3a. AF3B af3b.
         AF4 af4fffff. AF4A af4a. AF4B af4b.
         AF4C af4c. AF5 af5fffff. AF5A af5a.
         AF5B af5b. AF6 af6fffff. AF6A af6a.
         AF6B af6b. AF6C af6c. AF7 af7fffff.
         AF7A af7a. AF7B af7b. AF8 af8fffff.
         AF8A af8a. AF9 af9fffff. AF10 af10ffff.
         AF11 af11ffff. AF12 af12ffff. AF12A af12a.
         AF13A af13a. AF13B af13b. AF13C af13c.
         AF13D af13d. AF13E af13e. AF13F af13f.
         AF14 af14ffff. AF14A af14a. AF15 af15ffff.
         AF15A af15a. AF16 af16ffff. AF17A af17a.
         AF17B af17b. AF17C af17c. AF17D af17d.
         AF17E af17e. AF17F af17f. AF17G af17g.
         AF18 af18ffff. AF18A af18a. AF19 af19ffff.
         AF20 af20ffff. AF21 af21ffff. AF22 af22ffff.
         AF22A af22a. AF23 af23ffff. AF24 af24ffff.
         AF24AA af24aa. AF24BA af24ba. AF24AB af24ab.
         AF24BB af24bb. AF24AC af24ac. AF24BC af24bc.
         AF24AD af24ad. AF24BD af24bd. AF24AE af24ae.
         AF24BE af24be. AG1 ag1fffff. AG1A ag1a.
         AG1B ag1b. AG1C ag1c. AG1D ag1d.
         AG2 ag2fffff. AG3 ag3fffff. AG4 ag4fffff.
         AG4A ag4a. AG5 ag5fffff. AG6 ag6fffff.
         AG6A ag6a. AG6B ag6b. AG7_1 ag7_1fff.
         AG8_1 ag8_1fff. AG9_1 ag9_1fff. AG7_2 ag7_2fff.
         AG8_2 ag8_2fff. AG9_2 ag9_2fff. AG7_3 ag7_3fff.
         AG8_3 ag8_3fff. AG9_3 ag9_3fff. AG7_4 ag7_4fff.
         AG8_4 ag8_4fff. AG9_4 ag9_4fff. AG7_5 ag7_5fff.
         AG8_5 ag8_5fff. AG9_5 ag9_5fff. AG7_7 ag7_7fff.
         AG8_7 ag8_7fff. AG9_7 ag9_7fff. AG7_8 ag7_8fff.
         AG8_8 ag8_8fff. AG9_8 ag9_8fff. AG7_9 ag7_9fff.
         AG8_9 ag8_9fff. AG9_9 ag9_9fff. AG7_10 ag7_10ff.
         AG8_10 ag8_10ff. AG9_10 ag9_10ff. AG7_11 ag7_11ff.
         AG8_11 ag8_11ff. AG9_11 ag9_11ff. AG10 ag10ffff.
         AG11 ag11ffff. AG12 ag12ffff. AG13 ag13ffff.
         AG13A ag13a. AG13B ag13b. AG14 ag14ffff.
         AG14A3 ag14a3ff. AG14B3 ag14b3ff. AG14C3 ag14c3ff.
         AG15 ag15ffff. AG15A3 ag15a3ff. AG15B ag15b.
         AG15C ag15c. AG15D ag15d. AG16 ag16ffff.
         AG17 ag17ffff. AG18 ag18ffff. AG18A ag18a.
         AG19 ag19ffff. AG19A ag19a. AG20 ag20ffff.
         AG20A3 ag20a3ff. AG20B1 ag20b1ff. AG20B2 ag20b2ff.
         AG20B3 ag20b3ff. AG20B4 ag20b4ff. AG20B5 ag20b5ff.
         AG20B6 ag20b6ff. AG20B7 ag20b7ff. AG20C ag20c.
         AG21 ag21ffff. AH1 ah1fffff. AH2 ah2fffff.
         AH2A ah2a. AH2B ah2b. AH2C ah2c.
         AH2D ah2d. AH2E ah2e. AH2F ah2f.
         AH2G ah2g. AH3 ah3fffff. AH3_01 ah3_01ff.
         AH3_02 ah3_02ff. AH3_03 ah3_03ff. AH3_04 ah3_04ff.
         AH3_05 ah3_05ff. AH3_06 ah3_06ff. AH3_07 ah3_07ff.
         AH3B ah3b. AH3C1 ah3c1fff. AH3C2 ah3c2fff.
         AH3C3 ah3c3fff. AH3C4 ah3c4fff. AH3C5 ah3c5fff.
         AH3C6 ah3c6fff. AH3C7 ah3c7fff. AH3C8 ah3c8fff.
         AH3C9 ah3c9fff. AH3C10 ah3c10ff. AH3C11 ah3c11ff.
         AH3D1 ah3d1fff. AH3D2 ah3d2fff. AH3D3 ah3d3fff.
         AH3D4 ah3d4fff. AH3D5 ah3d5fff. AH3D6 ah3d6fff.
         AH3D7 ah3d7fff. AH3D8 ah3d8fff. AH3D9 ah3d9fff.
         AH3D10 ah3d10ff. AH3D11 ah3d11ff. AH3D12 ah3d12ff.
         AH3D13 ah3d13ff. AH3D14 ah3d14ff. AH3D15 ah3d15ff.
         AH3D16 ah3d16ff. AH3D17 ah3d17ff. AH4 ah4fffff.
         AH4A1 ah4a1fff. AH4A2 ah4a2fff. AH4A3 ah4a3fff.
         AH4B ah4b. AH4C ah4c. AH4D ah4d.
         AH5 ah5fffff. AH6 ah6fffff. AH7 ah7fffff.
         AH8 ah8fffff. AH9 ah9fffff. AH9A ah9a.
         AH9B ah9b. AH9B1 ah9b1fff. AH9C1 ah9c1fff.
         AH9C2 ah9c2fff. AH9D3 ah9d3fff. AH9E ah9e.
         AH10 ah10ffff. AH10A ah10a. AH10B ah10b.
         AH10C1 ah10c1ff. AH10C2 ah10c2ff. AH10D3 ah10d3ff.
         AH10E ah10e. AH11_1 ah11_1ff. AH11_2 ah11_2ff.
         AH11_3 ah11_3ff. AH11A ah11a. AH11B ah11b.
         AH11C ah11c. AH11D1 ah11d1ff. AH11D2 ah11d2ff.
         AH12 ah12ffff. AH13 ah13ffff. AH14 ah14ffff.
         AH14A ah14a. AH15 ah15ffff. AH15A ah15a.
         AH15B ah15b. AH16 ah16ffff. AH16A ah16a.
         AH16B ah16b. AH17 ah17ffff. AH17A ah17a.
         AH17B ah17b. AH17C ah17c. AH17D ah17d.
         AH17E ah17e. AH18 ah18ffff. AH18A ah18a.
         AH18B3 ah18b3ff. AH19 ah19ffff. AH19A ah19a.
         AH20 ah20ffff. AH21 ah21ffff. AH22 ah22ffff.
         AH22A ah22a. AJ1A aj1a. AJ2A aj2a.
         AJ1B aj1b. AJ2B aj2b. AJ1C aj1c.
         AJ2C aj2c. AJ1D aj1d. AJ2D aj2d.
         AJ1E aj1e. AJ2E aj2e. AJ1F aj1f.
         AJ2F aj2f. AJ2_TOT aj2_tot. AJ3 aj3fffff.
         AJ4 aj4fffff. AJ5 aj5fffff. AJ5A aj5a.
         AJ6 aj6fffff. AJ7A1 aj7a1fff. AJ7A2 aj7a2fff.
         AJ7B1 aj7b1fff. AJ7B2 aj7b2fff. AJ7C1 aj7c1fff.
         AJ7C2 aj7c2fff. AJ7D1 aj7d1fff. AJ7D2 aj7d2fff.
         AJ8 aj8fffff. AJ9 aj9fffff. AJ10 aj10ffff.
         AJ10A aj10a. AJ11 aj11ffff. AJ12 aj12ffff.
         AJ12A aj12a. AJ12B aj12b. AJ13 aj13ffff.
         AJ14 aj14ffff. AJ14A aj14a. AJ14B aj14b.
         AK1 ak1fffff. AK2 ak2fffff. AK12A1 ak12a1ff.
         AK12B1 ak12b1ff. AK12A2 ak12a2ff. AK12B2 ak12b2ff.
         AK12A4 ak12a4ff. AK12B4 ak12b4ff. AK12A5 ak12a5ff.
         AK12B5 ak12b5ff. AK12A6 ak12a6ff. AK12B6 ak12b6ff.
         AK12A7 ak12a7ff. AK12B7 ak12b7ff. AK12A8 ak12a8ff.
         AK12B8 ak12b8ff. AK3 ak3fffff. AK3A1 ak3a1fff.
         AK3B1 ak3b1fff. AK3A2 ak3a2fff. AK3B2 ak3b2fff.
         AK3A4 ak3a4fff. AK3B4 ak3b4fff. AK3A5 ak3a5fff.
         AK3B5 ak3b5fff. AK3A6 ak3a6fff. AK3B6 ak3b6fff.
         AK3A7 ak3a7fff. AK3B7 ak3b7fff. AK3A8 ak3a8fff.
         AK3B8 ak3b8fff. AK4 ak4fffff. AK4A1 ak4a1fff.
         AK4B1 ak4b1fff. AK4A2 ak4a2fff. AK4B2 ak4b2fff.
         AK4A4 ak4a4fff. AK4B4 ak4b4fff. AK4A5 ak4a5fff.
         AK4B5 ak4b5fff. AK4A6 ak4a6fff. AK4B6 ak4b6fff.
         AK4A7 ak4a7fff. AK4B7 ak4b7fff. AK4A8 ak4a8fff.
         AK4B8 ak4b8fff. AK5 ak5fffff. AK6 ak6fffff.
         AK56A1 ak56a1ff. AK56B1 ak56b1ff. AK56A2 ak56a2ff.
         AK56B2 ak56b2ff. AK56A4 ak56a4ff. AK56B4 ak56b4ff.
         AK56A5 ak56a5ff. AK56B5 ak56b5ff. AK56A6 ak56a6ff.
         AK56B6 ak56b6ff. AK56A7 ak56a7ff. AK56B7 ak56b7ff.
         AK56A8 ak56a8ff. AK56B8 ak56b8ff. AK7 ak7fffff.
         AK8 ak8fffff. AK78A1 ak78a1ff. AK78B1 ak78b1ff.
         AK78A2 ak78a2ff. AK78B2 ak78b2ff. AK78A4 ak78a4ff.
         AK78B4 ak78b4ff. AK78A5 ak78a5ff. AK78B5 ak78b5ff.
         AK78A6 ak78a6ff. AK78B6 ak78b6ff. AK78A7 ak78a7ff.
         AK78B7 ak78b7ff. AK78A8 ak78a8ff. AK78B8 ak78b8ff.
         AK9 ak9fffff. AK9A1 ak9a1fff. AK9B1 ak9b1fff.
         AK9A2 ak9a2fff. AK9B2 ak9b2fff. AK9A4 ak9a4fff.
         AK9B4 ak9b4fff. AK9A5 ak9a5fff. AK9B5 ak9b5fff.
         AK9A6 ak9a6fff. AK9B6 ak9b6fff. AK9A7 ak9a7fff.
         AK9B7 ak9b7fff. AK9A8 ak9a8fff. AK9B8 ak9b8fff.
         AK10 ak10ffff. AK10A ak10a. AK10B ak10b.
         AK10C ak10c. AK11 ak11ffff. AK12 ak12ffff.
         AK13 ak13ffff. AK13_1A ak13_1a. AK13_1B ak13_1b.
         AK13_1C ak13_1c. AK13_1D ak13_1d. AK13_3A ak13_3a.
         AK13_3B ak13_3b. AK13_3C ak13_3c. AK13_3D ak13_3d.
         AK13_4A ak13_4a. AK13_4B ak13_4b. AK13_4C ak13_4c.
         AK13_4D ak13_4d. AK13_5A ak13_5a. AK13_5B ak13_5b.
         AK13_5C ak13_5c. AK13_5D ak13_5d. AK13_6A ak13_6a.
         AK13_6B ak13_6b. AK13_6C ak13_6c. AK13_6D ak13_6d.
         AK13_7A ak13_7a. AK13_7B ak13_7b. AK13_7C ak13_7c.
         AK13_7D ak13_7d. AK14 ak14ffff. AK14_1A ak14_1a.
         AK14_1B ak14_1b. AK14_1C ak14_1c. AK14_2A ak14_2a.
         AK14_2B ak14_2b. AK14_2C ak14_2c. AK14_4A ak14_4a.
         AK14_4B ak14_4b. AK14_4C ak14_4c. AK14_5A ak14_5a.
         AK14_5B ak14_5b. AK14_5C ak14_5c. AK14_6A ak14_6a.
         AK14_6B ak14_6b. AK14_6C ak14_6c. AK14_7A ak14_7a.
         AK14_7B ak14_7b. AK14_7C ak14_7c. AK14_8A ak14_8a.
         AK14_8B ak14_8b. AK14_8C ak14_8c. AK15 ak15ffff.
         AK15_1A ak15_1a. AK15_1B ak15_1b. AK15_1C ak15_1c.
         AK15_1D ak15_1d. AK15_2A ak15_2a. AK15_2B ak15_2b.
         AK15_2C ak15_2c. AK15_2D ak15_2d. AK15_4A ak15_4a.
         AK15_4B ak15_4b. AK15_4C ak15_4c. AK15_4D ak15_4d.
         AK15_5A ak15_5a. AK15_5B ak15_5b. AK15_5C ak15_5c.
         AK15_5D ak15_5d. AK15_6A ak15_6a. AK15_6B ak15_6b.
         AK15_6C ak15_6c. AK15_6D ak15_6d. AK15_7A ak15_7a.
         AK15_7B ak15_7b. AK15_7C ak15_7c. AK15_7D ak15_7d.
         AK15_8A ak15_8a. AK15_8B ak15_8b. AK15_8C ak15_8c.
         AK15_8D ak15_8d. AK16 ak16ffff. AK16A1 ak16a1ff.
         AK16B1 ak16b1ff. AK16A2 ak16a2ff. AK16B2 ak16b2ff.
         AK16A4 ak16a4ff. AK16B4 ak16b4ff. AK16A5 ak16a5ff.
         AK16B5 ak16b5ff. AK16A6 ak16a6ff. AK16B6 ak16b6ff.
         AK16A7 ak16a7ff. AK16B7 ak16b7ff. AK16A8 ak16a8ff.
         AK16B8 ak16b8ff. AK17 ak17ffff. AK17A1 ak17a1ff.
         AK17B1 ak17b1ff. AK17A2 ak17a2ff. AK17B2 ak17b2ff.
         AK17A4 ak17a4ff. AK17B4 ak17b4ff. AK17A5 ak17a5ff.
         AK17B5 ak17b5ff. AK17A6 ak17a6ff. AK17B6 ak17b6ff.
         AK17A7 ak17a7ff. AK17B7 ak17b7ff. AK17A8 ak17a8ff.
         AK17B8 ak17b8ff. AK18 ak18ffff. AK18A ak18a.
         AK18B ak18b. AK18C ak18c. AK19 ak19ffff.
         AK19_1A ak19_1a. AK19_1B ak19_1b. AK19_1C ak19_1c.
         AK19_1D ak19_1d. AK19_3A ak19_3a. AK19_3B ak19_3b.
         AK19_3C ak19_3c. AK19_3D ak19_3d. AK19_4A ak19_4a.
         AK19_4B ak19_4b. AK19_4C ak19_4c. AK19_4D ak19_4d.
         AK19_5A ak19_5a. AK19_5B ak19_5b. AK19_5C ak19_5c.
         AK19_5D ak19_5d. AK19_6A ak19_6a. AK19_6B ak19_6b.
         AK19_6C ak19_6c. AK19_6D ak19_6d. AK19_7A ak19_7a.
         AK19_7B ak19_7b. AK19_7C ak19_7c. AK19_7D ak19_7d.
         AK20 ak20ffff. AK20_1A ak20_1a. AK20_1B ak20_1b.
         AK20_1C ak20_1c. AK20_2A ak20_2a. AK20_2B ak20_2b.
         AK20_2C ak20_2c. AK20_4A ak20_4a. AK20_4B ak20_4b.
         AK20_4C ak20_4c. AK20_5A ak20_5a. AK20_5B ak20_5b.
         AK20_5C ak20_5c. AK20_6A ak20_6a. AK20_6B ak20_6b.
         AK20_6C ak20_6c. AK20_7A ak20_7a. AK20_7B ak20_7b.
         AK20_7C ak20_7c. AK20_8A ak20_8a. AK20_8B ak20_8b.
         AK20_8C ak20_8c. AK21 ak21ffff. AK21_1A ak21_1a.
         AK21_1B3 ak21_1bf. AK21_1C ak21_1c. AK21_2A ak21_2a.
         AK212B3 ak212b3f. AK21_2C ak21_2c. AK21_4A ak21_4a.
         AK21_4B3 ak21_4bf. AK21_4C ak21_4c. AK21_5A ak21_5a.
         AK21_5B3 ak21_5bf. AK21_5C ak21_5c. AK21_6A ak21_6a.
         AK21_6B3 ak21_6bf. AK21_6C ak21_6c. AK21_7A ak21_7a.
         AK21_7B3 ak21_7bf. AK21_7C ak21_7c. AK21_8A ak21_8a.
         AK21_8B3 ak21_8bf. AK21_8C ak21_8c. AK22 ak22ffff.
         AK22_1A ak22_1a. AK22_1B ak22_1b. AK22_1C ak22_1c.
         AK22_2A ak22_2a. AK22_2B ak22_2b. AK22_2C ak22_2c.
         AK22_4A ak22_4a. AK22_4B ak22_4b. AK22_4C ak22_4c.
         AK22_5A ak22_5a. AK22_5B ak22_5b. AK22_5C ak22_5c.
         AK22_6A ak22_6a. AK22_6B ak22_6b. AK22_6C ak22_6c.
         AK22_7A ak22_7a. AK22_7B ak22_7b. AK22_7C ak22_7c.
         AK22_8A ak22_8a. AK22_8B ak22_8b. AK22_8C ak22_8c.
         AK23_A ak23_a. AK23_B ak23_b. AK23_C ak23_c.
         AK23_D ak23_d. AK23_E ak23_e. AK23_F ak23_f.
         AK23_G ak23_g. AKDM akdm. AKTH akth.
         AKTM aktm. AKAMPM akampm. AL1 al1fffff.
         AL2 al2fffff. AL2A al2a. AL3_1_1 al3_1_1f.
         AL3_1_2 al3_1_2f. AL3_2_1 al3_2_1f. AL3_2_2 al3_2_2f.
         AL3_3_1 al3_3_1f. AL3_3_2 al3_3_2f. AL3_4_1 al3_4_1f.
         AL3_4_2 al3_4_2f. AL4 al4fffff. AL4A1 al4a1fff.
         AL4A2 al4a2fff. AL4A3 al4a3fff. AL4A4 al4a4fff.
         AL4A5 al4a5fff. AL4A6 al4a6fff. AL5 al5fffff.
         AL6 al6fffff. AL6A1 al6a1fff. AL6A2 al6a2fff.
         AM1 am1fffff. AM2 am2fffff. AM3 am3fffff.
         AM4 am4fffff. AM5 am5fffff. AM6 am6fffff.
         AM7 am7fffff. AM8 am8fffff. AM9 am9fffff.
         AM10A am10a. AM10B am10b. AM11A am11a.
         AM11B am11b. AM11C am11c. AM12A am12a.
         AM12B am12b. AM12C am12c. AM12D am12d.
         AM12E am12e. AM13 am13ffff. AM14A am14a.
         AM14B am14b. AM14C am14c. AM15A am15a.
         AM15B am15b. AM16 am16ffff. AM17 am17ffff.
         AM18A am18a. AM18B am18b. AM18C am18c.
         AM19 am19ffff. AM20 am20ffff. AM21 am21ffff.
         IDATE_M idate_m. IDATE_Y idate_y. AI1_1 ai1_1fff.
         AI1_2 ai1_2fff. AI1_3 ai1_3fff. AI1_4 ai1_4fff.
         AI2_1 ai2_1fff. AI2_2 ai2_2fff. AI2_3 ai2_3fff.
         AI2_4 ai2_4fff. AI3_1 ai3_1fff. AI3_2 ai3_2fff.
         AI3_3 ai3_3fff. AI3_4 ai3_4fff. AI4_1 ai4_1fff.
         AI4_2 ai4_2fff. AI4_3 ai4_3fff. AI4_4 ai4_4fff.
         AI5_1 ai5_1fff. AI5_2 ai5_2fff. AI5_3 ai5_3fff.
         AI5_4 ai5_4fff. AI6_1 ai6_1fff. AI6_2 ai6_2fff.
         AI6_3 ai6_3fff. AI6_4 ai6_4fff. AI7_1 ai7_1fff.
         AI7_2 ai7_2fff. AI7_3 ai7_3fff. AI7_4 ai7_4fff.
         AI8_1 ai8_1fff. AI8_2 ai8_2fff. AI8_3 ai8_3fff.
         AI8_4 ai8_4fff. AI9_1 ai9_1fff. AI9_2 ai9_2fff.
         AI9_3 ai9_3fff. AI9_4 ai9_4fff. AI10_1 ai10_1ff.
         AI10_2 ai10_2ff. AI10_3 ai10_3ff. AI10_4 ai10_4ff.
         AN1A an1a. AN1B an1b. AN1C an1c.
         AN1D an1d. AN1E an1e. AN1F an1f.
         AN2A an2a. AN2B an2b. AN2C an2c.
         AN2D an2d. AN2E an2e. AN2F an2f.
         AN2G an2g. AN2H an2h. AN2I an2i.
         AN2J an2j. AN2K an2k. AN2L an2l.
         AN2M an2m. AN2N an2n. AN3A an3a.
         AN4A an4a. AN3B an3b. AN4B an4b.
         AN3C an3c. AN4C an4c. AN3D an3d.
         AN4D an4d. AN3E an3e. AN4E an4e.
         AN3F an3f. AN4F an4f. AN3G an3g.
         AN4G an4g. AN3H an3h. AN4H an4h.
         AN3I an3i. AN4I an4i. AN3J an3j.
         AN4J an4j. AN5 an5fffff. AN6 an6fffff.
         AN7 an7fffff. AN8 an8fffff. AN9 an9fffff.
         AN10 an10ffff. AN11 an11ffff. AN12 an12ffff.
         AN13 an13ffff. AN14 an14ffff. AN15 an15ffff.
         AN16 an16ffff. AN17 an17ffff. QU qu.
         IA ia. SU su. MODALITY modality.
         SEX sex. AGE age. AB7C_M ab7c_m.
         AB7E_M ab7e_m. AD2B_M ad2b_m. AD3B_M ad3b_m.
         AD4B_M ad4b_m. AD9_M ad9_m. AD10D_M ad10d_m.
         AD16_M ad16_m. AD17A_M ad17a_m. AD18A_M ad18a_m.
         AE1E_M ae1e_m. AE1F_M ae1f_m. AE2M_M ae2m_m.
         AE2N_M ae2n_m. AE2R_M ae2r_m. AE3M_M ae3m_m.
         AE3N_M ae3n_m. AE3R_M ae3r_m. AE5K_M ae5k_m.
         AE5L_M ae5l_m. AE5P_M ae5p_m. AE7K_M ae7k_m.
         AE7L_M ae7l_m. AE9K_M ae9k_m. AE9L_M ae9l_m.
         AE9P_M ae9p_m. AE11H_M ae11h_m. AE11I_M ae11i_m.
         AE11M_M ae11m_m. AE12E_M ae12e_m. AE12F_M ae12f_m.
         AE14E_M ae14e_m. AE15E_M ae15e_m. AE16E_M ae16e_m.
         AE30_M ae30_m. AE31A_M ae31a_m. AE32B_M ae32b_m.
         AF1E_M af1e_m. AF2H_M af2h_m. AF3A_M af3a_m.
         AF4B_M af4b_m. AF5B_M af5b_m. AF6C_M af6c_m.
         AF7B_M af7b_m. AF15_M af15_m. AF19_M af19_m.
         AG1B_M ag1b_m. AG6B_M ag6b_m. AG13B_M ag13b_m.
         AG15B_M ag15b_m. AG20C_M ag20c_m. AH10_M ah10_m.
         AH11A_M ah11a_m. AH15B_M ah15b_m. AH16B_M ah16b_m.
         AH19A_M ah19a_m. AJ12A_M aj12a_m. AK12B1_M ak12b1_m.
         AK12B2_M ak12b2_m. AK12B4_M ak12b4_m. AK12B5_M ak12b5_m.
         AK12B6_M ak12b6_m. AK12B7_M ak12b7_m. AK12B8_M ak12b8_m.
         AK3B1_M ak3b1_m. AK3B2_M ak3b2_m. AK3B4_M ak3b4_m.
         AK3B5_M ak3b5_m. AK3B6_M ak3b6_m. AK3B7_M ak3b7_m.
         AK3B8_M ak3b8_m. AK4B1_M ak4b1_m. AK4B2_M ak4b2_m.
         AK4B4_M ak4b4_m. AK4B5_M ak4b5_m. AK4B6_M ak4b6_m.
         AK4B7_M ak4b7_m. AK4B8_M ak4b8_m. AK56B1_M ak56b1_m.
         AK56B2_M ak56b2_m. AK56B4_M ak56b4_m. AK56B5_M ak56b5_m.
         AK56B6_M ak56b6_m. AK56B7_M ak56b7_m. AK56B8_M ak56b8_m.
         AK78B1_M ak78b1_m. AK78B2_M ak78b2_m. AK78B4_M ak78b4_m.
         AK78B5_M ak78b5_m. AK78B6_M ak78b6_m. AK78B7_M ak78b7_m.
         AK78B8_M ak78b8_m. AK9B1_M ak9b1_m. AK9B2_M ak9b2_m.
         AK9B4_M ak9b4_m. AK9B5_M ak9b5_m. AK9B6_M ak9b6_m.
         AK9B7_M ak9b7_m. AK9B8_M ak9b8_m. AK10C_M ak10c_m.
         AK13_1DR ak13_1dr. AK13_3DR ak13_3dr. AK13_4DR ak13_4dr.
         AK13_5DR ak13_5dr. AK13_6DR ak13_6dr. AK13_7DR ak13_7dr.
         AK14_1CR ak14_1cr. AK14_2CR ak14_2cr. AK14_4CR ak14_4cr.
         AK14_5CR ak14_5cr. AK14_6CR ak14_6cr. AK14_7CR ak14_7cr.
         AK14_8CR ak14_8cr. AK15_1DR ak15_1dr. AK15_2DR ak15_2dr.
         AK15_4DR ak15_4dr. AK15_5DR ak15_5dr. AK15_6DR ak15_6dr.
         AK15_7DR ak15_7dr. AK15_8DR ak15_8dr. AK16B1_M ak16b1_m.
         AK16B2_M ak16b2_m. AK16B4_M ak16b4_m. AK16B5_M ak16b5_m.
         AK16B6_M ak16b6_m. AK16B7_M ak16b7_m. AK16B8_M ak16b8_m.
         AK17B1_M ak17b1_m. AK17B2_M ak17b2_m. AK17B4_M ak17b4_m.
         AK17B5_M ak17b5_m. AK17B6_M ak17b6_m. AK17B7_M ak17b7_m.
         AK17B8_M ak17b8_m. AK19_1DR ak19_1dr. AK19_3DR ak19_3dr.
         AK19_4DR ak19_4dr. AK19_5DR ak19_5dr. AK19_6DR ak19_6dr.
         AK19_7DR ak19_7dr. AK20_1CR ak20_1cr. AK20_2CR ak20_2cr.
         AK20_4CR ak20_4cr. AK20_5CR ak20_5cr. AK20_6CR ak20_6cr.
         AK20_7CR ak20_7cr. AK20_8CR ak20_8cr. AK21_1CR ak21_1cr.
         AK21_2CR ak21_2cr. AK21_4CR ak21_4cr. AK21_5CR ak21_5cr.
         AK21_6CR ak21_6cr. AK21_7CR ak21_7cr. AK21_8CR ak21_8cr.
         AK22_1CR ak22_1cr. AK22_2CR ak22_2cr. AK22_4CR ak22_4cr.
         AK22_5CR ak22_5cr. AK22_6CR ak22_6cr. AK22_7CR ak22_7cr.
         AK22_8CR ak22_8cr. HLTHINS hlthins. FTWORK ftwork.
         MSTAT mstat. INSCHOOL inschool. RACE race.
         EDLEV edlev. RACESEX racesex. HVY_ALC hvy_alc.
         ALCR alcr. MRJR mrjr. COCR cocr.
         HERR herr. NARR narr. SEDR sedr.
         AMPR ampr. HALR halr. INHR inhr.
         ALCWK alcwk. MRJWK mrjwk. COCWK cocwk.
         HERWK herwk. NARWK narwk. SEDWK sedwk.
         AMPWK ampwk. HALWK halwk. INHWK inhwk.
         MRJ_EV mrj_ev. COC_EV coc_ev. HER_EV her_ev.
         NAR_EV nar_ev. SED_EV sed_ev. AMP_EV amp_ev.
         HAL_EV hal_ev. INH_EV inh_ev. CJ_STAT cj_stat.
         IAY_SIA iay_sia. MAJSRC majsrc. REFER refer.
         RESTRICT restrict. DRUGTX drugtx. SCHOOL school.
         DEP_YR dep_yr. EMPSTAT empstat. IAPY iapy.
         PDT pdt. CRKR crkr. CRKWK crkwk.
          ;
*/

RUN ;
